local MathUtil = require("app.common.MathUtil")
local Attacker = require("app.actor.Attacker")
local AnimationFactory = require("app.factory.AnimationFactory")

local BlueMonster = class("BlueMonster",Attacker)

function BlueMonster:ctor(attackerProperties,parent,path)
    BlueMonster.super.ctor(self,attackerProperties,parent,path)
    self.mainSprite:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("blue"))--红色怪物
end


function  BlueMonster:runDeadAnimation()
	local size = self.mainSprite:getCascadeBoundingBox().size
	self.gameScene:doBlueMonsterDeadLogic(self:getPositionX(),self:getPositionY()+size.height)
    BlueMonster.super.runDeadAnimation(self)
end

return BlueMonster