local scheduler = require(cc.PACKAGE_NAME .. ".scheduler")

local Buff = class("Buff",function()
	return display.newNode()
end)

--function Buff:ctor(sourcePoint,targetPoint,buffProperties)

--[[
buff = {
			buff_time = 6,
			buff_type = 2,
			buff_value = -0.3,
			target_friendship = 4,
			target_number = 100,
}]]

--[[
	ifAttack = true	是攻击方的buff
]]

function Buff:ctor(buffProperties)

	self.buffProperties = buffProperties

end

--获得当前buff的各种接口----------------
function Buff:getTime()
	return self.buffProperties.buff_time
end
function Buff:getType()
	return self.buffProperties.buff_type
end
function Buff:getValue()
	return self.buffProperties.buff_value
end
function Buff:getJumpTime()
	return self.buffProperties.jump_time
end
function Buff:getBuffEffect()
	if self.buffProperties.buff_effect==nil then
		return "flame"
	else
		return self.buffProperties.buff_effect
	end
end
-------------------------------------------------

--设置此buff是针对怪物的还是非怪物的
function Buff:setMonsterFlag(ifMonster)
	self.monsterFlag = ifMonster
end
--查询此buff是针对怪物还是针对英雄和塔
function Buff:setMonsterFlag(ifMonster)
	self.monsterFlag = ifMonster
end


return Buff