local skill_list={}
skill_list = {
	--trigger_condition,触发器条件,1,攻击命中有几率触发;2,攻击暴击有几率触发;3,自己HP到一定百分比有几率触发;4,目标HP到一定百分比有几率触发
	
	--cast_type,施法类型,1,瞬发;2,弹道;3,引导
	
	--shape_type,形状类型,0,全屏幕;1,自身为圆心的圆形;2,目标为圆心的圆形;3,自身到目标连线为中轴的矩形;4,目标所在横坐标轴为中轴的矩形;5,目标所在纵坐标为中轴的矩形;
	----------------------6,自身到目标连线为中轴的扇形;7,指定点为圆心的圆形;8,目标卡牌后方中央为圆心的圆形

	--buff_type,buff效果类型号,1,DOT;2,护甲;3,移动速度;4,攻击速度;5.生命值上限;6,攻击力;7,暴击率;8,技能触发几率;9,眩晕;10,变形;11,抗性;12,牵引;13,石化;14,印记传送;15,DOT_HP%
	
	--target_friendship,与技能目标的敌我关系类型,1,自身;2,当前敌方目标;3,友方;4,敌方;
	
	--frame,特效帧数
	
	--start_type,起点类型,0,无此项；1,自己头顶；2,自己中间；3,自己脚底
	
	--ending_type,终点类型,0,无此项；1,目标头顶；2,目标中间；3,目标脚底
	
	--target_friendship,与技能目标的敌我关系类型,1,自身;2,当前敌方目标;3,友方;4,敌方; 
	
	
	["40001"] = {
		name = "混世魔王",
		desc = "猛击地面,对目标造成高额物理伤害。",
		cast_type =1,
		cost = 10,
		cooldown = 10,
		sound = "music_40001",
		effect = {
			cast_effect = "cast_40001",
		},
		damage = {
			damage_type = 1,
			damage_coeff = 1.6,
		},
	},
	
	["40002"] = {
		name = "翻云覆雨",
		desc = "在目标头顶降雨，造成持续的法术伤害并降低其移动速度50%。",
		cast_type = 3,
		cost = 8,
		cooldown = 8,
		sound = "music_40002",
		effect = {
			cast_effect = 0,
			channel_effect = "40002",
			single_time = 0.8,
			cycle_time = 3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 1,
			damage_coeff = 0.50,
		},
		buffs = {
			{
			buff_time = 6,
			buff_type = 3,
			buff_value = -0.50,
			buff_effect = "slow",
			}
		}
	},
	
	["40003"] = {
		name = "大闹天宫",
		desc = "如旋风般起舞，对目标造成高额物理伤害，并眩晕。",
		cast_type =3,
		cost = 15,
		cooldown = 6,
		sound = "music_40003",
		effect = {
			cast_effect = "cast_40003",
			channel_effect = "channel_40003",
			single_time = 0.8,
			cycle_time = 2,
			ending_effect = "ending_40003",
		},
		damage = {
			damage_type = 1,
			damage_coeff = 0.75,
		},
		buffs = {
			{
			buff_time = 0.5,
			buff_type = 9,
			buff_effect = "vertigo",
			}
		}
	},
	
	["40004"] = {
		name = "牛魔冲撞",
		desc = "群牛乱舞，对目标造成高额法术伤害，并减速60%。",
		cast_type =1,
		sound = "music_40004",
		cost = 15,
		cooldown = 6,
		effect = {
			cast_effect = "cast_40004",
		},
		damage = {
			damage_type = 1,
			damage_coeff = 2.50,
		},
		buffs = {
			{
			buff_time = 5,
			buff_type = 3,
			buff_value = -0.40,
			buff_effect = "slow",
			}
		}
	},

	
	["40005"] = {
		name = "三昧真火",
		desc = "三界最强火。对目标造成高额伤害，并使之流血4秒。",
		cast_type = 2,
		sound = "music_40005",
		effect = {
			bullet_effect = "42012",
			bullet_velocity = 200,
			hit_effect = "behit",
			},
		damage = {
			damage_type = 1,
			damage_coeff = 1.80,
	    },
		buffs ={ 
			{
			buff_time = 4.0,
			buff_type = 1, 
			jump_time = 1,
			buff_value = -0.3,
			buff_effect = "flame",
			}
		}
    },
	
	["40006"] = {
		name = "火龙翔天",
		desc = "火龙焚世。对敌人造成高额法术伤害。",
		cast_type =1,
		sound = "music_40006",
		cost = 15,
		cooldown = 6,
		effect = {
			cast_effect = "cast_40006",
			cycle_time = 3,
			single_time = 1,
		},
		damage = {
			damage_type = 1,
			damage_coeff = 1.8,
		},
		buffs = {
			{
			buff_time = 0,
			buff_type = 16,
			buff_effect = "slow",
			},
			{
			buff_time = 4,
			buff_type = 1,
			buff_value = 0.6,
			jump_time = 1,
			buff_effect = "bleed",
			},
			{
			buff_time = 8,
			buff_type = 3,
			buff_value = -0.2,
			buff_effect = "slow",
			}
		}
	},
	["41009"] = {
		name = "袖里乾坤①",
		desc = "对敌造成流血伤害，流血结束时使其回到过去。\n伤害系数：0.80;\n特殊效果：回到4秒前的位置。",
		cast_type =3,
		sound = "music_41008",
		effect = {
			cast_effect = 0,
			channel_effet = "41009",
			ending_effect = 0,
			single_time = 1,
			cycle_time = 3,
			},
		damage = {
			damage_type = 2,
			damage_coeff = 0.80,
		},
		buffs = {
			{
			buff_time = 4,
			buff_type = 16,
			buff_effect = "slow",
			},
			{
			buff_time = 4,
			buff_type = 1,
			buff_value = 0.6,
			jump_time = 1,
			buff_effect = "bleed",
			},
			{
			buff_time = 8,
			buff_type = 3,
			buff_value = -0.2,
			buff_effect = "slow",
			}
		}
	},
}

return skill_list
