--[[
--本地数据存储]]

local LocalDataUtil = {}

local store_path = gStorePath

--写入唯一码
function LocalDataUtil.writePlayerHint(name)
local path = "/" .. name .. "_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local code = {
                step = 1
    }
    local str = json.encode(code)
    FileUtil.createDir(store_path)
    FileUtil.writeFile(store_path .. path, str) 
end
--获得读写标志
function LocalDataUtil.getPlayerHint(name)
     local path = "/" .. name .. "_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local str = FileUtil.readFile(store_path .. path)
    if (str == nil) then
        return 0
    end
    local code = json.decode(str)
    return code.step

end


function LocalDataUtil.writeMusicStatus()
    local path = "/music_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local code = {
                step = guide_step
    }
    if (gPlayer.data.music_status) then
        code.step = 1
    else
        code.step = 0
    end
    local str = json.encode(code)
    FileUtil.createDir(store_path)
    FileUtil.writeFile(store_path .. path, str) 
end

function LocalDataUtil.getMusicStatus()
    local result = true

     local path = "/music_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local str = FileUtil.readFile(store_path .. path)
    if (str ~= nil) then
        local code = json.decode(str)
        if (code.step == 0) then
            result = false
        end
    end
    gPlayer.data.music_status = result
    return result
end
--
--新手引导写入本地
function LocalDataUtil.writeGuideFight()
    local path = "/guidingfight_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local code = {
                step = 1
    }
    code.step = 1
    local str = json.encode(code)
    FileUtil.createDir(store_path)
    FileUtil.writeFile(store_path .. path, str) 
end
--
function LocalDataUtil.getGuideFight()
    if (false) then
        return 0
    end
     local path = "/guidingfight_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local str = FileUtil.readFile(store_path .. path)
    if (str == nil) then
        return 0
    end
    local code = json.decode(str)
    return code.step
end

--新手引导写入本地
function LocalDataUtil.writeGuide(guide_step)
    local path = "/guiding_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local code = {
                step = guide_step
    }
    code.step = guide_step
    local str = json.encode(code)
    FileUtil.createDir(store_path)
    FileUtil.writeFile(store_path .. path, str) 
end
--读取新手引导
function LocalDataUtil.getGuide()
    
     local path = "/guiding_" .. gPlayer.data.account_id .. "_" .. gPlayer.data.player_id
    local str = FileUtil.readFile(store_path .. path)
    if (str == nil) then
        return 0
    end
    local code = json.decode(str)
    return code.step
end

--写入设备唯一码
function LocalDataUtil.writeUniqueCodeMobile(unique_code)
    local code = {
                unique_code_mobile = unique_code
            }
    code.unique_code_mobile = unique_code
    local str = json.encode(code)
    FileUtil.createDir(store_path)
    FileUtil.writeFile(store_path .. '/unique_code', str) 
end

--获得设备唯一码
function LocalDataUtil.getUniqueCodeMobile()
    local str = FileUtil.readFile(store_path .. '/unique_code')
    if (str == nil) then
        return 0
    end
    local code = json.decode(str)
    return code.unique_code_mobile
end



return LocalDataUtil