--保存用户数据
local UserDefault = {}


--保存塔修建数据和类型
function UserDefault.saveTowerData(point,ifBuild,towerType)

	local ifBuildKey = point.x.."_"..point.y.."_ifBuild"
	CCUserDefault:sharedUserDefault():setBoolForKey(ifBuildKey,ifBuild)

	local towerTypeKey = point.x.."_"..point.y.."_towerType"
	CCUserDefault:sharedUserDefault():setStringForKey(towerTypeKey,towerType)

	CCUserDefault:sharedUserDefault():flush()

end


--取得塔修建数据和类型
function UserDefault.getSavedTowerData(point)
	
	local ifBuildKey = point.x.."_"..point.y.."_ifBuild"
	local ifBuild = false
	if CCUserDefault:sharedUserDefault():getBoolForKey(ifBuildKey)~=nil then
		ifBuild = CCUserDefault:sharedUserDefault():getBoolForKey(ifBuildKey)
	end

	local towerTypeKey = point.x.."_"..point.y.."_towerType"
	local towerType = "none"
	if CCUserDefault:sharedUserDefault():getStringForKey(towerTypeKey)~=nil then
		towerType = CCUserDefault:sharedUserDefault():getStringForKey(towerTypeKey)
	end

	return ifBuild,towerType
	
end

return UserDefault
