
local DebugUtil = require("app.common.DebugUtil")
local CommUtil = require("app.common.CommUtil")
local HeroSkill = require("app.bullet.HeroSkill")
local AnimationFactory = require("app.factory.AnimationFactory")
local BulletFactory = require("app.factory.BulletFactory")
local scheduler = require(cc.PACKAGE_NAME .. ".scheduler")
local MathUtil = require("app.common.MathUtil")
local Rect = require("app.quadTree.Rect")
local GameLogic = require("app.controllers.GameLogic")


local CatGameLogic = class("CatGameLogic",GameLogic)


function CatGameLogic:checkWinOrLose()
	if catchTheCatDrinkNum<=0 then     --抓猫失败
    	self.gameOver = true
        self.gameScene.parent:displayCatGameOverPanel(false)
        return
    end
    if GameInstance:sharedInstance().monsters:count()<=0 then--抓猫胜利
        self.gameOver = true
        self.gameScene.parent:displayCatGameOverPanel(true)
        return
    end
end

return CatGameLogic