local FuWenManager = class("FuWenManager",function()
		return display.newNode()
end)



function FuWenManager:ctor(gameScene)
	self.gameScene = gameScene
    --self.countTime=0
    --self:schedule(handler(self, self.produceFuWen),1)
end

function FuWenManager:produceFuWen()
    local ranNum = math.random(1,3)
    local startX,startY = self.gameScene.beauty:getPosition()
    local fuWenSprite = display.newSprite("ui/fighting/fighting_lection_"..ranNum..".png",startX,startY):addTo(self)
    fuWenSprite.type = ranNum
    display.getRunningScene().fuWens[#display.getRunningScene().fuWens+1] = fuWenSprite
    self:doAction(fuWenSprite)
end

function FuWenManager:onSchedule()
    self.countTime = self.countTime + 1
    local t1,t2 = math.modf(self.countTime/4)

    if t2==0 and totalHP:get()<=5 then
        self:Seconds4Logic()
    end
    
    local t3,t4 = math.modf(self.countTime/8)
    if t4==0 and totalHP:get()>5 then
        self:Seconds8Logic()
    end
end


function FuWenManager:Seconds8Logic()
    --self:getBlackFuWen()
    --if true then return end
    local randomNum = math.random(100)
    if randomNum>75 then
        --print("金色")
        self:getGoldFuWen()
    elseif randomNum>50 then
        --print("蓝色")
        self:getBlueFuWen()
    elseif randomNum>25 then
        --print("绿色")
        self:getGreenFuWen()
    else
        --print("无色")
    end
end

function FuWenManager:Seconds4Logic()
    --self:getBlackFuWen()
    --if true then return end
    local randomNum = math.random(100)
    if randomNum>65 then
        --print("金色")
        self:getGoldFuWen()
    elseif randomNum>45 then
        --print("蓝色")
        self:getBlueFuWen()
    elseif randomNum>10 then
        --print("绿色")
        self:getGreenFuWen()
    else
        --print("无色")
    end
end

function FuWenManager:getBlueFuWen()
    local startX,startY = self.gameScene.beauty:getPosition()
    local fuWenSprite = display.newSprite("ui/fighting/fighting_lection_1.png",startX,startY):addTo(self)
    fuWenSprite.type = 1
    display.getRunningScene().fuWens[#display.getRunningScene().fuWens+1] = fuWenSprite
    self:doAction(fuWenSprite)
end

function FuWenManager:getGoldFuWen()
    local startX,startY = self.gameScene.beauty:getPosition()
    local fuWenSprite = display.newSprite("ui/fighting/fighting_lection_2.png",startX,startY):addTo(self)
    fuWenSprite.type = 2
    display.getRunningScene().fuWens[#display.getRunningScene().fuWens+1] = fuWenSprite
    self:doAction(fuWenSprite)
end

function FuWenManager:getGreenFuWen()
    local startX,startY = self.gameScene.beauty:getPosition()
    local fuWenSprite = display.newSprite("ui/fighting/fighting_lection_3.png",startX,startY):addTo(self)
    fuWenSprite.type = 3
    display.getRunningScene().fuWens[#display.getRunningScene().fuWens+1] = fuWenSprite
    self:doAction(fuWenSprite)
end

function FuWenManager:doAction(fuWenSprite)
    fuWenSprite:setScale(0.1)
    fuWenSprite:runAction(CCRepeatForever:create(CCRotateBy:create(1,45)))
    fuWenSprite:runAction(CCScaleTo:create(3,1))
    local bezier = ccBezierConfig()
    if math.random(2)==1 then
        bezier.controlPoint_1 = ccp(display.width/2-math.random(200),display.top-math.random(100))
        bezier.controlPoint_2 = ccp(display.width/2-math.random(200)-math.random(250),display.top-math.random(100)-math.random(150))
        local endPoint = ccp(display.cx-math.random(200),display.bottom-30)
        bezier.endPosition = endPoint
    else
        bezier.controlPoint_1 = ccp(display.width/2+math.random(200),display.top-math.random(100))
        bezier.controlPoint_2 = ccp(display.width/2+math.random(200)+math.random(250),display.top-math.random(100)-math.random(150))
        local endPoint = ccp(display.cx+math.random(200),display.bottom-30)
        bezier.endPosition = endPoint
    end

    local bezierTo = CCBezierTo:create(12, bezier)
    transition.execute(fuWenSprite,bezierTo,{
    onComplete = function()
        for k, v in ipairs (display.getRunningScene().fuWens) do
            if v==fuWenSprite then
                table.remove(display.getRunningScene().fuWens,k)
            end
        end
        fuWenSprite:removeSelf()
    end
    })
end



return FuWenManager