
local CommUtil = require("app.common.CommUtil")


local ParticleManager = class("ParticleManager",function()
		return display.newNode()
end)

function ParticleManager:ctor(gameScene,sceneId,specialWeather)
	self.gameScene = gameScene
    --sceneId = 610
    local world_template = require("app.client.template.world_template")

    local getWeather = function()
        for i=1,#world_template do
            if sceneId==world_template[i][1] then
                return world_template[i][2]
            end
        end
        return nil
    end
    if specialWeather~=nil then
        weathIndex="1"
    else
        local weathers = getWeather()
        if weathers==nil then return end
        weathers = self:split(weathers,"#",5)
        weathIndex = weathers[math.random(1,#weathers)]
    end
    
    if weathIndex=="1" then
        local particle = CCParticleSystemQuad:create("particle/weather_bigrain.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
        print("放离子效果")
        --local particle2 = CCParticleSystemQuad:create("particle/waterflower.plist")
        --particle2:setPosition(ccp(display.cx,display.cy))
        --self:addChild(particle2)
    elseif weathIndex=="2" then
        local particle = CCParticleSystemQuad:create("particle/snow.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
    elseif weathIndex=="3" then
        --print("鬼火拉")
        local particle = CCParticleSystemQuad:create("particle/weather_wisp.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
    elseif weathIndex=="4" then
        --print("花瓣拉")
        local particle = CCParticleSystemQuad:create("particle/luohua.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
    elseif weathIndex=="5" then
        --print("落叶")
        local particle = CCParticleSystemQuad:create("particle/luoye.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
    elseif weathIndex=="6" then
        --print("海地气泡拉")
        local particle = CCParticleSystemQuad:create("particle/qipao.plist")
        particle:setPosition(ccp(display.cx,display.cy))
        self:addChild(particle)
    end
    
end

function ParticleManager:split(str,delim,maxNb) 
     if string.find(str, delim) == nil then  
         return { str }  
     end  
     if maxNb == nil or maxNb < 1 then  
         maxNb = 0    -- No limit   
     end  
     local result = {}  
     local pat = "(.-)" .. delim .. "()"   
     local nb = 0  
     local lastPos   
     for part, pos in string.gfind(str, pat) do  
         nb = nb + 1  
         result[nb] = part   
         lastPos = pos   
         if nb == maxNb then break end  
     end  
     -- Handle the last field   
     if nb ~= maxNb then  
         result[nb + 1] = string.sub(str, lastPos)   
     end  
     return result   
 end

return ParticleManager