--
-- Author: hejiangcheng
-- Date: 2014-12-11 17:26:58
--
local Group = require("app.client.desc.Group")
local GroupTemplateClass =  class ("GroupTemplateClass")
GroupTemplateClass.__index = GroupTemplateClass

function GroupTemplateClass:ctor()
	--{20001,10001,10002,10003,1,0.1,"孙悟空,猪八戒,沙僧同时出战","组合1"},
	self.detail={
		group=20001,
		heroid1=10001,
		heroid2=10002,
		heroid3=10003,
		type=1, --1攻击, 2攻速, 3暴击, 4破甲
		num=0.1,
		desc="",
		name="",
	}
	self.data={}
	for i,v in pairs(Group) do
		self.data[i]={}
		self.data[i].group=v[1]
		self.data[i].heroid1=v[2]
		self.data[i].heroid2=v[3]
		self.data[i].heroid3=v[4]
		self.data[i].type=v[5]
		self.data[i].num=v[6]
		self.data[i].desc=v[7]
		self.data[i].name=v[8]
	end
end

function GroupTemplateClass:getNameAndDesc(group_id)
	for i,v in pairs(self.data) do
		if group_id == v.group then
			return v.name..":"..v.desc
		end
	end
	return "暂无"
end

return GroupTemplateClass