local MathUtil = require("app.common.MathUtil")
local HunterBullet = require("app.bullet.HunterBullet")
local WarriorBullet = require("app.bullet.WarriorBullet")
local WizardBullet = require("app.bullet.WizardBullet")
local MageBullet = require("app.bullet.MageBullet")
local SkillArrow = require("app.bullet.SkillArrow")

local BulletFactory = {}


function BulletFactory.getBullet(tower,monster,if_crit)
    --ifEnHance是否加强攻击
    --local towerType = tower:getTowerType()

    --towerType = "warrior"
    
    local sourceX,sourceY = tower:getBulletReleasePointInWorld()
    local targetX,targetY = monster:getPosition()
    
    local bullet = WarriorBullet.new(CCPoint(sourceX,sourceY+35),monster,if_crit,tower.bulletIndex,tower.sountdIndex)
    bullet.target = monster
    bullet.beHitType = tower.beHitType
    --GameInstance:sharedInstance().bullets:addObject(bullet)
    return bullet







    --[[
    
    if towerType=="warrior" then
        local bullet = WarriorBullet.new(CCPoint(sourceX,sourceY),monster,if_crit)
        bullet.target = monster
        GameInstance:sharedInstance().bullets:addObject(bullet)
        return bullet
    elseif towerType=="hunter" then
        local bullet = HunterBullet.new(CCPoint(sourceX,sourceY),monster,if_crit)
        GameInstance:sharedInstance().bullets:addObject(bullet)
        return bullet
    elseif towerType=="wizard" then
        local bullet = WizardBullet.new(CCPoint(sourceX,sourceY),monster,if_crit)
        bullet.target = monster
        GameInstance:sharedInstance().bullets:addObject(bullet)
        return bullet
    elseif towerType=="mage" then
        local bullet = MageBullet.new(CCPoint(sourceX,sourceY),monster,if_crit)
        bullet.target = monster
        GameInstance:sharedInstance().bullets:addObject(bullet)
        return bullet
    end]]



end




function BulletFactory.getSkillArrow(tower,monster,targetXOffset,targetYOffset,if_crit)
    local sourceX,sourceY = tower:getBulletReleasePointInWorld()
    local targetX,targetY = monster:getPosition()

    local skillArrow = SkillArrow.new(CCPoint(sourceX,sourceY),monster,targetXOffset,targetYOffset,if_crit)
    return skillArrow

end

return BulletFactory
