local ProgressBar = require('app.ui.ProgressBar')
local scheduler = require("framework.scheduler")
local Text = require('app.ui.Text')

local LoadResource = class("LoadResource", function()
    return display.newLayer()
end)
local resource_list = pre_resource_list

function LoadResource:ctor(Delegate)
	self.Delegate = Delegate
	local length = 600
	--[[self.progress = ProgressBar.new({length=length,act=false,increase=true,velocity=2})
	self.progress:setVisible(false)
	self.progress:setPosition(display.cx - length/2,display.cy - 200)
	self.progress:setPercentage(0)
	self:addChild(self.progress)]]
	local load_pos = 1
	local showStr = {"资源加载中..    ","资源加载中....  ","资源加载中......"}
	self.tipsCenter = ui.newTTFLabelWithOutline({
             text="资源加载中..    ",
            x=display.cx-80,
            y=display.cy - 155,
            size=18,
            color =  display.COLOR_BLACK,
            outlineColor =  display.COLOR_WHITE,
            align = ui.TEXT_ALIGN_LEFT,
        })
	:align(display.LEFT_BOTTOM)

 -- local layer = require("app.layer.LoadResource").new(self)
 --    self:addChild(layer)
    self:addChild(self.tipsCenter)



	local function progressTickdownload()
		if (load_pos <= #resource_list) then
			self.tipsCenter:setString(showStr[load_pos%3+1])
			display.addSpriteFramesWithFile(resource_list[load_pos][1],resource_list[load_pos][2])
		else
			self.tipsCenter:setString("资源加载完毕")
			scheduler.unscheduleGlobal(self.handledownload)
			local function func_mobi() 
				self.tipsCenter:removeSelf()
				local layer = require("app.layer.CheckVersionLayer").new(self.Delegate)
				self.Delegate:addChild(layer)
				--self.progress:removeSelf()
			end
			local function func_xiaomi() 
				self:removeFromParentAndCleanup(true) 
				display.getRunningScene():performWithDelay(function() 
					if display.getRunningScene().name~="CheckUpdateScene" then
						display.getRunningScene():loginGame()
					end
					
					end, 0.5)
			end
			CommUtil.accessPlatform(func_mobi, func_xiaomi)

			-- func_xiaomi()
			do return end
		end
		local percent = (load_pos/#resource_list) * 100
		if (percent > 100) then
			percent = 100
		end
		--[[if self.progress then
			self.progress:setPercentage(percent)
		end]]
		load_pos = load_pos + 1
	end
	
	self.handledownload = scheduler.scheduleGlobal(progressTickdownload, 0.0001)
	
end

function LoadResource:setDelegate(Delegate)

end



return LoadResource