local BattleUtil = {}

function BattleUtil.getPassId()
  return 60001
end

function BattleUtil.getSceneId()
  return 601
end


--[[]]
function BattleUtil.getAttackSpeed(tower)
	local divider = 1
	for i=0,tower.heroGroups:count()-1 do
        local eachGroup = tower.heroGroups:objectAtIndex(i)
        if eachGroup.groupType==2 then
        	divider = divider*(1+eachGroup.groupValue)
        end
    end
    return tower:getAttackSpeed()/divider
end


function BattleUtil.getCrit(tower,monster)
    --[[
	local crit = tower.crit
	for i=0,tower.heroGroups:count()-1 do
        local eachGroup = tower.heroGroups:objectAtIndex(i)
        if eachGroup.groupType==3 then
        	crit = crit+eachGroup.groupValue
        end
    end
    return crit-monster.necrit_proc]]
    local crit = tower.crit
    return crit-monster.necrit_proc
end


function BattleUtil.getDamage(tower,monster)
	local sumAttack = tower:get_attack_power()
	local sunder = tower.sunder

	for i=0,tower.heroGroups:count()-1 do
        local eachGroup = tower.heroGroups:objectAtIndex(i)
        if eachGroup.groupType==1 then
        	sumAttack = sumAttack*(1+eachGroup.groupValue)
        end
        if eachGroup.groupType==4 then
        	sunder = sunder + eachGroup.groupValue
        end
    end

    local getAdding = function()
        local returnValve = 1
        if tower.anti_wood~=0 then return tower.anti_wood end
        if tower.anti_water~=0 then return tower.anti_water end
        if tower.anti_fire~=0 then return tower.anti_fire end
        if tower.anti_soil~=0 then return tower.anti_soil end
        return returnValve
    end

    local averageAttack = sumAttack * ( 1 - (tower.damagetype==1 and monster.armor or monster.resist ) -  sunder   )

    --local realAttack = math.random(averageAttack*0.8,averageAttack*1.2) *   ( getAdding()==2 and  (2+0.2*tower.upgradeTimes)   or 1 )

    local realAttack = math.random(averageAttack*0.8,averageAttack*1.2) * getAdding()

    return realAttack
end

--[[
function BattleUtil.getAttackSpeed(tower)
    return 1
end


function BattleUtil.getCrit(tower,monster)
    return 0
end


function BattleUtil.getDamage(tower,monster)
    return 100
end]]

return BattleUtil