local Rect =class ("Rect")
Rect.__index = Rect


function Rect:ctor(x,y,width,height)
	--这是记录移动前处于四叉树哪个节点
	self.lastIndex = 0
	--记录移动后处于四叉树哪个节点		
	self.nowIndex = 0
	--他的父节点 记录父节点是为了在删除对象的时候方便操作 不用从根节点遍历	
	self.parent = nil
	--它代表的shape在数组里的index	
	self.index = -1
	--如果已经碰撞了 就不用再检测了		
	self.hitted = false
	self.level = 0

	--上下左右象限 另外还有个什么都不是 刚好处于中心点		
	self.topQuadrant = false
	self.bottomQuadrant = false
	self.leftQuadrant = false
	self.rightQuadrant = false
	self.centerQuadrant = false


	self.x = x
	self.y = y
	self.width = width
	self.height = height

end

function Rect:setOwner(owner)
	self.owner = owner
end

function Rect:getOwner()
	return self.owner
end

return Rect