local Text = import("app.ui.Text")
local SubjectScene = class("SubjectScene", function()
    return display.newScene("SubjectScene")
end)

function SubjectScene:ctor()

    local gold = display.newSprite("study_bg.jpg",display.cx, display.cy):addTo(self)


    local sqlite3 = require("lsqlite3")

local db = sqlite3.open(device.writablePath .. "db")
db:exec('CREATE TABLE subject (id, createtime, content);')
--type ２待解决　１觉得还可以人，但还可以巩固　０已解决了
db:exec('CREATE TABLE record (id, mode, createtime, focustime, content, errtimes, type, reviewtimes);')
local foundSubject = false
for row in db:nrows("SELECT * FROM subject") do
    print("found subject")
    foundSubject = true
    break
    --print(row.id, row.content)
end
if (not foundSubject) then
    print("insert saction")
    db:exec("INSERT INTO subject VALUES (1, " .. os.time() .. ", '语文');")
    db:exec("INSERT INTO subject VALUES (2, " .. os.time() .. ", '英语');")
    db:exec("INSERT INTO subject VALUES (3, " .. os.time() .. ", '数学');")
end
local oriinterY = 100
local oriinterX = 150
local interX, interY
local currentRow = 1
for row in db:nrows("SELECT * FROM subject order by createtime") do
    if (currentRow > 2 ) then
        interY = oriinterY - oriinterY*2
    else
        interY = oriinterY
    end
    if (currentRow == 1 or currentRow == 3) then
        interX = -oriinterX
    else
        interX = oriinterX
    end
    currentRow = currentRow + 1

    print(row.createtime, row.content)
    self:addSubject(currentRow, interX, interY)
   local txt=Text.new({
            text=row.content,
            x=display.cx+interX-130,
            y=display.cy+interY,
            size=128,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 
    
    --

end

local star = 0
for row in db:nrows("SELECT * FROM record where type = 3") do
    star = star + 1
end
star = star / 10
local gifttar  = star/10
star = star % 10
for n=1, gifttar do
       local txt=Text.new({
            text='★',
            x=display.left+90*(n-1),
            y=display.top-50,
            size=95,
            color = ccc3(255, 0, 0),
            outlineColor = ccc3(255,0, 0),
            shadowColor = ccc3(255,0, 0)
        })
    self:addChild(txt) 
end


for n=1, star do
       local txt=Text.new({
            text='★',
            x=display.left+90*(n-1),
            y=display.bottom+55,
            size=95,
            color = ccc3(255, 255, 0),
            outlineColor = ccc3(255,255, 0),
            shadowColor = ccc3(255,255, 0)
        })
    self:addChild(txt) 
end

db:close()
end
--★

function SubjectScene:addSubject(currentRow, interX,interY)
      local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.cx+interX, display.cy+interY)
            :onButtonRelease(function(event)
             print(currentRow-1)
             subject_id=currentRow-1
             local nextScene = import("app.scenes.SubjectSubScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScale(0.3)
end


return SubjectScene