
local TabView = class("TabView", function()
     return display.newNode()
end)

function TabView:ctor(args)
    self.index = 1
    self.scroll_list={}
    self.layerArray = {}
    self.btnArray = {}
    self.spriteArray = {}
    self.callbacks = {}
    --配置
    self.conf_first_btn_x = CommUtil.getBlankWidth() + 260*Page_Scale
    self.conf_btn_inter_x = 130
    self.conf_btn_y = display.top - 55
    --
     --[[cc.ui.UIImage.new("ui/public/public_Base map2.png")
        :pos(display.cx-380, display.bottom + 15)
        :addTo(self)]]
    --
    self:registerScriptHandler(function(event)
        if event == "enter" then
            self:onEnter()
        elseif event == "exit" then
            self:onExit()
        end
    end)
end

function TabView:getLayer(index)
    return self.layerArray[index]
end
function TabView:tapTo(index)
    for k , v  in ipairs(self.spriteArray) do
        v:setVisible(false)
        -- tolua.cast(v,"CCNode"):setVisible(false)
        if (self.scroll_list[k]) then
            for kk, vv in ipairs(self.scroll_list[k]) do
                vv:setTouchEnabled(false)
            end
        end
    end
    for k , v  in ipairs(self.layerArray) do
        -- tolua.cast(v,"CCNode"):setVisible(false)
        v:setVisible(false)
    end
    if (self.scroll_list[index]) then
            for kk, vv in ipairs(self.scroll_list[index]) do
                vv:setTouchEnabled(true)
            end
        end
    -- tolua.cast(self.spriteArray[index],"CCSprite"):setVisible(true)
    -- tolua.cast(self.layerArray[index],"CCNode"):setVisible(true)
    if self.callbacks[index] then
        self.callbacks[index](index)
    end
    ---------
    ---------
    if (self.spriteArray and self.spriteArray[index]) then
        self.spriteArray[index]:setVisible(true)
    end
    if (self.layerArray and self.layerArray[index]) then
        self.layerArray[index]:setVisible(true)
    end
    ---------
    self.index  = index
    CommUtil.guideStep(9)

end
function TabView:addChildScroll(num, scroll)
    self.scroll_list[num]={}
    self.scroll_list[num][#self.scroll_list[num]+1] = scroll
    self.layerArray[num]:addChild(scroll)
end
function TabView:addTab(args)
    local curr_idx = #self.btnArray+1
    self.btnArray[curr_idx]  = cc.ui.UIPushButton.new({
        normal = args.normal,
        pressed = args.normal
        })
    :onButtonRelease(function(event)
        if (curr_idx == self.index) then
                return
            end
            self:tapTo(curr_idx)
        end)
    :onButtonClicked(function()
        end)
    :onButtonPressed(function(event)
            
        end)
    :pos(self.conf_first_btn_x + (curr_idx-2)*self.conf_btn_inter_x, self.conf_btn_y)
    :addTo(self)
    --

    self.layerArray[curr_idx] = display.newNode()
    :addTo(self)

    self.callbacks[curr_idx] = args.callback

    --
    self.spriteArray[curr_idx] = display.newSprite(args.pressed)
    :pos(self.conf_first_btn_x + (curr_idx-2)*self.conf_btn_inter_x, self.conf_btn_y)
    :addTo(self)
    
    tolua.cast(self.spriteArray[curr_idx],"CCSprite"):setVisible(false)
end

function TabView:removeTab()
    if self.btnArray ~= nil then
        for i = 1, #self.btnArray do
            self:removeChild(self.btnArray[i])
            self.btnArray[i] = nil
            self:removeChild(self.layerArray[i])
            self.layerArray[i] = nil
            self:removeChild(self.spriteArray[i])
            self.spriteArray[i] = nil
        end
    end
end

function TabView:onEnter()
    
end

function TabView:onExit()
    --self:removeAllEventListeners()
end
return TabView
