local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local BattleGuide = class("BattleGuide", function()
    local node = require("app.views.MaskNode").new()
    return node
end)


function BattleGuide:ctor()
  SKILL_CAN_TOUCH = false
  local guideNO = 1
  local maxGuideNumber = 4

  self.guideSprite = display.newSprite("#guide_pic_"..guideNO..".png",display.cx,display.cy):addTo(self)



  local continueBtn = display.newSprite("ui/guide/guide_arrow_up.png",display.cx+200,display.cy-100):addTo(self,10)
  local action = CCScaleBy:create(1,0.8,0.8)
  continueBtn:runAction(CCRepeatForever:create(CCSequence:createWithTwoActions(action, action:reverse())))
  continueBtn:setTouchEnabled(true) -- enable sprite touch
  continueBtn:addTouchEventListener(function(event, x, y)
        if event == "began" then
            guideNO = guideNO+1
            if guideNO>maxGuideNumber then
              guideNO=maxGuideNumber
              display.getRunningScene().baseScene:resume()
              self:removeSelf()
              --display.getRunningScene().baseScene:resume()
              --if(gPlayer.data.pass_id == 60001) then
                local guide = require("app.views.GuideNode").new()
                :addTo(display.getRunningScene(), GUIDE_PAGE_Z_ORDER)
                guide:forceGuide("guide_battle_1")
              --end
              return true
            end
            self.guideSprite:removeSelf()
            self.guideSprite = display.newSprite("#guide_pic_"..guideNO..".png",display.cx,display.cy):addTo(self)
            SKILL_CAN_TOUCH = true
            return true -- catch touch event, stop event dispatching
        end
  end)


  self.view = display.newLayer()
  self:addChild(self.view)


    self.view:setTouchEnabled(true)
    self.view:addTouchEventListener(function(event, x, y)
        if event == "began" then
            guideNO = guideNO+1
            if guideNO>maxGuideNumber then
              guideNO=maxGuideNumber
              display.getRunningScene().baseScene:resume()
              self:removeSelf()
              --display.getRunningScene().baseScene:resume()
              --
              --if(gPlayer.data.pass_id == 60001) then
                local guide = require("app.views.GuideNode").new()
                :addTo(display.getRunningScene(), GUIDE_PAGE_Z_ORDER)
                guide:forceGuide("guide_battle_1")
              --end
              --
              return true
            end
            self.guideSprite:removeSelf()
            self.guideSprite = display.newSprite("#guide_pic_"..guideNO..".png",display.cx,display.cy):addTo(self)
          return true
        end
    end)







end

return BattleGuide