local ExitPanel = class("ExitPanel",function()
    local node = display.newNode()
	return display.newNode()
end)


function ExitPanel:ctor()
	--self.bg = display.newSprite("ui/setting/setting_base_1.png",display.width/2,display.height/2):addTo(self)
	--self.bg:setScaleY(1.5)

	--local size = self.bg:getCascadeBoundingBox().size
	

    self.continueBtn = cc.ui.UIPushButton.new({
    	normal = "ui/setting/setting_continue_normal.png.png",
    	pressed = "ui/setting/setting_button_continue_pressed.png",
    })
    :pos(display.width/2,display.height/2+60)
    :onButtonRelease(function(event)
    	self:removeSelf()
    	display.resume()
        CommUtil.resumeMusic()
        if display.getRunningScene().name=="BattleScene" then
            display.getRunningScene().resumeBtn:setVisible(false)
            display.getRunningScene().pauseBtn:setVisible(true)
        end
                if (device.platform == 'android') then
                  local javaClassName = "org.cocos2dx.lib.Function"
                  local javaMethodName = "resumeGame"
                  local javaParams = {}
                  local javaMethodSig = "()V"
                  local ok, ret = luaj.callStaticMethod(javaClassName,javaMethodName,javaParams,javaMethodSig)
                end
    end)
    :addTo(self)

    self.musicBtnOn = cc.ui.UIPushButton.new({
            normal = "ui/setting/setting_music_normal.png",
            pressed = "ui/setting/setting_button_music_pressed.png",
    })
    :pos(display.width/2,display.height/2)
    :onButtonRelease(function(event)
    	CCUserDefault:sharedUserDefault():setStringForKey("music","false")
    	self.musicBtnOn:setVisible(false)
    	self.musicBtnOff:setVisible(true)
        audio.stopBackgroundMusic(false)
    end)
    :addTo(self)

    self.musicBtnOff = cc.ui.UIPushButton.new({
            normal = "ui/setting/setting_button_music_pressed.png",
            pressed = "ui/setting/setting_button_music_pressed.png",
    })
    :pos(display.width/2,display.height/2)
    :onButtonRelease(function(event)
    	CCUserDefault:sharedUserDefault():setStringForKey("music","true")
    	self.musicBtnOn:setVisible(true)
    	self.musicBtnOff:setVisible(false)
        CommUtil.playBgMusic("music/battle3.mp3")
        audio.pauseBackgroundMusic()
    end)
    :addTo(self)

    if CCUserDefault:sharedUserDefault():getStringForKey("music")=="true" or CCUserDefault:sharedUserDefault():getStringForKey("music")==nil or CCUserDefault:sharedUserDefault():getStringForKey("music")=="" then
    	self.musicBtnOff:setVisible(false)
    	self.musicBtnOn:setVisible(true)
    else
    	self.musicBtnOff:setVisible(true)
    	self.musicBtnOn:setVisible(false)
    end



    self.toMainBtn = cc.ui.UIPushButton.new({
    	normal = "ui/public/fighting_button_backcity_normal.png",
    	pressed = "ui/public/fighting_button_backcity_pressed.png",
    })
    :pos(display.width/2,display.height/2-60)
    :onButtonRelease(function(event)
        display.resume()
        if (device.platform == 'android') then
          local javaClassName = "org.cocos2dx.lib.Function"
          local javaMethodName = "resumeGame"
          local javaParams = {}
          local javaMethodSig = "()V"
          local ok, ret = luaj.callStaticMethod(javaClassName,javaMethodName,javaParams,javaMethodSig)
        end

    	display.replaceScene(require("app.scenes.MainScene").new())
    end)
    :addTo(self)

end

return ExitPanel