local touch_x=0
local touch_y=0
local touch_block=0
local def_block_width =  78
local block_width = def_block_width
local block_height = def_block_width
local scheduler = require("framework.scheduler")
local NpcUtil = require("app.common.NpcUtil")
local Text = import("app.ui.Text")
local handMoving = true
local last_click = false
local real_direct = 0
local guiding_data = {}    --引导数据
local soft_guide=false
local guide_show_wording = false
local GuideNode = class("GuideNode",function() 
    local node = display.newNode()
      node:setCascadeBoundingBox(cc.rect(0,0,display.width, display.height))

     
      node:setTouchEnabled(false)
      node:removeNodeEventListenersByEvent(cc.NODE_TOUCH_EVENT)
      node:setTouchEnabled(true)
      node:setTouchSwallowEnabled(true)
      node:addNodeEventListener(cc.NODE_TOUCH_EVENT, function(event)
         node:setTouchSwallowEnabled(true)
        local x = tonumber(event.x)
        local y = tonumber(event.y)
        print(x, y)--,"后面是node的位置",node:getPositionX(),node:getPositionY())

      ------------------软性引导不拦截点击事件
         if (soft_guide) then
            return false
          end
          ------------------

        if (touch_x == 1000 and last_click == false) then
          --显示文字中
          if (guide_show_wording) then
            return
          end

          scheduler.performWithDelayGlobal(function()
              last_click = false
          end, 0.3)
          last_click = true
          gPlayer.data.is_guide_next_step = true
          --
          if (guiding_data.girl and guiding_data.girl.action) then
            --自动开战
            if (guiding_data.girl.action==1) then
               guiding_data.girl.action = 0
               display.getRunningScene():startManualFight()        
            end
          end
          return true
        end
        --
        print("touch_x = ", touch_x)
        if (touch_x == 1000) then
            node:setTouchSwallowEnabled(true)
            return
        end 
        if (touch_x == 0 and touch_y==0) then
           node:setTouchSwallowEnabled(false)
           return
        end 
        if (x >= touch_x and x <= touch_x + block_width
           and y >= touch_y and y <= touch_y + block_height) then
          local x = 0
          if (handMoving)  then
            --print("true1")
            return true
          else
            print("node:setTouchSwallowEnabled(false)")
            node:setTouchSwallowEnabled(false)  ---传递下去
              --print("null")
          end
        else
          --print("true2")
          return true
        end
    end)
     node:registerScriptHandler(function(event)
        if event == "enter" then
            node:onEnter()
        elseif event == "exit" then
            node:onExit()
        end
    end)


    return node
end)

function GuideNode:moveHand(x1, y1, rotation1, x2, y2, rotation2)
  handMoving = true
  local cut = 10
  local ori_x_add=(x2-x1)/cut
  local ori_y_add=(y2-y1)/cut
  local x_add = ori_x_add
  local y_add = ori_y_add
  local ori_move_rotation = (rotation2-rotation1)/cut
  local move_rotation = ori_move_rotation
  local tick = function()
    if (not self.tickScheduler1) then
          return
    end
    if (not self.hand) then
      return
    end
    self.hand:setPosition(x_add+x1, y_add+y1)
    self.hand:setRotation(rotation1+move_rotation)
    x_add = x_add + ori_x_add
    y_add = y_add + ori_y_add
    move_rotation = move_rotation + ori_move_rotation
    --
    local dest1 = false
    local dest2 = false
    if (((x2>=x1 and self.hand:getPositionX() >=x2)
      or (x2<x1 and self.hand:getPositionX() <=x2))
       and ((y2>=y1 and self.hand:getPositionY() >=y2)
      or (y2<y1 and self.hand:getPositionY() <=y2))) then
        if self.tickScheduler1 then scheduler.unscheduleGlobal(self.tickScheduler1) end 
        self.tickScheduler1 = nil
        handMoving = false
        self.hand:setPosition(x2, y2)
        self.hand:setRotation(rotation2)
          --结束

    end
  end
  self.tickScheduler1 = scheduler.scheduleGlobal(tick, 0.05)


end


--检查超时
function GuideNode:checkExpire()
  if (gPlayer.data.is_guide_sock_err) then
      gPlayer.data.is_guide_sock_err = false
      --强制移动到重连位置
      local guide = {
        hand={
        btn = GUIDE_SOCKET_EXPIRE, 
        direct = 0, -- 0左, 1右 2上 3下
      },
      girl={
        direct = 0, 
        txt ="#7手机连结网络有故障哦,重连吧!",
      }
      }
      self:guiding(guide)
  end
end


--根据实际分辨率调整位置
function GuideNode:resetRealPosition(hand)
  if (hand.reference == "right") then
    hand.x = hand.x + display.right
  elseif (hand.reference == "left") then
    hand.x = hand.x + display.left
  elseif (hand.reference == "left_real") then
    hand.x = hand.x + CommUtil.getRealLeftBegin()
  elseif (hand.reference == "middle") then
    hand.x = hand.x + display.cx
  elseif (hand.reference == "secondPage") then
    hand.x = math.floor(10+ hand.x*Page_Scale + CommUtil.getRealLeftBegin())
    hand.width=math.floor(hand.width*Page_Scale)
    hand.height=math.floor(hand.height*Page_Scale)
  else
    hand.x = hand.x + CommUtil.getBlankWidth()
  end
end

--提示重连422, 185
function GuideNode:showHand(hand)
   --print("移动手到self.ori_x=1")
  if (self.hand) then
    self.hand:removeFromParentAndCleanup(true)
    self.hand = nil
  end
  --不显示手
  if (hand.show_card) then
    return
  end
  --[[if (self.guide_area) then
    self.guide_area:removeFromParentAndCleanup(true)
    self.guide_area = nil
  end]]
  --没有手添加一个空的控件

  touch_x = hand.x 
  touch_y = hand.y
  print("touch_x set ", hand.x)


  if (hand.x == 1000) then
    return
  end

--print("移动手到self.ori_x=2")
  

  local add_x = 0
  local add_y = 0
  local current_pos = 1
  
  self.rotation = 0
  ----------------------------------------------------
  if (hand.direct == 0) then
    add_x = -40
    add_y = block_height/2
    self.rotation = -180
  elseif (hand.direct == 1) then
    add_x = block_width+40
     add_y = block_height/2
    self.rotation = 0
  elseif  (hand.direct == 2) then
    add_y = block_height+40
    add_x = block_width/2
    self.rotation = -90
  else 
    add_x = block_width/2
    add_y = -40
    self.rotation = 90
  end
--print("移动手到self.ori_x=3")
  real_direct = hand.direct
  
  if (not self.last_x) then
          self.last_x = 0
          self.last_y = 0
          self.last_rotation = 0
  end
  self.ori_x = touch_x+add_x
  self.ori_y = touch_y+add_y
  ---
  --对手的位置进行校正
  if (not hand or not hand.btn 
    or not hand.height 
    or not hand.y) then
    self:quitGuide(2)
    return
  end
  local hh = hand.y+hand.height/2
  if (math.abs(self.ori_y - hh) >100) then
    if (self.ori_y > hh ) then
      self.ori_y = hh + 60
    else
       self.ori_y = hh - 60
    end
  end

  --

      self.hand = display.newSprite("ui/public/guide_hand.png",self.last_x, self.last_y):addTo(self)
        self.hand:setRotation(self.last_rotation)
        --移动手
        self:moveHand(self.last_x, self.last_y, self.last_rotation, self.ori_x, self.ori_y, self.rotation)  ----
        self.last_x = self.ori_x
        self.last_y = self.ori_y
        self.last_rotation = self.rotation

    --
    local scale_hand={2,4,6,8,10, 8, 6, 4, 2, 0}
  ------------------- ----------------------------------------------
    local tick = function()
          if (not self.tickScheduler) then
            return
          end
          if (current_pos >= 11) then
            current_pos = 1
          end
          if ((not handMoving) and self.hand )then
            --print("real_direct=----------------------------xxxxxxxx", real_direct)
            if (real_direct <= 1) then
              self.hand:setPositionX(self.last_x+scale_hand[current_pos])
            else
              self.hand:setPositionY(self.last_y+scale_hand[current_pos])
            end
            current_pos = current_pos + 1
          end
          --
          if (self.tickScheduler) then
              self:checkExpire()
          end          
        end
        if (not self.tickScheduler) then
          self.tickScheduler = scheduler.scheduleGlobal(tick, 0.06)
        end
        
end
function GuideNode:startSchedule()
  
      local tick = function()
          --检测完成任务,已经完成当日任务了
          ---------------------------------------
          if (guiding_data and guiding_data.hand 
            and guiding_data.hand.check_finish_sign) then
            if (gPlayer.data.signin_today == 0) then
              CommUtil.guideStep(-1)
            end
          end
          ---------------------------------------
          if (not self.tickScheduler2) then
            return
          end
          self:checkClick()
      end
        --
        if (not self.tickScheduler2) then
          self.tickScheduler2 = scheduler.scheduleGlobal(tick, 0.05)
        end
end

--
function GuideNode:moveGirl(girl)
  --
  self.dialog:setVisible(true)
  self.cat:setVisible(true)
  self.txt_name:setVisible(true)
  self.txt_content:setVisible(true)

  self.dialog:setPosition(girl.x, girl.y)
  self.cat:setPosition(girl.x-100, girl.y)
  self.txt_name:setPosition(girl.x, girl.y+30)
  self.txt_content:setPosition(girl.x+13*14/2, girl.y-15)

  self.txt_content:setString(girl.txt)
end




function GuideNode:forceintower(guide)
  if (not guide.girl.in_tower) then
    return
  end
  --
  local callback= function()
  end
  require('app.views.StoryNode').new(callback):addTo(display.getRunningScene(), GUIDE_PAGE_Z_ORDER)
end

function GuideNode:forceHero(guide)
  if (not guide.girl.force_skill) then
    return
  end
  display.getRunningScene().baseScene:softGuide(1)
end

function GuideNode:forceHero2(guide)
  if (not guide.girl.force_skill2) then
    return
  end
  display.getRunningScene().baseScene:softGuide(2)
end

--
function GuideNode:showGirl(guide)
      guiding_data = clone(guide)
      --
      if (self.dialog) then
        self.dialog:removeFromParentAndCleanup(true)
        self.dialog = nil
      end
      if (not guide.girl) then
        return
      end
    local arrow = false
    local name = "引导仙子"

    if (guide.hand and guide.hand.x == 1000) then
      arrow = false
    else
      arrow = true
    end
    --
    if (guide.girl.name) then
      name = guide.girl.name
    end

    self.dialog = CommUtil.addDialog({
    node = self, 
    x = guide.girl.x, 
    y =guide.girl.y, 
    direct = guide.girl.direct,
    head_type = guide.girl.head_type,        --头像类似  0引导仙子 1主将 2仙将
    head_id = guide.girl.head_id, 
    name = name,
    content =guide.girl.txt,
    movein = guide.girl.movein,
    arrow = arrow,
    callback = function()
      guide_show_wording =false
    end
    })
    --如果是2,则表示是需要自动关闭页面
    if (guide.girl.action and guide.girl.action == 2) then
      GUIDE_CLOSE_SECOND_ACTION_FLAG = true
      scheduler.performWithDelayGlobal(function()
       if (guiding_data and guiding_data.girl 
        and guiding_data.girl.action 
        and guiding_data.girl.action == 2) then
            if (GUIDE_CLOSE_SECOND_ACTION_FLAG) then
              GUIDE_CLOSE_SECOND_ACTION()  --关闭窗
            end
          end
       end, 5)
    end

    self:forceHero(guide)
     self:forceHero2(guide)
    self:forceintower(guide)
end
function GuideNode:deleteMaskPic()
   if (self.defaultMask) then
    self.defaultMask:removeFromParentAndCleanup(true)
    self.defaultMask = nil
  end
  if (self.defaultMask2) then
    self.defaultMask2:removeFromParentAndCleanup(true)
    self.defaultMask2 = nil
  end
  if (self.guideEffect) then
    self.guideEffect:removeFromParentAndCleanup(true)
    self.guideEffect = nil
  end
  if (self.pic) then
    for i=1, 4 do
      if (self.pic[i]) then
        self.pic[i]:removeFromParentAndCleanup(true)
        self.pic[i] = nil
      end
    end
  end
end

function GuideNode:fourMaskPic(hand)
 -- if true then return end
  self.defaultMaskOriginal = CommUtil.addBlankLayer(self)
  -----
  self:deleteMaskPic()
  --
  local block_width = hand.width
  local block_height = hand.height
  
 
  --public_mask
  if (hand.x == 1000) then
    self.defaultMask = CommUtil.addMaskLayer(self)
    self.defaultMaskOriginal:removeFromParentAndCleanup(true)
    self.defaultMaskOriginal = nil
    return
  end
  if (hand.circle) then
    self.defaultMask2 = display.newSprite( "ui/public/public_mask_circle.png", hand.x + hand.width/2, hand.y + hand.height/2)
    :addTo(self)
    self.defaultMask2:setScale(hand.width/100)
  end
  --
  --四张图

  --block_width = def_block_width * Page_Scale
  local left_begin_x = display.left
  local four_pic={{},{},{},{}}
  four_pic[1].x = left_begin_x
  four_pic[1].y = 0
  four_pic[1].width = 854
  four_pic[1].height = hand.y

  four_pic[2].x = left_begin_x
  four_pic[2].y = hand.y+block_height
  four_pic[2].width = 854
  four_pic[2].height = 480-hand.y

  four_pic[3].x = left_begin_x
  four_pic[3].y = hand.y
  four_pic[3].width = hand.x-display.left
  four_pic[3].height = block_height

  four_pic[4].x = left_begin_x+ block_width + hand.x-display.left
  four_pic[4].y = hand.y
  four_pic[4].width = display.right - hand.x + block_width
  four_pic[4].height = block_height
  --
  hand.x = hand.x

    self.pic={}
     --local textureDog = CCTextureCache:sharedTextureCache():addImage(mask_path) 
    for i=1, 4 do
      --local miniMap = CCSprite:createWithTexture(textureDog, CCRectMake(0,0,four_pic[i].width, four_pic[i].height)) 
      local miniMap= display.newSprite( "ui/public/public_mxask_1.png")
      miniMap:setScaleX(four_pic[i].width)
      miniMap:setScaleY(four_pic[i].height)
      miniMap:setPosition(four_pic[i].x,four_pic[i].y)
      miniMap:setAnchorPoint(CCPoint(0,0))
      self:addChild(miniMap)
      self.pic[i] = miniMap
    end

    self.defaultMaskOriginal:removeFromParentAndCleanup(true)
    self.defaultMaskOriginal = nil
     --不显示手
  if (hand.show_card) then
    return
  end
    ---新手引导心脏跳
    local frames = display.newFrames("guide_%02d.png", 1, 8)
    local animation = display.newAnimation(frames,1/8)
    self.guideEffect = display.newSprite(frames[1],hand.x + hand.width/2, hand.y + hand.height/2):addTo(self)
    self.guideEffect:playAnimationForever(animation)
    self.guideEffect:setScale(0.8*1.7)

    
end

--获得引导需要的条件是否满足, 1第一步引导 0不要引导 2第二步引导
function GuideNode:checkPassGuideFactor(pass_id)
  --出战

  if (pass_id == 60002) then
    local florid_attr1, florid_attr1_value, florid_attr2, florid_attr2_value = gBeauty:getFloridAttr()
    if (florid_attr1) then
      return 0
    else
      return 1
    end
  end
  -- 神坛->建塔->派驻->开战
  if (pass_id == 60003) then
    --------------------------------------------------------------------------
    --判断是否有猪八存在
    local found_ba_hero = false
    for k, v in ipairs(gHero.data) do
      if (v.hero_template_id == DEF_HERO_PIG_ID) then
        found_ba_hero = true
      end
    end
    ---
    if (not found_ba_hero) then
      return 1
    end
    --
    local found_zhuba_tower = false
    local A = gNTower:getSceneInfo(gPlayer.data.pve_scene_id)
    for k, v in ipairs(A.scene_info) do
          if (v.hero_id ~= 0) then
            --判断这个hero_id是不是猪八的
            local vv = gHero:getData(v.hero_id) 
            if (vv.hero_template_id == DEF_HERO_PIG_ID) then
              found_zhuba_tower = true
              break
            end
          end
    end
    if (found_zhuba_tower) then
      return 0  --无需引导
    else
      return 2
    end
  end
  -------------------------------------------
  if (pass_id == 60004) then
    --判断有没有可选择的护符
    local found_equipment = false
    local found_item = false
    for k, v in ipairs(gEquip.data) do
      if (v.hero_id ~= 0) then
        --已装备
        found_equipment = false
      else
        --掉了护符
        if (v.equipment_template_id == 20021) then
          found_equipment = true
        else
          found_equipment = false
        end
      end
    end

    --判断有没有可点打开的礼包
    for k, v in ipairs(gItem.data) do
        if (v.item_template_id == 30001) then
          found_item = true
        else
          found_item = false
        end
    end

    --发现任意一样都要引导
    if (not found_equipment and not found_item) then
      return 0
    else
      if (found_equipment) then
        return 1
      else
        return 2
      end
    end
  end

  if (pass_id == 60005) then
    --判断有无添加过好友
    if (gPlayer.data.send_frid_req_times == 0) then
      return 1
    end
    --判断主将
    for k, v in ipairs(gHero.data) do
      if (v.is_leader == 1) then
        if(v.level:get() <3) then
          return 2
        else
          return 0
        end
      end
    end
  end
  --
  --
  ---是否需要引导
  if (pass_id == 60006) then
    if (gPlayer.data.signin_today == -1 
      and gPlayer.data.signin_days == 0) then
      return 1
    else
      return 0
    end
  end
  --[[
  if (pass_id == 60007) then
      local sceneInfo = gNTower:getSceneInfo(gBattle.data.home_scene_id)["scene_info"]
      for k, v in ipairs(sceneInfo) do
        if (v.friend_player_id ~= 0) then
            return 0
          end
      end
      return 1
  end]]



  --[[
  DEF_OPEN_PRACTICE_LEVEL =12      --开放试炼
DEF_OPEN_TOTEM_LEVEL =13         --开放精气
DEF_OPEN_PVP_LEVEL = 15     --PVP开启级别
DEF_OPEN_RANK  = 20         --排行榜开放等级
DEF_OPEN_MONSTER = 20       --斩妖开放等级
]]
  if (gPlayer.data.level:get() ==DEF_OPEN_PRACTICE_LEVEL) then
      if (LocalDataUtil.getPlayerHint("guide_level_"..DEF_OPEN_PRACTICE_LEVEL) == 1) then
        return 0
      end
      LocalDataUtil.writePlayerHint("guide_level_"..DEF_OPEN_PRACTICE_LEVEL)
      return 1
  end
  if (gPlayer.data.level:get() ==DEF_OPEN_TOTEM_LEVEL) then
      if (LocalDataUtil.getPlayerHint("guide_level_"..DEF_OPEN_TOTEM_LEVEL) == 1) then
        return 0
      end
      LocalDataUtil.writePlayerHint("guide_level_"..DEF_OPEN_TOTEM_LEVEL)
      return 1
  end
  if (gPlayer.data.level:get() ==DEF_OPEN_PVP_LEVEL) then
      if (LocalDataUtil.getPlayerHint("guide_level_"..DEF_OPEN_PVP_LEVEL) == 1) then
        return 0
      end
      LocalDataUtil.writePlayerHint("guide_level_"..DEF_OPEN_PVP_LEVEL)
      return 1
  end
  return 1
end
--退出引导
function GuideNode:quitGuide()
   print("touch_x set 0")
  touch_x = 0
  touch_y = 0

  
    guiding_data = {}

    if self.tickScheduler then scheduler.unscheduleGlobal(self.tickScheduler) end 
    self.tickScheduler = nil
    ----
    local callback=function()
       self:removeFromParentAndCleanup(true)
    end
    if (guiding_data and guiding_data.girl and guiding_data.girl.moveout) then
      CommUtil.dispearMove(self.dialog, guiding_data.girl.direct, callback)
    else
      callback()
    end
       
end
--级别是否强制引导
function GuideNode:checkLevelGuideFactor(level)
  return 0
end

--返回当前需要引导的某一步
function GuideNode:returnGuideTxt(def_step)
  --强制战斗引导的时候一定退出
  if (self.force_guide) then
    return {0, 0}
  end
  local result = {"app.client.guide2.guide_pass_60001", 0}
  --不是最新关卡不影响
  if (gPlayer.data.pve_pass_id ~= gBattle.data.home_pass_id) then
    return result
  end
  --
  --[[
  DEF_OPEN_PRACTICE_LEVEL =12      --开放试炼
DEF_OPEN_TOTEM_LEVEL =13         --开放精气
DEF_OPEN_PVP_LEVEL = 15     --PVP开启级别
DEF_OPEN_RANK  = 20         --排行榜开放等级
DEF_OPEN_MONSTER = 20       --斩妖开放等级
]]
  --检查是否在需要引导的关卡或级别中
    local found = false
    for k, v in ipairs(pass_id_list) do
      if (self.force_pass_id == v) then
        found = true
        break
      end
    end
    
    local found_level = false
    if ( not found) then
       if (gPlayer.data.level == DEF_OPEN_PRACTICE_LEVEL
          or gPlayer.data.level == DEF_OPEN_TOTEM_LEVEL
          or gPlayer.data.level == DEF_OPEN_PVP_LEVEL) then
            found_level = true
      else
          return result
      end
    end
    --
    --强制引导,如果是级别时则引导
    local path1 = "app.client.guide2.guide_pass_" .. self.force_pass_id
    if (found_level) then
      path1 = "app.client.guide2.guide_level_" .. gPlayer.data.level
      --
      G_GUIDE_ENTERING = true
    end
    --
    local step = self:checkPassGuideFactor(self.force_pass_id)
    if (def_step) then
      return {path1, def_step}
    else
      return {path1, step}
    end
end


--检测是否需要引导
function GuideNode:checkIfGuide(step)
    --
    local guide = self:returnGuideTxt(step)
    ----------
    if (guide[2] == 0) then
        --如果是初次进入游戏没有引导，则默认引导第一节开始战斗 
       if (gPlayer.data.first_enter_game == true and self.force_pass_id <= 60005) then
          gPlayer.data.first_enter_game = false
          self.force_guide = true
          self:forceGuide("guide_pass_60000")
          return 1
       else
        self:quitGuide()
         return 0
      end
    end
    --
    self.guide = require(guide[1])
    if (not self.guide[guide[2]]) then
        self:quitGuide()
        return 0
    end

    --有需要引导的地方
    self.guiding_step =  guide[2]
    self.guideing_step_bu = 1

    --
    self:guiding(self.guide[self.guiding_step][self.guideing_step_bu]) --从第一步开始引导
    gPlayer.data.is_guiding_step = self.guideing_step_bu
    --print("gPlayer.data.is_guiding_step=", gPlayer.data.is_guiding_step)
    return 1
end

function GuideNode:ctor()
  if true then self:removeFromParentAndCleanup(true) end
  guiding_data = {}
  CommUtil.SetNpcTouch(false)
  soft_guide = false
  self.force_pass_id = gPlayer.data.pve_pass_id
  handMoving=true
  touch_x = 0
  touch_y = 0
end

--引导性开启话语
function GuideNode:forceChangeDescribe(guide)
  local open_system = {
    [60001] = "[妖姬]",
    [60002] = "[神坛]",
    [60003] = "[背包]",
    [60004] = "[好友]",
    [60005] = "[任务]",
  }
  local txt = ""
  if (open_system[self.force_pass_id]) then
    txt = open_system[self.force_pass_id]
  else
    txt = open_system[60001]
  end
  guide[1][1].girl.txt = guide[1][1].girl.txt .. txt .. "#7系统！"
end



--soft_guide软性引导
function GuideNode:forceGuide(file, pass_id, en_soft_guide)
  --if true then return end
  touch_x=1000
  --print("touch_x set 1000")
  if (en_soft_guide) then
    soft_guide = true
  end
  G_GUIDE_ENTERING = true
  display.newSprite("ui/public/public_mask_blank.png",display.cx,display.cy):addTo(self)
  self.guide = require("app.client.guide." .. file)
  ---------------------------------------
  if (file == "guide_pass_60000") then
    self:forceChangeDescribe(self.guide)
  elseif(file == "guide_pass_59999") then  --引导建塔
    if (not GUIDE_BUILD_TOWER_TAKI[0]) then--没有空塔位
       --print("没有空塔位")
      self:quitGuide()
      return
    end
  end
  ---------------------------------------
  self.guiding_step =  1
  self.guideing_step_bu = 1
  self:guiding(self.guide[self.guiding_step][self.guideing_step_bu]) --从第一步开始引导
  if (pass_id) then
    self.force_pass_id = pass_id
  end

end

function GuideNode:init()
  if (not NEED_GUIDE) then
    self:quitGuide()
  else
    display.newSprite("ui/public/public_mask_blank.png",display.cx,display.cy):addTo(self)
    local show_guide = self:checkIfGuide()
    --没有引导的情况才显示
    --print("检查引导情况", show_guide)
    if (gPlayer.data.first_enter_game2 == true) then
        gPlayer.data.first_enter_game2 = false
        if (show_guide == 0) then
           if gPlayer.data.signin_today == -1 then   --今天没有签到
              top_menu_list[4][1]()    ---签到
          else
              BusInterface.intoInstallAnnouncement()    --进入活动页面
          end
        end
    end
  end
  return 0
end

function GuideNode:guideAlready()
  if (#self.guide[self.guiding_step] == self.guideing_step_bu) then  --已达到该关的最后一个引导
    --print("引导1")
      self:checkIfGuide(self.guiding_step+1)
      gPlayer.data.is_guide_next_step = false
  else
    --print("引导2")
      self.guideing_step_bu = self.guideing_step_bu + 1
     --------------------------------------------------------------------------
     if (self.guide[self.guiding_step].hand 
      and self.guide[self.guiding_step].hand.charge_level) then   --判断仙将等级
        local found_leveluped = false
        for k, v in ipairs(gHero.data) do
          if (v.level:get() >= 4) then
          found_leveluped = true
          end
        end
        if (found_leveluped) then
          self.guideing_step_bu = 9    ---不再修炼了
        end
      end
       --------------------------------------------------------------------------
       gPlayer.data.is_guiding_step = self.guideing_step_bu
      self:guiding(self.guide[self.guiding_step][self.guideing_step_bu]) --从第一步开始引导
    end
end


--检测点击事件
function GuideNode:checkClick()
  --self.guide
  --self.guiding_step
  --self.guideing_step_bu
  --网络异常框的弹出
  --
  --
  if (gPlayer.data.is_guide_sock_err == true) then
    return
  end
  --
  --暂时关闭页面
  if (gPlayer.data.is_guide_hide_wait == true) then
    if (self.dialog) then
      self.dialog:setVisible(false)
    end
    if (self.hand) then
        self.hand:setVisible(false)
    end
    self:deleteMaskPic()
    self.defaultMask = CommUtil.addMaskLayer(self)
  end

  if (gPlayer.data.is_guide_next_step == true) then
    --隐藏掉蒙层
    self:guideAlready()
  end
end

--根据实际分辨率调整位置
function GuideNode:resetRealPosition(hand)
  if (hand.reference == "right") then
    hand.x = hand.x + display.right
  elseif (hand.reference == "left") then
    hand.x = hand.x + display.left
   elseif (hand.reference == "left_real") then
    hand.x = hand.x + CommUtil.getRealLeftBegin()
  elseif (hand.reference == "secondPage") then
    hand.x = math.floor(10+ hand.x*Page_Scale + CommUtil.getRealLeftBegin())
    hand.width=math.floor(hand.width*Page_Scale)
    hand.height=math.floor(hand.height*Page_Scale)
  else
    hand.x = hand.x + CommUtil.getBlankWidth()
  end
end
--
--rect为
function GuideNode:guiding(guide)
   --
   --print("引导中...!")
  guide_show_wording = true
  gPlayer.data.is_guide_hide_wait = false
  gPlayer.data.is_guiding = true
  gPlayer.data.is_guide_next_step =  false
  --
  --调整实际的位置-

  if (not guide.hand) then
    guide.hand={x=1000,y=1000, width = def_block_width, height=def_block_width}
  else
    --将hand的btn，转为x,y 
    if (guide.hand.btn ) then
      --找不到按钮就退出
      if (not guide.hand 
        or not  guide.hand.btn 
        or not guide.hand.btn[0]
        or not guide.hand.btn[0].x) then
        --print("找不到按钮就退出1")
        self:quitGuide()
        return
      end

      guide.hand.x = guide.hand.btn[0].x
      guide.hand.y = guide.hand.btn[0].y
      guide.hand.width = guide.hand.btn[0].width
      guide.hand.height = guide.hand.btn[0].height
      if (guide.hand.taki) then--塔基
        if (guide.hand.taki == "warrior") then
          guide.hand.x = guide.hand.x - 50
          guide.hand.y = guide.hand.y + 26
        else
          guide.hand.y = guide.hand.y + 78
        end
         guide.hand.width = 58
         guide.hand.height = 58
      end
      --
      
      if (not guide.hand.width) then  --不存在这个控件
      --循环等待2秒后还不行则退出
         if (not guide.hand.width) then  --不存在这个控件,就再等待2秒
          --print("找不到按钮退出2!")
             self:guideAlready()
        end
       return
      end
    else
      self:resetRealPosition(guide.hand)
    end
  end
  --
  block_width = guide.hand.width
  block_height = guide.hand.height
  --
  if (not soft_guide) then
    self:fourMaskPic(guide.hand)
    self:showGirl(guide)
  end
  --
  self:showHand(guide.hand)
  self:startSchedule()

end

function GuideNode:onExit()
 
  gPlayer.data.is_guiding = false
  
  GUIDE_CLOSE_SECOND_ACTION_FLAG  = false
  CommUtil.SetNpcTouch(true)

  if self.tickScheduler then scheduler.unscheduleGlobal(self.tickScheduler) end 
  self.tickScheduler = nil

  if self.tickScheduler1 then scheduler.unscheduleGlobal(self.tickScheduler1) end 
  self.tickScheduler1 = nil
if self.tickScheduler2 then scheduler.unscheduleGlobal(self.tickScheduler2) end 
  self.tickScheduler2 = nil
    

end
return GuideNode