
local scheduler = require("framework.scheduler")
local LockExcute = class("LockExcute",function() 
    local node = display.newNode()
    node:setTouchEnabled(true)
    node:addTouchEventListener(function(event, x, y)
        return true
    end)
     node:registerScriptHandler(function(event)
        if event == "enter" then
            node:onEnter()
        elseif event == "exit" then
            node:onExit()
        end
    end)
    return node
end)

--[[
enterFunc : 执行的动作
lock_timer: 锁定屏幕的时间
]]
function LockExcute:ctor(enterFunc, lock_timer)
     self.sprite = CommUtil.addBlankLayer(self)
      local cleanFunc = function()
            self:removeFromParentAndCleanup(true)
     end
     self.openDelayFunc = scheduler.performWithDelayGlobal(cleanFunc, lock_timer)
     enterFunc()
end


function LockExcute:onExit()
   if self.openDelayFunc then scheduler.unscheduleGlobal(self.openDelayFunc) end
end

return LockExcute