local LoginPanel = class("LoginPanel",function() 
	local rect = CCRect(0, 0, display.width, display.height*0.9)
    local node = display.newClippingRegionNode(rect)
    node.rect=rect
    node:setNodeEventEnabled(true)
    node:setPositionY(display.top)
    require("framework.api.EventProtocol").extend(node)

    node.onEnter = function()
    	 -- 显示对象加入父对象时调用
    	transition.execute(node, CCMoveTo:create(1,CCPoint(0,display.height*0.1)),{
            easing = "bounceOut",
            onComplete = function()
    end})
	end

	node.onExit = function()
    	-- 显示对象加入父对象时调用
    	--print("被删除了")
	end

    return node
end)

function LoginPanel:ctor()
	display.newColorLayer(ccc4(255, 255, 255, 255)):addTo(self)
	self.view = display.newLayer()
    self:addChild(self.view)
    
    local bg = display.newSprite("login/loginbg.png",display.cx,0):addTo(self.view)
    bg:setAnchorPoint(CCPoint(0,0))

end

return LoginPanel