--
-- Author: hejiangcheng
-- Date: 2015-02-28 18:20:06
--
--
-- Author: hejiangcheng
-- Date: 2015-01-23 10:06:47
--
local baseMenu = require("app.views.baseMenu")
local payTips = class("payTips",baseMenu)
local Text = require('app.ui.Text')

function payTips:ctor(para)
	payTips.super.ctor(self, 0.7,true)
	self.para = para

	local offsetY = 25
	self.width,self.height = self.bg:getContentSize().width*self.bgScale,self.bg:getContentSize().height*self.bgScale
	Text.new({text="购买提示",x=0,y=self.height/2-20,size=20,color = ccc3(255,255,0),align = ui.TEXT_ALIGN_CENTER}):addTo(self)

	display.newSprite("ui/public/public_second_label_bg.png", 0, 15+offsetY):addTo(self):setScaleX(238/167)
	Text.new({text="购买："..para.name,x=0,y=15+offsetY,size=18,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_CENTER}):addTo(self)

	display.newSprite("ui/public/public_second_label_bg.png", 0, 15-offsetY):addTo(self):setScaleX(238/167)
	Text.new({text="价格：¥"..para.price.."元",x=0,y=15-offsetY,size=18,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_CENTER}):addTo(self)

	cc.ui.UIPushButton.new({ --获取资源
		normal="ui/mall/mall_button_buy_normal.png",
		pressed="ui/mall/mall_button_buy_pressed.png",
	}):pos(0, -self.height/2+40):addTo(self)
	:onButtonRelease(function(event)
		event.target:setButtonEnabled(false)
		self:removeSelf()
		if para.confirmCallback and type(para.confirmCallback)=='function' then
			para.confirmCallback()
		end
	end)

	self:setTouchEnabled(true)
end

function payTips:setTouchEnabled(b)
	self.canClick = b
end

function payTips:onExit()
	if self.para.cancelCallback and type(self.para.cancelCallback)=='function' then
		self.para.cancelCallback()
	end
end

return payTips