local messageview = require("app.ui.MessageView")
local Backpack = class("Backpack",messageview)


function Backpack:ctor(rect,data)
    local ax = {
                 number = 3 ,
                 bgpath = 'res/ui/backpack/bag_base_1.png',
                 scale  = 1,
                   --titel = 'res/ui/bag_detail_btn_normal.png' ,                 -- 图片路径   
                   --fun = self:Test() 
                 exitplace = { ex = display.cx/5 + (35*(display.cx/427))+225, ey = display.cy/5 + 120 }
               }


    self.def_x = display.cx/5 + (35*(display.cx/427))
    self.def_y = display.cy/5 
    self.setting_node_stl     =  Backpack.super.ctor(self,ax)                      -- 接受模板的node 

    self.cto_tab = {}
    self.ci = 0

    self.viewtext_node = display.newNode():addTo(self.setting_node_stl,200):pos(self.def_x -315 , self.def_y -65 )

    self:CountNum()
    self:Add()
  
 
end

function Backpack:CountNum()
    

    local tab = {
       {id = 30004, name = '次级经验石', des = '随机提升经验值'},
       {id = 30006, name = '经验石', des = '提升英雄1000经验'},
       {id = 30008, name = '圣僧', des = '圣唐僧助战5次'},
       {id = 30009, name = '红水晶', des = '全屏伤害所需能源'},
       {id = 30010, name = '黄水晶', des = '全屏定身所需能源'},
       {id = 30011, name = '蓝水晶', des = '全军变身所需能源'},
       {id = 30012, name = '绿水晶', des = '全屏减速所需能源'},
      }
    local index = 1

    for i,v in ipairs(tab) do
         if gItem:isItemExist(v.id) == true then
              print("^^^^^^^^^^ true")
              self.cto_tab[index] = {}
              self.cto_tab[index].id = v.id 
              self.cto_tab[index].name = v.name 
              self.cto_tab[index].num  = gItem:getItemNum(v.id)
              self.cto_tab[index].des  = v.des
              index = index + 1 
         end
    end
    print("^^^^^^^^^______________",#self.cto_tab,gItem:isItemExist(30004))
  
end

function Backpack:Add()
    local bg = display.newSprite('res/ui/public/public_card_empty_1.png'):pos(self.def_x -315 , self.def_y -65 ):scale(0.87)
                                                                        :addTo(self.setting_node_stl)
            bg:setScaleY(0.96)   
    local title = display.newSprite('res/ui/home/home_bar_figure.png'):pos(self.def_x -315 , self.def_y +40 )
                                                                        :addTo(self.setting_node_stl)
    local num = display.newSprite('res/ui/public/public_second_label_bg.png'):pos(self.def_x -315 , self.def_y -10 )
                                                                        :addTo(self.setting_node_stl)
                                                                        :scale(0.8)
    local content = display.newSprite('res/ui/backpack/bag_button_2.png'):pos(self.def_x -315 , self.def_y - 105 )
                                                                        :addTo(self.setting_node_stl)
                                                                        :scale(0.9)
    local right = display.newSprite('res/ui/backpack/bag_base_3.png'):pos(self.def_x + 4 , self.def_y - 43 )
                                                                        :addTo(self.setting_node_stl)


                  -- :setOutlineColor( ccc3(15,16,76))

    for i=1,9 do
         
          local a = i                                                     
         if i <= #self.cto_tab then
            if (i%3) == 0  then  a = 2 else a = math.abs((i%3 -1)) end
            self:Cell(i,self.cto_tab[i]):addTo(self.setting_node_stl):pos(self.def_x - 110 + a*115 , self.def_y + 42 - math.floor(i/3.1)*100)
         else
            if (i%3) == 0  then  a = 2 else a = math.abs((i%3 -1)) end
            print("_______+++++++",a)
            local cell = display.newSprite('res/ui/public/public_equipment2.png'):pos(self.def_x - 110 + a*115, self.def_y + 42 - math.floor(i/3.1)*100 )
                                                                        :addTo(self.setting_node_stl)
         end
    end
    
                                                              
end

function Backpack:Cell(i , tab)
     local cell_node  = display.newNode()

     local cell = display.newSprite('res/ui/public/public_equipment2.png')  --
                         :addTo(cell_node)
     local cell = display.newSprite('#hero_head_'..tab.id..'.png')
                         :addTo(cell_node)
     if self.ci == 0 and i == 1 then                 -- 第一个 刚开始加载就开始动
        self:ViewText(tab)
        self:RunAction(cell_node)
        self.ci = cell_node 
     end

      cell_node:setTouchEnabled(true)
      cell_node:addTouchEventListener(function(event, x, y, prevX, prevY)

    
                

                        if self.ci == cell_node then
                            print("running  +___   ")
                        else
                            self:RunAction(cell_node)
                            self.ci:stopAllActions()
                            self.ci:scale(1)
                            self.ci  = cell_node
                            self.viewtext_node:removeAllChildren()
                            self:ViewText(tab)
                        end
                        return true
     
                end)


     return cell_node
end

function Backpack:RunAction(node)
           local seq = transition.sequence({
                    CCSpawn:createWithTwoActions(CCScaleTo:create(0.7,0.94), CCFadeTo:create(0.7, 255)),
        
                    CCSpawn:createWithTwoActions(CCScaleTo:create(0.7,1.07), CCFadeTo:create(0.7, 255)),
                    CCShow:create(),
                    })
            node:runAction(CCRepeatForever:create(seq))
end
function Backpack:ViewText(tab)

    local iname = ui.newTTFLabelWithOutline( {
                text= tab.name,                                    --text的内容
                x   = display.cx/5 - (display.cx)/480*10-73,          -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 +57,                               --离最大高度的 距离
                size= 18,                                             --字体的大小
                color = ccc3(255,255,255),                            --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                        --文字的对齐方式
          
                }):addTo(self.viewtext_node,20)
                  :setOutlineColor( ccc3(15,16,76))

    local iname = ui.newTTFLabelWithOutline( {
                text= "数量 : "..tab.num,                                --text的内容
                x   = display.cx/5 - (display.cx)/480*10-75,        -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 + 7 ,                            --离最大高度的 距离
                size=17,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
      
                }):addTo(self.viewtext_node,20) 
                  :setOutlineColor( ccc3(15,16,76))
    local gold = ui.newTTFLabelMenuItem( {
                text     = tab.des,            --text的内容
                x        = display.cx/5 - (display.cx)/480*10-65,   -- 屏幕的宽度的几分之一为中心
                y        = display.cy/5 - 80 ,                       --离最大高度的 距离
                size     = 17,                                      --字体的大小
                color    = ccc3(98,95,79),                          --字体的颜色
                align    = ui.TEXT_VALIGN_TOP,                      --文字的对齐方式
                dimensions = cc.size(130,120),
                }):addTo(self.viewtext_node)  
          
end

-- function Backpack:Button()

--     local iname = ui.newTTFLabelWithOutline( {
--                 text= "西游大战僵尸",                            --text的内容
--                 x   = display.cx/5 - (display.cx)/480*10-100,                              -- 屏幕的宽度的几分之一为中心
--                 y   = display.cy/5 +30,                               --离最大高度的 距离
--                 size=23,                                            --字体的大小
--                 color = ccc3(255,255,255),                          --字体的颜色
--                 align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
          
--                 }):addTo(self.setting_node_stl,20)
--                   :setOutlineColor( ccc3(15,16,76))

--     local iname = ui.newTTFLabelWithOutline( {
--                 text= "版本编号: ",                            --text的内容
--                 x   = display.cx/5 - (display.cx)/480*10-93,                              -- 屏幕的宽度的几分之一为中心
--                 y   = display.cy/5 ,                               --离最大高度的 距离
--                 size=23,                                            --字体的大小
--                 color = ccc3(255,255,255),                          --字体的颜色
--                 align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
      
--                 }):addTo(self.setting_node_stl,20) 
--                   :setOutlineColor( ccc3(15,16,76))

--     local iname = ui.newTTFLabelWithOutline( {
--                 text= "应用类型: 策略塔防",                            --text的内容
--                 x   = display.cx/5 - (display.cx)/480*10-69,                             -- 屏幕的宽度的几分之一为中心
--                 y   = display.cy/5 -30,                               --离最大高度的 距离
--                 size=23,                                            --字体的大小
--                 color = ccc3(255,255,255),                          --字体的颜色
--                 align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
              
--                 }):addTo(self.setting_node_stl,20) 
--                   :setOutlineColor( ccc3(15,16,76))

--    self.buttonMusic = cc.ui.UIPushButton.new({
--                 normal =   "ui/setting/setting_music_normal.png",
--                 pressed =  "ui/setting/setting_button_music_pressed.png",

--                 })
--                 :scale(1)
--                 :pos(display.cx/5 + (display.cx)/480*-190 ,display.cy/5 - 135)
--                 :addTo(self.setting_node_stl )
--                 :onButtonRelease(function(event)

                    
--                        --self.buttonHero:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_button_music_pressed.png")
--                      if self.MusicStatus == "1" then

--                         audio.stopMusic() 
--                         self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_button_music_pressed.png")
--                         CommUtil.setMusicStatus("0")
--                         self.MusicStatus = "0"
                    
--                      else  
--                         audio.playMusic("music/city2.mp3")
--                         self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_music_normal.png") 
--                         CommUtil.setMusicStatus("1")
--                          self.MusicStatus = "1"
--                      end
                   
--                  end)
                    
       


--    self.buttonExit = cc.ui.UIPushButton.new({
--                 normal =   "res/ui/setting/setting_button_out_normal.png",
--                 pressed =  "res/ui/setting/setting_button_out_pressed.png",

--                 })
--                 :scale(1)
--                 :pos(display.cx/5 - (display.cx)/480*-30 ,display.cy/5 - 135)
--                 :addTo(self.setting_node_stl )
--                 :onButtonRelease(function(event)
--                     require("app.views.secondMenu.exit.Exit").new():addTo(display.getRunningScene(),10)
--                  end)
-- end


return Backpack
