--
-- Author: hejiangcheng
-- Date: 2015-01-13 21:32:20
--
local baseMenu = require("app.views.baseMenu")
local heroGroup = class("heroGroup",baseMenu)
local Text = require('app.ui.Text')
local GroupTemplateClass = require("app.data.template.GroupTemplateClass").new()

function heroGroup:ctor(para)
	heroGroup.super.ctor(self, 0.7,true)
	self.parent = para.parent

	self.width,self.height = self.bg:getContentSize().width*self.bgScale,self.bg:getContentSize().height*self.bgScale

	--[[if self.heroData.id == 10005 then
	self.com1Text = Text.new({text='叼到没朋友！',x=-self.width/4-110,y=-self.height/4+5,size=14,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_LEFT,dimensions=CCSize(14*15,14*3)}):addTo(self)
	else
	self.com1Text = Text.new({text=GroupTemplateClass:getNameAndDesc(self.heroData.group1),x=-self.width/4-110,y=-self.height/4+5,size=14,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_LEFT,dimensions=CCSize(14*15,14*3)}):addTo(self)
	end]]
	display.newSprite("ui/home/home_arrow_left.png", -65, self.height/2-25):addTo(self):scale(0.9)
	display.newSprite("ui/home/home_arrow_left.png", 65, self.height/2-25):addTo(self):flipX(true):scale(0.9)
	Text.new({text='组合',x=0,y=self.height/2-25,size=24,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_CENTER}):addTo(self)

	display.newSprite("ui/public/public_second_label_bg.png", 0, 35-20):addTo(self):setScaleX(238/167)
	display.newSprite("ui/public/public_second_label_bg.png", 0, -35-20):addTo(self):setScaleX(238/167)
	Text.new({text=GroupTemplateClass:getNameAndDesc(self.parent.heroData.group1),x=0-110,y=35-20,size=14,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_LEFT,dimensions=CCSize(14*15,14*3)}):addTo(self)
	Text.new({text=GroupTemplateClass:getNameAndDesc(self.parent.heroData.group2),x=0-110,y=-35-20,size=14,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_LEFT,dimensions=CCSize(14*15,14*3)}):addTo(self)

	self:setTouchEnabled(true)
end

function heroGroup:setTouchEnabled(b)
	self.canClick = b
end

function heroGroup:onExit()
	self.parent:setTouchEnabled(true)
end

return heroGroup