--
-- Author: hejiangcheng
-- Date: 2015-01-23 10:06:47
--
local baseMenu = require("app.views.baseMenu")
local lackResNode = class("lackResNode",baseMenu)
local Text = require('app.ui.Text')

function lackResNode:ctor(para)
	lackResNode.super.ctor(self, 0.7,true)
	self.parent = para.parent

	self.width,self.height = self.bg:getContentSize().width*self.bgScale,self.bg:getContentSize().height*self.bgScale

	display.newSprite("ui/public/public_second_label_bg.png", 0, 20):addTo(self):setScaleX(238/167)
	Text.new({text='经验石数量不足',x=0,y=20,size=18,color = ccc3(255,255,255),align = ui.TEXT_ALIGN_CENTER}):addTo(self)

	cc.ui.UIPushButton.new({ --获取资源
		normal="ui/mall/mall_button_buy_normal.png",
		pressed="ui/mall/mall_button_buy_pressed.png",
	}):pos(0, -self.height/2+45):addTo(self)
	:onButtonRelease(function(event)
		event.target:setButtonEnabled(false)
		self.parent:removeSelf()

		require("app.views.secondMenu.mall.NonNetworkMall").new():addTo(display.getRunningScene(),10)
	end)

	self:setTouchEnabled(true)
end

function lackResNode:setTouchEnabled(b)
	self.canClick = b
end

function lackResNode:onExit()
	if not tolua.isnull(self.parent) then
		self.parent:setTouchEnabled(true)
	end
end

return lackResNode