#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;	
varying vec2 v_texCoord;	
uniform sampler2D u_texture;	

void main()	
{	
	vec4 color1 = texture2D(u_texture, v_texCoord) * v_fragmentColor; 
	gl_FragColor = color1;
	gl_FragColor.r *= 0.1; 
	gl_FragColor.g *= 0.1;
}


