local MathUtil = require("app.common.MathUtil")
local Attacker = require("app.actor.Attacker")
local AnimationFactory = require("app.factory.AnimationFactory")

local NewBoss = class("NewBoss",Attacker)

function NewBoss:ctor(attackerProperties,parent,path)
    NewBoss.super.ctor(self,attackerProperties,parent,path)
end


function NewBoss:getTextureCenterPointInWorld(posX,posY)
    local size = self.mainSprite:getCascadeBoundingBox().size
    --print("怪物的宽高",size.width, size.height)
    local anchorPoint = self.mainSprite:getAnchorPoint()
    local textureCenterX = posX + (0.5-anchorPoint.x)*size.width
    local textureCenterY = posY + (0.5-anchorPoint.y)*size.height
    textureCenterY = textureCenterY -100
    return textureCenterX,textureCenterY,size
end


return NewBoss