local MathUtil = require("app.common.MathUtil")
local Attacker = require("app.actor.Attacker")
local AnimationFactory = require("app.factory.AnimationFactory")

local RedMonster = class("RedMonster",Attacker)

function RedMonster:ctor(attackerProperties,parent,path)
    RedMonster.super.ctor(self,attackerProperties,parent,path)
    
    self.mainSprite:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("red"))--红色怪物
    
end


function  RedMonster:runDeadAnimation()
	local x,y = self:getCenterPointInWorld(self:getPositionX(),self:getPositionY())
    self.gameScene:doRedMonsterDeadLogic(x,y)
    RedMonster.super.runDeadAnimation(self)
end

return RedMonster