local MathUtil = require("app.common.MathUtil")
local Attacker = require("app.actor.Attacker")
local AnimationFactory = require("app.factory.AnimationFactory")

local YellowMonster = class("YellowMonster",Attacker)

function YellowMonster:ctor(attackerProperties,parent,path)
    YellowMonster.super.ctor(self,attackerProperties,parent,path)

    addRes("BattleScene","glod.plist","glod.pvr.ccz")
    
    self.mainSprite:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("yellow"))--红色怪物
    
    local size = self.mainSprite:getCascadeBoundingBox().size
    
    --[[
    local moneyCircleSprite = display.newSprite("ui/home/home_goods_hint.png",0,size.height):addTo(self)
	moneyCircleSprite:runAction(CCRepeatForever:create(CCRotateBy:create(2,360)))
	moneyCircleSprite:setScale(0.6)
	--self.moneySprite = display.newSprite("#gold_1.png",0,size.height+40):addTo(self)
	self.moneySprite = display.newSprite("ui/home/home_icon_copper.png",0,size.height):addTo(self)
	self.moneySprite:setScale(0.8)
	--moneySprite:runAction(CCRepeatForever:create(CCRotateBy:create(3,360)))]]
	
end


function  YellowMonster:runDeadAnimation()
	local size = self.mainSprite:getCascadeBoundingBox().size
    self.gameScene:doYellowMonsterDeadLogic(self:getPositionX(),self:getPositionY(),size.height)
    YellowMonster.super.runDeadAnimation(self)
end

return YellowMonster