local skill_list={}
skill_list = {
	--trigger_condition,触发器条件,1,攻击命中有几率触发;2,攻击暴击有几率触发;3,自己HP到一定百分比有几率触发;4,目标HP到一定百分比有几率触发
	
	--cast_type,施法类型,1,瞬发;2,弹道;3,引导
	
	--shape_type,形状类型,0,全屏幕;1,自身为圆心的圆形;2,目标为圆心的圆形;3,自身到目标连线为中轴的矩形;4,目标所在横坐标轴为中轴的矩形;5,目标所在纵坐标为中轴的矩形;
	--6,自身到目标连线为中轴的扇形;7,指定点为圆心的圆形;8,目标卡牌后方中央为圆心的圆形
							
	--buff_type,buff效果类型号,1,DOT;2,护甲;3,移动速度;4,攻击速度;5.生命值上限;6,攻击力;7,暴击率;8,技能触发几率;9,眩晕;10,变形;11,抗性;12,牵引;13,石化;14,印记传送;15,DOT_HP%
	
	--target_friendship,与技能目标的敌我关系类型,1,自身;2,当前敌方目标;3,友方;4,敌方;
	
	["40001"] = {
		name = "飞星传恨",
		desc = "飞星在指定的圆形范围内坠落，对目标造成多次物理伤害，单次伤害相当于主将伤害的50%",
		ace_type = 1,
		cast_type = 3,
		cost = 10,
		cooldown = 18,
		sound = "music_40001",
		effect = {
			cast_effect = 0,
			channel_effect = "40001",
			single_time = 0.8,
			cycle_time =3,
			ending_effect = 0,
			},
		damage = {
			damage_type = 1,
			damage_coeff = 0.90,
		},	
	},
	["40002"] = {
		name = "鼓舞士气",
		desc = "10秒内鼓舞的仙将攻击速度提高,攻击力提高1.2倍",
		ace_type = 0,
		cast_type = 3,
		cost = 10,
		cooldown = 25,
		sound = "music_40002",
		effect = {
			cast_effect = 0,
			channel_effect = "40002",
			single_time = 1.0,
			cycle_time =2,
			ending_effect = 0,
			},
		damage = {
			damage_type = 2,
			damage_coeff = 0.30,
			},
		buffs = {
			{
			buff_time = 10,
			buff_type = 3,
			buff_value = -0.50,
			buff_effect = "slow",
			}
		},
	},
   ["42007"] = {
		name = "翻云覆",
		desc = "在目标头顶降雨，造成持续伤害并降低其抗性。",
		cast_type = 3,
		sound = "music_42007",
		effect = {
			cast_effect = 0,
			channel_effect = "42007",
			single_time = 0.8,
			cycle_time = 3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 2,
			damage_coeff = 0.50,
		},
		buffs = {
			{
			buff_time = 5,
			buff_type = 11,
			buff_value = -0.30,
			buff_effect = "resist",
			}
		}
	},

	["40004"] = {
		name = "勾魂鬼爪",
		desc = "对指定条形范围内目标造成高额物理伤害，伤害相当于主将伤害的110%，并使之持续流血5秒",
		ace_type = 0,
		cast_type = 1,
		cost = 6,
		cooldown = 10,
		sound = "music_40004",
		effect = {
			cast_effecet = "40004",
			},
		damage = {
			damage_type = 1,
			damage_coeff = 1.1,
		},	
		buffs = {
			{
			buff_time = 5,
			buff_type = 1,
			jump_time = 1,
			buff_value = -0.30,
			buff_effect = "bleed",
			}
		},
	},
	["40005"] = {
		name = "小鬼缠身",
		desc = "对指定圆形范围内目标造成高额法术伤害，单次伤害相当于主将伤害的45%，并使之护甲降低50%，持续10秒",
		ace_type = 1,
		cast_type = 3,
		cost = 10,
		cooldown = 18,
		sound = "music_40005",
		effect = {
			cast_effect = 0,
			channel_effect = "40005",
			single_time = 1.0,
			cycle_time =3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 2,
			damage_coeff = 0.45,
		},
		buffs = {
			{
			buff_time = 10,
			buff_type = 2,
			buff_value = -0.50,
			buff_effect = "armor",
			}
		},
	},
	["40007"] = {
		name = "情深不寿",
		desc = "对指定圆形范围内目标造成高额法术伤害，伤害相当于主将伤害的120%，并使之抗性降低50%，持续10秒",
		ace_type = 1,
		cast_type = 1,
		cost = 8,
		cooldown = 12,
		sound = "music_40007",
		effect = {
			cast_effect = "40007",
			},
		damage = {
			damage_type = 2,
			damage_coeff = 0.60,
		},
		buffs = {
			{
			buff_time = 10,
			buff_type = 11,
			buff_value = -0.50,
			buff_effect = "resist",
			}
		}
	},
	["40008"] = {
		name = "仙履奇缘",
		desc = "对仙人大履踩到的目标造成高额物理伤害，伤害相当于主将伤害的600%，并使之眩晕2.50秒",
		ace_type = 1,
		cast_type = 1,
		cost = 8,
		cooldown = 40,
		sound = "music_40008",
		effect = {
			cast_effect = "40008",
			},
		damage = {
			damage_type = 1,
			damage_coeff = 9.00,
			},
		buffs = {
			{
			buff_time = 2.50,
			buff_type = 9,
			buff_effect = "vertigo",
			}
		}
	},
	["40009"] = {
		name = "月光宝盒",
		desc = "使全屏所有敌方目标定身4秒，并造成小额法术伤害，单次伤害相当于主将伤害的30%",
		ace_type = 1,
		cast_type = 1,
		cost = 10,
		cooldown = 20,
		sound = "music_40009",
		effect = {
			cast_effect = "40009",
		},
		damage = {
			damage_type = 2,
			damage_coeff = 0.3,
			shape_type = 0,
			},
		buffs = {
			{
			buff_time = 4,
			buff_type = 9,
			shape_type = 0,
			buff_effect = "winding",
			}
		},
	},
	["40010"] = {
		name = "龙骨穿刺",
		desc = "对指定圆形范围内目标造成高额物理伤害，伤害相当于主将伤害的200%，并使之流血6秒",
		ace_type = 1,
		cast_type = 1,
		cost = 10,
		cooldown = 18,
		sound = "music_40010",
		effect = {
			cast_effect = "40010",
		},
		damage = {
			damage_type = 1,
			damage_coeff = 2.00,
			},
		buffs = {
			{
			buff_time = 6,
			buff_type = 1,
			jump_time = 1,
			buff_value = 0.40,
			buff_effect = "bleed",
			}
		},
	},
	["40011"] = {
		name = "死亡凋零",
		desc = "对指定圆形范围内造成法术伤害，单次伤害相当于主将伤害的60%，并使之持续流血，可叠加",
		ace_type = 1,
		cast_type = 3,
		cost = 10,
		cooldown = 18,
		sound = "music_40011",
		effect = {
			cast_effect = 0,
			channel_effect = "40011",
			single_time = 1.0,
			cycle_time =3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 2,
			damage_coeff = 0.60,
			},
		buffs = {
			{
			buff_time = 3,
			buff_type = 1,
			jump_time = 1,
			buff_layer = 3,
			buff_value = -0.30,
			buff_effect = "bleed",
			}
		},
	},
	["40012"] = {
		name = "白骨牢笼",
		desc = "对指定圆形范围内目标造成高额法术伤害，伤害相当于主将伤害的150%，并使之定身2秒",
		ace_type = 1,
		cast_type = 1,
		cost = 10,
		cooldown = 20,
		sound = "music_40012",
		effect = {
			cast_effect = "40012",
		},
		damage = {
			damage_type = 2,
			damage_coeff = 1.5,
			},
		buffs = {
			{
			buff_time = 2,
			buff_type = 9,
			buff_effect = "winding",
			}
		},
	},
	["40015"] = {
		name = "黑云垂顶",
		desc = "对黑云覆盖的目标造成高额法术伤害，单次伤害相当于主将伤害的75%，并使之减速60%，持续5秒",
		ace_type = 1,
		cast_type = 3,
		cost = 10,
		cooldown = 20,
		sound = "music_40015",
		effect = {
			cast_effect = 0,
			channel_effect = "40015",
			single_time = 1.0,
			cycle_time =3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 2,
			damage_coeff = 0.75,
			},
		buffs = {
			{
			buff_time = 5,
			buff_type = 3,
			buff_value = -0.6,
			buff_effect = "slow",
			}
		},
	},
	["40016"] = {
		name = "星辰坠落",
		desc = "对陨星击中的目标造成大量多次物理伤害，单次伤害相当于主将伤害的120%",
		ace_type = 1,
		cast_type = 3,
		cost = 10,
		cooldown = 20,
		sound = "music_40016",
		effect = {
			cast_effect = 0,
			channel_effect = "40016",
			single_time = 0.8,
			cycle_time =3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 1,
			damage_coeff = 1.20,
		}
	},
	["40020"] = {
		name = "画地为牢",
		desc = "阻挡小怪，使之无法立即通过",
		ace_type = 0,
		cast_type = 1,
		cost = 5,
		cooldown = 8,
		sound = "music_40020",
		effect = {
			cast_effect = 0,
		},
		totem = {
			totem_id = "1019",
			totem_time = 6,
			totem_hp = 6,
			totem_number = 2,
			totem_type = 1,
		}
	},
	["40021"] = {
		name = "桃",
		desc = "信春哥，生命回满",
		ace_type = 1,
		cast_type = 1,
		cost = 0,
		cooldown = 0,
		sound = "music_40020",
		effect = {
			cast_effect = 0,
		} 
	},
	["40022"] = {
		name = "杀",
		desc = "小怪杀手，全屏秒杀",
		ace_type = 1,
		cast_type = 1,
		cost = 0,
		cooldown = 0,
		sound = "music_40020",
		effect = {
			cast_effect = 0,
		},
		buffs={
			{
			buff_time = 3,
			buff_time = 15,
			buff_value = -2.0,
			} 
		}
	},

	["45001"] = {
		name = "飞星传恨",
		desc = "对当前目标造成多次物理伤害，单次伤害相当于主将伤害的50%",
		sound = "music_40001",
		effect = {
			channel = {
				cycle    = 3,
				frames   = 22,
				sec      = 1,
				scale    = 1,
				offset_x = -15,
				offset_y = 50,
			},
		},
		damage = {
			damage_type      = 1,
			damage_coeff     = 0.5,
		},
	},
	["45005"] = {
		name = "小鬼缠身",
		desc = "对当前目标造成高额法术伤害，单次伤害相当于主将伤害的45%，并使之护甲降低50%，持续10秒",
		sound = "music_40005",
		effect = {
			channel = {
				cycle    = 3,
				frames   = 23,
				sec      = 1,
				scale    = 0.6,
				offset_x = -15,
				offset_y = 50,
			},
		},
		damage = {
			damage_type      = 1,		
			damage_coeff     = 0.3,
		},
		buffs = {
			{
				buff_time   = 10.0,
				buff_type   = 2,
				buff_value  = -0.50,
				buff_effect = "armor",
			},
		},
	},
	["45007"] = {
		name = "情深不寿",
		desc = "对当前目标造成高额法术伤害，伤害相当于主将伤害的180%，并使之抗性降低50%，持续10秒",
		sound = "music_40007",
		effect = {
			cast = {
				frames   = 26,
				sec      = 1.5,
				scale    = 0.5,
				offset_x = -15,
				offset_y = 35,
			},
		},
		damage = {
			damage_type     = 2,		
			damage_coeff    = 1.8,
		},
		buffs = {
			{
				buff_time   = 10.0,
				buff_type   = 11,
				buff_value  = -0.50,
				buff_effect = "resist",
			},
		},
	},
	["45008"] = {
		name = "仙履奇缘",
		desc = "对当前目标造成高额物理伤害，伤害相当于主将伤害的200%，并使之眩晕1.5秒",
		sound = "music_40008",
		effect = {
			cast = {
				frames     = 21,
				sec        = 1.5,
				injure_sec = 0.5,
				scale      = 0.6,
				offset_x   = -25,
				offset_y   = 75,
			},
		},
		damage = {
			damage_type     = 1,		
			damage_coeff    = 2.0,
		},
		buffs = {
			{
				buff_time   = 1.5,
				buff_type   = 9,
				buff_effect = "vertigo",
			},
		},
	},
	["45009"] = {
		name = "月光宝盒",
		desc = "使全屏所有敌方目标定身4秒，并造成小额法术伤害，单次伤害相当于主将伤害的30%",
		sound = "music_40009",
		effect = {
			cast = {
				frames     = 16,
				sec        = 1.5,
				injure_sec = 1.0,
				scale      = 0.5,
				offset_x   = -20,
				offset_y   = -5,
			},
		},
		damage = {
			damage_type       = 2,	
			damage_coeff      = 0.3,
		},
		buffs = {
			{
				buff_time   = 4,
				buff_type   = 9,
				buff_effect = "vertigo",
			},
		},
	},
	["45010"] = {
		name = "龙骨穿刺",
		desc = "对当前目标造成高额物理伤害，伤害相当于主将伤害的200%，并使之流血6秒",
		sound = "music_40010",
		effect = {
			cast = {
				frames     = 23,
				sec        = 1.5,
				injure_sec = 0.6,
				scale      = 1,
				offset_x   = -20,
				offset_y   = 50,
			},
		},
		damage = {
			damage_type       = 1,
			damage_coeff      = 2.0,
		},
		buffs = {
			{
				buff_time   = 6,
				buff_type   = 1,
				jump_time   = 1,
				buff_value  = 0.40,
				buff_effect = "bleed",
			},
		},
	},
	["45011"] = {
		name = "死亡凋零",
		desc = "对当前造成法术伤害，单次伤害相当于主将伤害的60%，并使之持续流血，可叠加",
		sound = "music_40011",
		effect = {
			channel = {
				cycle    = 3,
				frames   = 24,
				sec      = 1,
				scale    = 0.8,
				offset_x = -20,
				offset_y = 30,
			},
		},
		damage = {
			damage_type    = 2,
			damage_coeff   = 0.60,
			},
		buffs = {
			{
				buff_time   = 3,
				buff_type   = 1,
				jump_time   = 1,
				buff_layer  = 3,
				buff_value  = -0.3,
				buff_effect = "bleed",
			},
		},
	},
	["45012"] = {
		name = "白骨牢笼",
		desc = "对当前目标造成高额法术伤害，伤害相当于主将伤害的200%，并使之定身2秒",
		sound = "music_40012",
		effect = {
			cast = {
				frames   = 24,
				sec      = 1.5,
				scale    = 0.8,
				offset_x = -15,
				offset_y = 30,
			},
		},
		damage = {
			damage_type     = 2,		
			damage_coeff    = 2.0,
		},
		buffs = {
			{
				buff_time   = 2,
				buff_type   = 9,
				buff_effect = "vertigo",
			},
		},
	},
	["45015"] = {
		name = "黑云垂顶",
		desc = "对当前目标造成高额法术伤害，单次伤害相当于主将伤害的75%，并使之减速60%，持续5秒",
		sound = "music_40015",
		effect = {
			channel = {
				cycle    = 3,
				frames   = 25,
				sec      = 1,
				scale    = 0.7,
				offset_x = -15,
				offset_y = 25,
			},
		},
		damage = {
			damage_type     = 2,		
			damage_coeff    = 0.75,
		},
		buffs = {
			{
				buff_time   = 5,
				buff_type   = 4,
				buff_value  = -0.60,
				buff_effect = "slow",
			}
		}
	},
	["45016"] = {
		name = "星辰坠落",
		desc = "对当前目标造成大量多次物理伤害，单次伤害相当于主将伤害的120%",
		sound = "music_40016",
		effect = {
			channel = {
				cycle    = 3,
				frames   = 18,
				sec      = 1,
				scale    = 1,
				offset_x = -25,
				offset_y = 25,
			},
		},
		damage = {
			damage_type     = 1,		
			damage_coeff    = 1.20,
		}
	}
}

return skill_list
