local skill_list={}
skill_list = {
	--trigger_condition,触发器条件,1,攻击命中有几率触发;2,攻击暴击有几率触发;3,自己HP到一定百分比有几率触发;4,目标HP到一定百分比有几率触发
	
	--cast_type,施法类型,1,瞬发;2,弹道;3,引导
	
	--shape_type,形状类型,0,全屏幕;1,自身为圆心的圆形;2,目标为圆心的圆形;3,自身到目标连线为中轴的矩形;4,目标所在横坐标轴为中轴的矩形;5,目标所在纵坐标为中轴的矩形;
	----------------------6,自身到目标连线为中轴的扇形;7,指定点为圆心的圆形;8,目标卡牌后方中央为圆心的圆形

	--buff_type,buff效果类型号,1,DOT;2,护甲;3,移动速度;4,攻击速度;5.生命值上限;6,攻击力;7,暴击率;8,技能触发几率;9,眩晕;10,变形;11,抗性;12,牵引;13,石化;14,印记传送;15,DOT_HP%
	
	--target_friendship,与技能目标的敌我关系类型,1,自身;2,当前敌方目标;3,友方;4,敌方;
	
	--frame,特效帧数
	
	--start_type,起点类型,0,无此项；1,自己头顶；2,自己中间；3,自己脚底
	
	--ending_type,终点类型,0,无此项；1,目标头顶；2,目标中间；3,目标脚底
	
	--target_friendship,与技能目标的敌我关系类型,1,自身;2,当前敌方目标;3,友方;4,敌方; 
	
	
	["1"] = {
		name = "变身",
		desc = "猛击地面,对目标造成高额物理伤害。",
		cast_type =1,
		cost = 100,
		cooldown = 10,
		sound = "music_40001",
		effect = {
			cast_effect = "cast_40001",
		},
		damage = {
			damage_type = 0,
			damage_coeff = 0,
		},
	},
	
	["2"] = {
		name = "流血",
		desc = "全屏所有怪物开始流血，使怪物流失20%的生命值。",
		cast_type = 1,
		cost = 100,
		cooldown = 15,
		sound = "music_40002",
		effect = {
			cast_effect = 0,
			channel_effect = "40002",
			single_time = 0.8,
			cycle_time = 3,
			ending_effect = 0,
		},
		damage = {
			damage_type = 0,
			damage_coeff = 0,
		},
		buffs = {
			{
			buff_time = 1,
			buff_type = 15,
			buff_value = -0.2,
			buff_effect = "bleed",
			}
		}
	},
	
	["3"] = {
		name = "定身",
		desc = "全屏所有怪物定身4秒。",
		cast_type = 1,
		cost = 100,
		cooldown = 15,
		sound = "music_40003",
		effect = {
			cast_effect = "cast_40003",
			channel_effect = "channel_40003",
			single_time = 0.8,
			cycle_time = 2,
			ending_effect = "ending_40003",
		},
		damage = {
			damage_type = 0,
			damage_coeff = 0,
		},
		buffs = {
			{
			buff_time = 4,
			buff_type = 9,
			buff_effect = "vertigo",
			}
		}
	},
	
	["4"] = {
		name = "减速",
		desc = "全屏减速60%，持续10秒。",
		cast_type = 1,
		sound = "music_40004",
		cost = 100,
		cooldown = 10,
		effect = {
			cast_effect = "cast_40004",
		},
		damage = {
			damage_type = 0,
			damage_coeff = 0,
		},
		buffs = {
			{
			buff_time = 10,
			buff_type = 3,
			buff_value = -0.60,
			buff_effect = "slow",
			}
		}
	}
}

return skill_list
