local CustomerStep = {}
local SockNode = import("app.sock.SockNode")
local EncryptData = import("app.common.LocalEncryptDataUtil")

function CustomerStep.setStep( step_id )

	local pre_step_id = EncryptData.get_str("CUSTOMER_STEP") or 0
	if tonumber(pre_step_id) >= step_id then
		return
	end

	local recieve = function(cmd, body)
		local ret = tonum(body.ret)
		if ret == 0 then
			EncryptData.set_str("CUSTOMER_STEP", body.step_id)
		end
	end
	--
	local CUSTOMER_STEP = {}
	CUSTOMER_STEP.customer_id = gPlayer.data.account_id
	CUSTOMER_STEP.player_id = gPlayer.data.player_id
	CUSTOMER_STEP.step_id = step_id
	--
	SockNode.new({
			cmd = gSockCmd.CUSTOMER_STEP,
			body = clone(CUSTOMER_STEP),
			freeze = false,
			freeze_no_show = true,
			callback = recieve,
		}):addTo(display.getRunningScene(), -TOP_BLACK_Z_ORDER)
end


return CustomerStep