local FingerLayer = class("FingerLayer", function()
    return display.newLayer()
end)

function FingerLayer:onTouch(event, x, y)
    if event == "began" then
    	local frames,animation = require("app.factory.AnimationFactory").getFingerAniamtion()
        --local frames = display.newFrames("PendingAperture_%d.png", 1,9)
        --local animation = display.newAnimation(frames,0.5/9)
        --local frames,animation = require("app.factory.AnimationFactory").getCircleAniamtion()
        local quanquan = display.newSprite(frames[1],x,y):addTo(self:getParent(),50000)
        quanquan:setScale(0.4)
        transition.execute(quanquan,CCAnimate:create(animation), {
            onComplete = function()
                quanquan:removeSelf()
            end,
        })
    end
    return false
 end

function FingerLayer:ctor()
	self:setTouchEnabled(true)
    self:registerScriptTouchHandler(handler(self,self.onTouch))
end

return FingerLayer