
local DebugUtil = require("app.common.DebugUtil")
local CommUtil = require("app.common.CommUtil")
local HeroSkill = require("app.bullet.HeroSkill")
local AnimationFactory = require("app.factory.AnimationFactory")
local BulletFactory = require("app.factory.BulletFactory")
local scheduler = require(cc.PACKAGE_NAME .. ".scheduler")
local MathUtil = require("app.common.MathUtil")
local Rect = require("app.quadTree.Rect")
local GameLogic = require("app.controllers.GameLogic")


local ThiefGameLogic = class("ThiefGameLogic",GameLogic)


function ThiefGameLogic:checkWinOrLose()
	if killThiefNum<0 then
    	self.gameOver = true
        self.gameScene.parent:displayThiefGameOverPanel(false)
    	return
    end
    if killThiefNum==thiefTotalNum then
    	self.gameOver = true
        self.gameScene.parent:displayThiefGameOverPanel(true)
        return
    end
end

return ThiefGameLogic