local SkillClass =  class("SkillClass")
SkillClass.__index = SkillClass
local scheduler =  require(cc.PACKAGE_NAME .. ".scheduler")

function SkillClass:ctor()
	self.data = {{101,Number.new(0)}} --id,star,exp
	self.lackSkills={102, 103,104} --目前自己不具有的英雄
end

function SkillClass:initLocalData(data)
	self.data={}
	for i,v in pairs(data) do
		table.insert(self.data, {v[1], Number.new(v[2])})
		self:resetLackSkills(v[1])
	end
end

function SkillClass:resetLackSkills(skill_id)
	if #self.lackSkills==0 or (not skill_id) then return end
	for i,v in pairs(self.lackSkills) do
		if v==skill_id then
			table.remove(self.lackSkills, i)
			break
		end
	end
end

function SkillClass:getPlaceSkill()
	local tb={}
	for i,v in pairs(self.data) do
			table.insert(tb, {id = v[1], needbuy = false})
	end
	return tb
end


function SkillClass:isSkillExists(skill_id)
	for i,v in pairs(self.data) do
		if v[1] == skill_id then return true end
	end
	return false
end

function SkillClass:insertSkill(skill_id)
	if self:isSkillExists(skill_id) then return end
	print("insert true" .. skill_id)
	table.insert(self.data, {skill_id, Number.new(toint(1))})
	table.sort(self.data, function(a,b) return a[1]<b[1] end)
	self:resetLackSkills(skill_id)
	gGameStateUtil.save()
end

return SkillClass