local hero_template = import("app.client.template.hero_template")
local HeroTemplateClass =  class ("HeroTemplateClass")
HeroTemplateClass.__index = HeroTemplateClass

function HeroTemplateClass:ctor()
--	id	name	bornid	damagetype	star	attackpower	attackspeed	range	crit	sunder	hit	skillid	group1	group2	ground	air	stealth
--10001	孙悟空	孙悟空	0	0	10	1	100	0.2	0.2	0.9	41001	20001	20002	1	0	0

--id,name,damagetype,star,attackpower,attackspeed,range,crit,sunder,skillid,group1,group2,ground,air,stealth


	self.detail = 	{
		id		=10001,
		name	="孙悟空",
		damagetype	=0,
		star	=0,
		attackpower	=10,
		attackspeed	=1,
		range	=100,
		crit	=0.2,
		sunder	=0.2,
		skillid	=41001,
		group1	=20001,
		group2	=20002,
		ground	=1,
		air		=0,
		stealth	=0,
		ingot   =0,
		property ="暂无"
	}

	self.data = {}
	for i,v in ipairs(hero_template) do
		-- local tb = {}
		if type(self.data[v[1]]) ~= 'table' then self.data[v[1]]={} end
		self.data[v[1]][v[4]]={}
		self.data[v[1]][v[4]].id			=v[1]
		self.data[v[1]][v[4]].name			=v[2]
		self.data[v[1]][v[4]].damagetype	=v[3]
		self.data[v[1]][v[4]].star			=Number.new(v[4])
		self.data[v[1]][v[4]].attackpower	=Number.new(v[5])
		self.data[v[1]][v[4]].attackspeed	=Number.new(v[6])
		self.data[v[1]][v[4]].range			=Number.new(v[7])
		self.data[v[1]][v[4]].crit			=Number.new(v[8])
		self.data[v[1]][v[4]].sunder		=Number.new(v[9])
		self.data[v[1]][v[4]].skillid		=v[11-1]
		self.data[v[1]][v[4]].group1		=v[12-1]
		self.data[v[1]][v[4]].group2		=v[13-1]
		self.data[v[1]][v[4]].ground		=v[14-1]
		self.data[v[1]][v[4]].air			=v[15-1]
		self.data[v[1]][v[4]].stealth		=v[16-1]
		self.data[v[1]][v[4]].stone			=Number.new(v[16])
		self.data[v[1]][v[4]].energy		=Number.new(v[17])

		self.data[v[1]][v[4]].anti_wood		=Number.new(v[18])
		self.data[v[1]][v[4]].anti_water	=Number.new(v[19])
		self.data[v[1]][v[4]].anti_fire		=Number.new(v[20])
		self.data[v[1]][v[4]].anti_soil		=Number.new(v[21])

		-- self.data[v[1]][v[4]].exp			=Number.new(v[22])
		self.data[v[1]][v[4]].attack_times	=Number.new(v[23])
		-- self.data[v[1]][v[4]].property    	= self:getProperty(v[13], v[14], v[15])
	end
end

function HeroTemplateClass:getProperty(ground, air, stealth)
	if ground==1 and air==1 then
		return "对地\n对空"
	elseif ground==1 and stealth==1 then
		return "对地\n反隐"
	elseif air==1 and stealth==1 then
		return "对空\n反隐"
	elseif stealth==1 then
		return "反隐"
	elseif ground==1 then
		return "对地"
	elseif air==1 then
		return "对空"
	else
		return "暂无"
	end
end

function HeroTemplateClass:getData(hero_id,star)
	if type(self.data[hero_id][star]) == "table" then
		return self.data[hero_id][star]
	end
	--默认返回一个值
	-- print("type = ",type(self.data[10001][1]))
	-- print("没有找到hero_template_id", hero_id,star)
	return self.data[10001][0]
end

return HeroTemplateClass