local item_template = import("app.client.template.item_template")
--local formula_template = import("app.client.template.formula_template")
local ItemTemplateClass =  class ("ItemTemplateClass")

ItemTemplateClass.__index = ItemTemplateClass

function ItemTemplateClass:ctor()
	self.detail={
	item_template_id=0,
	name="",
	type=0,
	lvlneed=0,
	can_sell=0,
	price=0,
	desc="",
	desc_all=""
	}
	self.data = {}
	for i,v in pairs(item_template) do
		self.data[i] = {}
		self.data[i].item_template_id = v[1]
		self.data[i].name = v[2]
		self.data[i].type = v[3]
		self.data[i].lvlneed = v[4]
		self.data[i].can_sell = v[5]
		self.data[i].price = v[6]
		self.data[i].desc = v[8]
		self.data[i].desc_all = v[7]
		self.data[i].icon_id = v[9]
	end

	self.qiankunbagData = {}

	--[[
		for i,v in pairs(formula_template) do
		self.qiankunbagData[i] = {}
		self.qiankunbagData[i].result_item = v[1]
		self.qiankunbagData[i].part1_id = v[2]
		self.qiankunbagData[i].part1_num = v[3]
		self.qiankunbagData[i].part2_id = v[4]
		self.qiankunbagData[i].part2_num = v[5]
		self.qiankunbagData[i].cooper_cost = v[6]
		-- self.data[i].desc = v[8]
		-- self.data[i].desc_all = v[7]
		-- self.data[i].icon_id = v[9]
	end]]
end
function ItemTemplateClass:getQianKunBagData(item_id)
	print("item ItemTemplateClass ==== 99999999000000000   ",item_id,#self.qiankunbagData)
	for k, v in ipairs(self.qiankunbagData) do
		  
		if (v.part1_id == tonumber(item_id) )then
			print("item ItemTe ______________00000   ",v.part1_id )
			return v
		
		end
	end
	return -11
end
function ItemTemplateClass:getData(item_template_id)
	for k, v in ipairs(self.data) do
		if (v.item_template_id == item_template_id) then
			return v
		end
	end
	return nil
end

function ItemTemplateClass:getDataByType(type_)
	local list = {}
	for k, v in ipairs(self.data) do
		if v.type == type_ then
			list[#list + 1] = v
		end
	end

	return list
end

function ItemTemplateClass:getName(item_template_id)
	for k, v in ipairs(self.data) do
		if (v.item_template_id == item_template_id) then
			return v.name
		end
	end
	return "道具无名"
end

return ItemTemplateClass