local Text = import("app.ui.Text")
local RecordScene = class("RecordScene", function()
    return display.newScene("RecordScene")
end)

function RecordScene:ctor()
 local sqlite3 = require("lsqlite3")
local db = sqlite3.open(device.writablePath .. "db")
    local gold = display.newSprite("study_bg.jpg",display.cx, display.cy):addTo(self)
local star = 0
for row in db:nrows("SELECT * FROM record where type = 3") do
    star = star + 1
end    

self.star = star% 10

local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.left+60, display.top-50)
            :onButtonRelease(function(event)
             local nextScene = import("app.scenes.SubjectSubScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.1)
    btn:setScaleX(0.1)
   local txt=Text.new({
            text='<<<',
            x=display.left+30,
            y=display.top-50,
            size=40,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 








   
self.content = ""
local sql = "SELECT * FROM record  where id = ".. subject_id .. " and type = " .. subject_id_type .. " and focustime > " .. subject_id_slidetime  .. " order by focustime;"
print(sql)
local found = false
for row in db:nrows(sql) do
    print("hello")
    self.content = row.content
    self.focustime = row.focustime
    self.errtimes = row.errtimes
    subject_id_slidetime = self.focustime
    self.reviewtimes=row.reviewtimes
    self.mode = row.mode
    found = true
    break
end

if (not found) then
    print("hello not found")
    local nextScene = import("app.scenes.SubjectSubScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
    return
end

self.newfocustime = os.time()

local sql1= "update record set focustime = " .. self.newfocustime  .. " , reviewtimes = reviewtimes + 1 where focustime=" .. self.focustime .. ";"
print(sql1)
db:exec(sql1)

    local xx = 0
    local size = 128
    print('string.utf8len(self.content)=', string.utf8len(self.content))
    if string.utf8len(self.content) ==1 then
        xx= 200
        size = size *2
    end
   local txt=Text.new({
            text=self.content,
            x=display.left+30+xx,
            y=display.cy,
            size=size,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 
    

db:close()

local mode = Text.new({
            text=self.mode .. '★' .. self.star,
            x=display.right-100-80,
            y=display.top-40,
            size=40,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(mode) 

self:addBtn(1, 150)
self:addBtn(2, 250)
self:addBtn(3, 350)

local t1 = Text.new({
            text=self.reviewtimes,
            x=display.right-100,
            y=display.bottom+50,
            size=30,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(t1) 
local t2 = Text.new({
            text=self.errtimes,
            x=display.right-150,
            y=display.bottom+50,
            size=30,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(t2) 

end


function RecordScene:addBtn(cmd, x)
    local txtcont
    if (cmd == 1) then
        txtcont="错误"
    elseif(cmd ==2) then
        txtcont="巩固"
    else
        txtcont="正确"
    end
    local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.right-100 ,display.bottom+x)
            :onButtonRelease(function(event)
                local sqlite3 = require("lsqlite3")
                local sql1=""
                local db = sqlite3.open(device.writablePath .. "db")
                if (cmd == 1) then
                    sql1= "update record set type = 1, errtimes = errtimes+1 where focustime = " .. self.newfocustime
                elseif(cmd == 2) then
                    sql1= "update record set type = 2 where focustime = " .. self.newfocustime
                else
                    sql1= "update record set type = 3 where focustime = " .. self.newfocustime
                end
                print(sql1)
                db:exec(sql1)   
                db:close()
                subject_id_slidetime = self.focustime
             local nextScene = import("app.scenes.RecordScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.12)
    btn:setScaleX(0.12)
   local txt=Text.new({
            text=txtcont,
            x=display.right-100-45,
            y=display.bottom+x,
            size=40,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 
end

return RecordScene