local Text = import("app.ui.Text")
local SubjectSubScene = class("SubjectSubScene", function()
    return display.newScene("SubjectSubScene")
end)

function SubjectSubScene:ctor()
local subject={"语文","英语","数学","钢琴"}
    local gold = display.newSprite("study_bg.jpg",display.cx, display.cy):addTo(self)
    

local txt = Text.new({
            text=subject[subject_id],
            x=display.cx-300,
            y=display.cy,
            size=60,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt)

local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.left+60, display.top-50)
            :onButtonRelease(function(event)
             local nextScene = import("app.scenes.SubjectScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.1)
    btn:setScaleX(0.1)
   local txt=Text.new({
            text='<<<',
            x=display.left+30,
            y=display.top-50,
            size=40,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 

 





for n = 1, 3 do
    self:addType(n)
end
    


self:addRecord()
end

function SubjectSubScene:addType(n)
    local oriinterY = -110
local oriinterX = -150
    local sqlite3 = require("lsqlite3")
    local db = sqlite3.open(device.writablePath .. "db")

    local subListNum={0,0,0}
for row in db:nrows("SELECT * FROM record  where id = ".. subject_id ) do
    if (row.type ==1) then
        subListNum[1] = subListNum[1] + 1
    elseif(row.type == 2) then
         subListNum[2] = subListNum[2] + 1
    else
        subListNum[3] = subListNum[3] + 1
    end
end
    local subList={'待学习', '待巩固', '已完成'}
    local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.cx, display.cy+240+oriinterY*n)
            :onButtonRelease(function(event)
                if (subListNum[n] == 0) then
                    return
                end
             subject_id_type = n
             subject_id_slidetime=0
             print("subject_id_type=", subject_id_type)

             local nextScene = import("app.scenes.RecordScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.2)
    btn:setScaleX(0.3)
   local txt=Text.new({
            text=subList[n],
            x=display.cx-120,
            y=display.cy+240+oriinterY*n,
            size=80,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 
    local txt1 = Text.new({
            text=subListNum[n],
            x=display.cx-120+260,
            y=display.cy+240+oriinterY*n-30,
            size=30,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt1)
    db:close()
end

function SubjectSubScene:addRecord()
    local function onEdit(event, editbox)
        if event == "began" then
        elseif event == "changed" then
        elseif event == "ended" then
        elseif event == "return" then
            if string.utf8len(self.editbox:getText()) > 100 then
                
            end
        end
    end

     self.editbox = ui.newEditBox({
        image = 'edit.jpg',
        listener = onEdit,
        size = CCSize(270, 50),
        x = display.cx-200+73+100,
        y = display.bottom+60, 
    })
   
    self:addChild(self.editbox) 
    local btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.cx+80+100, display.bottom+60)
            :onButtonRelease(function(event)
                if string.utf8len(self.editbox:getText()) ==0 then
                    print("is null")
                    return
                end
                local sqlite3 = require("lsqlite3")
                local db = sqlite3.open(device.writablePath .. "db")
                local sql = "insert into record VALUES(" .. subject_id .. ",'认做', " .. os.time() .. ", " ..  os.time() .. ", '" .. self.editbox:getText() .. "', 0, 1, 0);"
                print(sql)
                db:exec(sql)
                db:close()
             local nextScene = import("app.scenes.SubjectSubScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.1)
    btn:setScaleX(0.1)
   local txt=Text.new({
            text='认做',
            x=display.cx+50+100,
            y=display.bottom+60,
            size=30,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 

    --
    btn = cc.ui.UIPushButton.new({
            normal = "study_bg.jpg",
            pressed = "study_bg.jpg",
            })
            :pos(display.cx+80+100+120, display.bottom+60)
            :onButtonRelease(function(event)
                if string.utf8len(self.editbox:getText()) ==0 then
                    print("is null")
                    return
                end
                local sqlite3 = require("lsqlite3")
                local db = sqlite3.open(device.writablePath .. "db")
                local sql = "insert into record VALUES(" .. subject_id .. ", '书写', " .. os.time() .. ", " ..  os.time() .. ", '" .. self.editbox:getText() .. "', 0, 1, 0);"
                print(sql)
                db:exec(sql)
                db:close()
             local nextScene = import("app.scenes.SubjectSubScene").new()
             display.replaceScene(nextScene, "fadetr", 0.3, ccc3(0, 0, 0))
              end
              )
            :addTo(self)
    btn:setScaleY(0.1)
    btn:setScaleX(0.1)
   txt=Text.new({
            text='书写',
            x=display.cx+50+100+120,
            y=display.bottom+60,
            size=30,
            color = ccc3(255, 255, 255),
            outlineColor = ccc3(255,255, 255),
            shadowColor = ccc3(255,255, 255)
        })
    self:addChild(txt) 
end


return SubjectSubScene