ClipImgWIDTH = 85
local ClipImg = class("ClipImg", function()
    local rect = CCRect(0, 0, ClipImgWIDTH, ClipImgWIDTH) 
    local node = display.newClippingRegionNode(rect)
    node:setNodeEventEnabled(true)
    node:registerScriptHandler(function(event)
        if event == "enter" then
            node:onEnter()
        elseif event == "exit" then
            node:onExit()
        end
    end)
    require("framework.api.EventProtocol").extend(node)
    return node
end)

function ClipImg:ctor(img, x, y)
    local sprite =  display.newSprite(img, -x, -y)
    :addTo(self)
    :align(display.LEFT_BOTTOM)
end

return ClipImg