local Text = require("app.ui.Text")

local MessageView = class("MessageView", function()
	return display.newNode()
end)

--[[
--   构造函数中 需要传个 表过来 ；格式如下：
--   args = {
--     number = 0 ,                     -- 0 是不改变背景框架图   1 是改变背景图
--     bgpath = "",
--     scale = 0.5,
--	   titel = " picture PATH "  ,      -- 图片路径
--     content = " view content " ,     -- 显示的内容  
--     fun = fun                        -- 一般用不到
--     exitplace  = {}                  -- 自定义的时候传递的 EXIT 按钮的位置
--   }
--
]]--

function MessageView:ctor( args )

    self.ta_args = args.fun             -- 调用mall 中的函数解决BUG 暂时用不到
    self.tag  = args.number
   
    if display.getRunningScene().setMainSceneTouch then
       display.getRunningScene():setMainSceneTouch(false)
    end
     
	   --CCTextureCache:sharedTextureCache():removeUnusedTextures()

      self.nodeone = display.newNode():pos(0,0):addTo(self,2)                         
      self.nodex   = display.newNode():pos(0,0):addTo(  self.nodeone,22)

      local mask   = display.newSprite("res/ui/public/public_mask_blank.png"):addTo(self.nodex ,2221):center()      --最上层额遮罩确定触控范围
              mask : setScale(80)
      if  self.tag == 1 then   
           self:TouchMask( mask,1)
      end 


      local maskbg   = display.newSprite("res/ui/public/public_mask_blank.png"):addTo(self.nodeone ,1):center()     -- 最下层的遮罩屏蔽
            maskbg : setScale(40)
      self:TouchMask( maskbg, 0)

                                                               -- 1 
      self.node    = display.newNode():pos(display.cx ,display.cy):addTo(self.nodeone,21)
     
      print("args.number = =",args.number)

      if args.number == 0 then
      	 self:ViewModelZero(args)
      elseif args.number == 1 then
      	 self:ViewModelOne(args)
      else
         self:ViewModelTwo(args)
      end


      self:onExit(args.number, args.exitplace);                           -- 退出的按钮
      self.node:scale(0);
      self.node:opacity(0);
	    self:Movie(0.19 , 1 , 255, false);                   -- 参数见下边注释
	  return self.node                                      -- 通过接受这个 NODE 可以在这个模板上随意添加东西


end

function MessageView:ViewModelZero(Zero)
	  self.bg = display.newSprite('res/ui/public/public_base_map_b.png'):pos(display.cx/50 - 5 ,display.cy/50 - 10)
                                                                      :addTo(self.node)
end


function MessageView:ViewModelOne(args)
	 if args.bgpath == nil then 
      	    print("ERRO PATH = app.ui.MessageView ,  args.bgpath unable is nil  row = 73")
      	    assert()     --断言
      	else
      	    self.bg = display.newSprite( args.bgpath ):pos(display.cx/50 - 5 ,display.cy/50 - 10):addTo(self.node)
      	end
      	    self.bg_tile = display.newSprite(args.titel):pos(display.cx/50 ,display.cy/50+165):addTo(self.node)
end
function MessageView:ViewModelTwo(args)
        if args.bgpath == nil then 
            print("ERRO PATH = app.ui.MessageView ,  args.bgpath unable is nil  row = 82")
            assert()
        else
            self.bg = display.newSprite( args.bgpath ):pos(display.cx/50 +5 ,display.cy/50 - 10):addTo(self.node):scale(args.scale)
        end
            self.bg_tile = display.newSprite(args.titel):pos(display.cx/50 ,display.cy/50+165):addTo(self.node)
end

function MessageView:Movie( time , sca , opa , bool)    -- 动画播放时间， 缩放比， 透明度， 是否清除结点self.clipnode:removeSelf()
	
	  self:TouchView( self.node ) 
	  
	  print("why ---")
	 
	  if bool then
         self.node:scale(1):opacity(255)
      else
         self.node:opacity(0):scale(0)
      end
      local action_cp = CCSpawn:createWithTwoActions(CCMoveTo:create(time, ccp(display.cx,display.cy)),  

              CCSpawn:createWithTwoActions(CCScaleTo:create(time,sca), CCFadeTo:create(time,opa)))

              transition.execute( self.node, action_cp, {
                 onComplete = function()
                   
                              if bool then
                                 self:removeSelf()
                                if display.getRunningScene().setMainSceneTouch then
                                    display.getRunningScene():setMainSceneTouch(true)
                                end

                              --self.nodeone:removeSelf()
                             
                              CCTextureCache:sharedTextureCache():removeUnusedTextures()
                              end
                  end,})
end


function MessageView:TouchMask( shield, model)              -- 点击遮罩退出

    shield:setTouchEnabled(true)
    if model ~= 0 then
      shield:setTouchSwallowEnabled(false)
    end
    
    shield:addTouchEventListener(

          function(event, x, y, prevX, prevY)
             if 1 == model then 
                  if x >=73 and x <=  (769*(display.cx/427)) then
                      
            
                       if y >= (22*(display.cy/240)) and y <= (452*(display.cy/240)) then     
                       else
                           self:Movie(0.15, 0.2 , 255 , true);
                            if self.tag == 1 then
                              self.ta_args(self)
                            end 
                       end
                  else

                    self:Movie(0.15, 0.2 , 255 , true);
                       if self.tag == 1 then
                          self.ta_args(self)
                       end 
                  end
             else
              print("______csoa oad ")
                          if self.Movie ~= nil then
                            if  self.tag ~= 1 then
                                self:Movie(0.15, 0.2 , 255 , true);
                            end
                          end
                     
                       return true
             end
          end)
end




function MessageView:TouchView( shield)               -- 点击显示出来的窗口不做处理
    shield:setTouchEnabled(true)
   -- shield:setTouchMode(cc.TOUCH_MODE_ONE_BY_ONE)

    shield:addTouchEventListener(
           function(event, x, y, prevX, prevY)
    	           print("touch view =",event, x, y, prevX, prevY)
    	
                  return true                                     -- 返回 true 表示这个 CCNode 在触摸开始后接受后续的事件
           end)
end


function MessageView:onExit(Number,tab)                          -- 点击退出

	       if Number == 0 then
           pos_x = display.cx/5 + 240-8
           pos_y = display.cy/5 + 156-8
         elseif Number == 1 then 
           pos_x =  display.cx/5 + 241-8
           pos_y = display.cy/5+ 158-8
         else
           pos_x = tab.ex-8
           pos_y = tab.ey-8

         end
      

       cc.ui.UIPushButton.new({
           normal =   "res/ui/public/public_button_normal.png",
           pressed =  "res/ui/public/public_button_pressed.png",
          })
          
          :pos(pos_x , pos_y)
          :addTo(self.node,800)
          :onButtonRelease(function(event)
            CommUtil.playSound("music/close.mp3")
              if self.tag == 1 then
                
                self.ta_args(self)
              end 
             self:Movie(0.12, 0.2 , 255 , true);
             showingExitWindows = false
           end)
       
end


function MessageView:onEnter()
	print("say  byby")
end





return MessageView