
local ScrollView = require("app.ui.ScrollView")
local PageControl = class("PageControl", ScrollView)

--根据触摸范围确定是否移动到某一页
function PageControl:onTouchEndedWithoutTap(x, y)
   

    if self.direction == ScrollView.DIRECTION_HORIZONTAL then
           if (not self.MoveOffSetX) then
                if (self.touchMoveX < 0) then
                    if (self.cells[self.currCellIndex+1]) then
                        self.currCellIndex  = self.currCellIndex + 1 
                    end
                else
                    if (self.cells[self.currCellIndex-1]) then
                        self.currCellIndex  = self.currCellIndex - 1 
                    end
                end
                self:scrollToCell(self.currCellIndex, true, nil)
        else
            self:scrollToCell(1, true, nil)
            end
    elseif self.direction == ScrollView.DIRECTION_VERTICAL then
        if self.touchMoveY < 0 then
            if self.cells[self.currCellIndex -1] then
                self.currCellIndex = self.currCellIndex -1
            end
        else
            if self.cells[self.currCellIndex + 1] then
                self.currCellIndex = self.currCellIndex +1
            end
        end
        self:scrollToCell(self.currCellIndex, true, nil)
    end
end
function PageControl:setContentOffset(offset, animated, time, easing)
    PageControl.super.setContentOffset(self, offset, animated, time, easing)
end
return PageControl
