local TextNum = {}

function TextNum.new(args)
	local config = totable(args)
    local label = ui.newTTFLabel({
		    text = config.text,
		    font = "fzzhunyuan",
		    x = config.x,
		    y = config.y,
		    align = config.align,
		    valign = config.valign,
		    dimensions = config.dimensions,
		    size = config.size,
		    color = config.color
		})

    return label

end

function TextNum.setText( text, textAlign, str )
	local size = text:getContentSize()
	text:setString(str)
	local x, y = text:getPosition()
	if textAlign == ui.TEXT_ALIGN_LEFT then
		text:setPosition(math.round(x + (text:getContentSize().width-size.width) / 2), y)
	elseif textAlign == ui.TEXT_ALIGN_RIGHT then
		text:setPosition(x - math.round((text:getContentSize().width-size.width) / 2), y)
	end
end

return Text