local scheduler = require("framework.scheduler")
local Text = import("app.ui.Text")
local scheduler = require(cc.PACKAGE_NAME .. ".scheduler")

local BossOverWord = class("BossOverWord",function(parent) 
    local layer = display.newLayer()
    return layer
end)

local leftx,lefty = display.cx - 230, display.cy - 150 --左边坐标
local rightx,righty = display.cx + 230, display.cy - 150 --右边坐标

function BossOverWord:onTouch(event, x, y)
  if event == "began" then
    self.parent:releaseTowSkillByBoss()
    self:removeSelf()
    self.parent.bossOverWord = nil
    return false
  end
end


function BossOverWord:ctor(parent)
  self.parent = parent
  --self:setTouchEnabled(true)
  --self:registerScriptTouchHandler(handler(self,self.onTouch))
  self:initHeroWordDialog()
  self.index = 0
  --[[
  if self.parent.skillPanel~=nil then
    self.parent.skillPanel.touchable = false
    self.parent.skillPanel:setVisible(false)
  end]]
  if self.parent.gamePropsPanel~=nil then
    self.parent.gamePropsPanel:removeSelf()
  end
  
end



function BossOverWord:initHeroWordDialog()
  self.dialog = CommUtil.addDialog({
      node = self, 
      x = -20, 
      y =0, 
      direct = 0,      --方向 0 放在左边, 1放在右边
      head_type = 2,        --头像类似  0引导仙子 1主将 2仙将
      head_id = 9999,      --仙将ID
      name = "大BOSS",                       --"显示名称"
      content ="#7你们这群没有战斗力的臭将，也配#9#7做我的对手？受死吧。。。。",           --"内容"
      callback = function()end
  })

  scheduler.performWithDelayGlobal(function()
    self.parent:releaseTowSkillByBoss()
    self:removeSelf()
    if (self.parent) then
      self.parent.bossOverWord = nil
    end
  end,1)

end

return BossOverWord