local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local GiftPanel = class("GiftPanel", function()
     if (DEF_SPECIAL_PAY_PROCESS) then
        return display.newNode()
    else
    if (AWARDGIFT) then
        AWARDGIFT = false
        local node = require("app.views.MaskBlankNode").new()
        return node
    else
        local node = require("app.views.MaskNode_black").new()
        return node
    end
end
end)


function GiftPanel:ctor(flag,success_callback)
    CommUtil.playSound("music/openbox.mp3")
    if (not flag) then
        flag = 1
    end


    local itemBox 
    if (not flag) then
        flag = 1
    end
    self.flag = flag
    if (flag == 1) then   --新手礼包
        itemBox = require("app.client.template.mysbox_template")
    else  --至尊礼包
        itemBox = require("app.client.template.niumysbox_template")
    end
    if (success_callback) then
        self.success_callback = success_callback
    end
    --
    --
    ------------礼包index 只能为4个值,前面4个礼包谁空缺返回谁
    local findTheBoxIndex = function()
        for i=1,#itemBox do
            local boxid = itemBox[i][1]
            local itemType = itemBox[i][2]
            local id = itemBox[i][3]
            local num = itemBox[i][4]
            --print("item",boxid,itemType,id,num)
            if itemType==1 and (not gHero:isHeroExists(id)) then
                return boxid
            end
        end
        return itemBox[#itemBox][1]------------------默认返回最后5个礼包
    end

    local getAllItemBox = function(correctItemId)
        local allBox = {}
        for i=1,#itemBox do
            local boxid = itemBox[i][1]
            if correctItemId==boxid then
                allBox[#allBox+1] = itemBox[i]
            end
        end
        return allBox
    end

    self.correctItemId = findTheBoxIndex()
    allItemBox = getAllItemBox(1)
    self:addGiftDlgBG(flag)
end


function GiftPanel:addGiftDlgBG(flag) --显示礼包顺序
     display.newSprite("ui/mall/package_frame.png", display.cx, display.cy):addTo(self)
     if (flag ==1) then
        display.newSprite("ui/mall/package_15.jpg", display.cx, display.cy):addTo(self)
    else
        display.newSprite("ui/mall/package_29.jpg", display.cx, display.cy):addTo(self)
    end
     if (DEF_SPECIAL_PROCESS) then
        display.newSprite("ui/mall/package_15.png", display.cx, display.cy):addTo(self)
     
     end


    local closebtn=cc.ui.UIPushButton.new({normal='ui/mall/close.png'})
    :pos(display.cx+192, display.cy+115):addTo(self)
    :onButtonRelease(function(event)
        --print("==yangdx  礼包关闭按后，runningSceneName=",display.getRunningScene())
        --print("==yangdx  礼包关闭按后，runningSceneName=",runningSceneName)
          if display.getRunningScene().displayBtn then
                    display.getRunningScene():displayBtn()
          end
           
          --print("yangdx 礼包关闭按钮执行 runningSceneName=",runningSceneName)
          ---yangdx 购买了礼包，就不用弹出了。
          --[[
          if(runningSceneName == "MainScene" and gPlayer.data.pass_id==60001) then
            print("yangdx 关闭礼包按钮，进入到引导1")
            local guide = require("app.views.GuideNode").new()
            :addTo(display.getRunningScene(), GUIDE_PAGE_Z_ORDER)
            guide:forceGuide("guide_pass_1")
            
            show_guide = true
          end
          --]]

        if display.getRunningScene().setMainSceneTouch then
            display.getRunningScene():setMainSceneTouch(true)
        end
        self:removeSelf()
        display.resume()
    end)

   local picpath = 'ui/mall/commit_buy.png'
    if (DEF_SPECIAL_PROCESS) then
        picpath = 'ui/mall/commit_buy2.png'
    end
    local btn=cc.ui.UIPushButton.new({normal=picpath})
    :pos(display.cx, display.cy-180+33):addTo(self)
    :onButtonRelease(function(event)
       self:buyAction()
    end)

    CommUtil.bubbleBtn(btn, 169,59)
end


function GiftPanel:buyAction()
    local code = ""
        if (self.flag == 1) then
            code = "gift_15"
        else
            code = "gift_29"
        end

        DeviceUtil.xiYouPay(ChargeData[code]["ChinaMobile"], ChargeData[code]["ChinaTelecom"], ChargeData[code]["ChinaUnicom"],ChargeData[code]["Unline"], function(resultJsonString)
            if tostring(resultJsonString)~="success" then
                CommUtil.toast(display.getRunningScene(),"购买失败,请重试",0)
            else
                CommUtil.toast(display.getRunningScene(),"购买成功",0)               
                gPlayer:saveMysGiftStatus(true)
                -- for i=1,#allItemBox do
                --     local boxid = allItemBox[i][1]
                --     local itemType = allItemBox[i][2]
                --     local id = allItemBox[i][3]
                --     local num = allItemBox[i][4]
                --     local name = allItemBox[i][5]
                --     if itemType==1 then
                --         gHero:insertHero(id)
                --     else
                --         gItem:addItem(id,num)
                --     end
                -- end
                --[[测试道具数量
                self.itemIds = {30011,30009,30010,30012}
                for i=1,4 do-----------------------如果有道具并且能量值小于100，那么道具数量减少1，并且能量值加上100
                    print("现在的数量是",gItem:getItemNum(self.itemIds[i]),self.itemIds[i])
                end]]
    
                if (runningSceneName == "BattleScene") then
                    CommUtil.addTipBuy(display.getRunningScene(), display.right-165, display.top-30)
                    display.resume()
                end

                if (self.success_callback) then
                    self.success_callback()
                end

            end
          if display.getRunningScene().displayBtn then
                display.getRunningScene():displayBtn()
            end
            --yangdx 购买了礼包，就不用弹出了。
             --[[
              if(runningSceneName == "MainScene")  
                and  (not display.getRunningScene().ingoViewHeroTouched)  then
                local guide = require("app.views.GuideNode").new()
                :addTo(display.getRunningScene(), GUIDE_PAGE_Z_ORDER)
                guide:forceGuide("guide_pass_1")
                print("com herer twoer ")
                show_guide = true
              end
              --]]
               if display.getRunningScene().setMainSceneTouch then
                display.getRunningScene():setMainSceneTouch(true)
            end
            self:removeSelf()
        end, 0)

end

return GiftPanel 