local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local GiftPanel2 = class("GiftPanel2", function()
    local node = require("app.views.MaskNode_black").new()
    return node
end)


function GiftPanel2:ctor(flag, success_callback)
    CommUtil.playSound("music/openbox.mp3")
    local itemBox 
    if (not flag) then
        flag = 1
    end
    self.flag = flag
    if (flag == 1) then
        itemBox = require("app.client.template.mysbox_template")
    else
        itemBox = require("app.client.template.niumysbox_template")
    end
    if (success_callback) then
        self.success_callback = success_callback
    end
    --
    --
    ------------礼包index 只能为4个值,前面4个礼包谁空缺返回谁
    local findTheBoxIndex = function()
        for i=1,#itemBox do
            local boxid = itemBox[i][1]
            local itemType = itemBox[i][2]
            local id = itemBox[i][3]
            local num = itemBox[i][4]
            --print("item",boxid,itemType,id,num)
            if itemType==1 and (not gHero:isHeroExists(id)) then
                return boxid
            end
        end
        return itemBox[#itemBox][1]------------------默认返回最后5个礼包
    end

    local getAllItemBox = function(correctItemId)
        local allBox = {}
        for i=1,#itemBox do
            local boxid = itemBox[i][1]
            if correctItemId==boxid then
                allBox[#allBox+1] = itemBox[i]
            end
        end
        return allBox
    end

    self.correctItemId = findTheBoxIndex()
    allItemBox = getAllItemBox(1)
    --
   -- self:addGiftDlg(self)
   self:addGiftDlgBG(flag)
end

function GiftPanel2:addGiftDlgBG(flag)
     display.newSprite("ui/mall/package_frame.png", display.cx, display.cy):addTo(self)
     if (flag ==1) then
        display.newSprite("ui/mall/package_15.jpg", display.cx, display.cy):addTo(self)
    else
        display.newSprite("ui/mall/package_39.jpg", display.cx, display.cy):addTo(self)
    end
    if (DEF_SPECIAL_PROCESS) then
       if (flag ==1) then
        display.newSprite("ui/mall/package_15.png", display.cx, display.cy):addTo(self)
    else
       display.newSprite("ui/mall/package_39.png", display.cx, display.cy):addTo(self)
   end
    end

    local closebtn=cc.ui.UIPushButton.new({normal='ui/mall/close.png'})
    :pos(display.cx+192, display.cy+115):addTo(self)
    :onButtonRelease(function(event)
        if self:getParent().displayBtn then
            self:getParent():displayBtn()
        end
        self:removeSelf()
        display.resume()
    end)
    local picpath = 'ui/mall/commit_buy.png'
    if (DEF_SPECIAL_PROCESS) then
        picpath = 'ui/mall/commit_buy2.png'
    end
    local btn=cc.ui.UIPushButton.new({normal=picpath})
    :pos(display.cx, display.cy-180+33):addTo(self)
    :onButtonRelease(function(event)
       self:buyAction()
    end)

    CommUtil.bubbleBtn(btn, 169,59)
end


function GiftPanel2:addGiftDlg(node, mode)
  display.newSprite("ui/mall/mall_package_bg_2.png", display.cx, display.cy):addTo(node)
  --
  local x = 90
  local y = 15
 -- CommUtil.addSun(node, display.cx-x, display.cy+y, 0.6)

  local sun= display.newSprite("#release_01.png",display.cx-x, display.cy+y):addTo(self)
    local frames = display.newFrames("release_%02d.png", 1, 4)
    local animation = display.newAnimation(frames, 1 / 8)
    sun:playAnimationForever(animation)
    sun:setScale(1.2)
    
------------------------------------------------------------------
  display.newSprite("ui/fighting/fighting_tower.png",  display.cx-x, display.cy+y):addTo(node)
  -----------------------------------------
  --local shun=display.newSprite("ui/hero/hero_10004.png",  display.cx-x, display.cy+y+60):addTo(node)
  --CommUtil.bubbleBtn(shun, 168,168)
  local sunwu= display.newSprite("#hero_10004_stand_front_1.png",display.cx-x, display.cy+y+50):addTo(self)
    local frames = display.newFrames("hero_10004_stand_front_%d.png", 1, 8)
    local frames1 = display.newFrames("hero_10004_attack_front_%d.png", 1, 8)
    local animation = display.newAnimation(frames, 1 / 8)
    local animation1 = display.newAnimation(frames1, 1 / 6)
    sunwu:playAnimationForever(animation1)
    sunwu:setScale(1.2)
    
  ----------------------------------------------------------
  --
  display.newSprite("ui/mall/mall_package_bg_1.png", display.cx, display.cy):addTo(node)
  display.newSprite("ui/mall/mall_package_bg_3.png", display.cx, display.cy):addTo(node)
  display.newSprite("ui/mall/mall_package_bg_4.png", display.cx, display.cy):addTo(node)

  local btn=cc.ui.UIPushButton.new({normal='ui/mall/commit_buy.png'})
    :pos(display.cx, display.cy-180):addTo(node)
    :onButtonRelease(function(event)
       self:buyAction()
    end)

    local action=CCScaleBy:create(0.6, 1.1, 1.1)
    btn:runAction(CCRepeatForever:create(CCSequence:createWithTwoActions(action, action:reverse())))

   local closebtn=cc.ui.UIPushButton.new({normal='ui/mall/close.png'})
    :pos(display.cx+100+86, display.cy+200-46):addTo(node)
    :onButtonRelease(function(event)
        if self:getParent().displayBtn then
            self:getParent():displayBtn()
        end
        self:removeSelf()
        display.resume()
    end)

end
function GiftPanel2:buyAction()
    local code = ""
        if (self.flag == 1) then
            code = "gift_15"
        else
            code = "gift_29"
        end

        DeviceUtil.xiYouPay(ChargeData[code]["ChinaMobile"], ChargeData[code]["ChinaTelecom"], ChargeData[code]["ChinaUnicom"],ChargeData[code]["Unline"], function(resultJsonString)
            if tostring(resultJsonString)~="success" then
                CommUtil.toast(display.getRunningScene(),"购买失败,请重试",0)
            else
                CommUtil.toast(display.getRunningScene(),"购买成功",0)
                gSkill:insertSkill(102)
                gSkill:insertSkill(103)
                gSkill:insertSkill(104)
              
                --更新
                if (runningSceneName == "BattleScene") then
                    display.resume()
                end

                if (self.success_callback) then
                    self.success_callback()
                end

            end
            if self:getParent().displayBtn then
                self:getParent():displayBtn()
            end

             


            self:removeSelf()
        end)

end
function GiftPanel2:ctor2()


    self.bg = display.newSprite("ui/mall/mall_package_bg.png",display.cx,display.cy):addTo(self)
    local rect = self.bg:getBoundingBox()

    local title1 = display.newSprite("ui/public/mall_base_rechangeright_1.png",display.cx,rect.origin.y+rect.size.height+20):addTo(self)
    local title2 = display.newSprite("ui/mall/mall_package.png",display.cx,rect.origin.y+rect.size.height+32):addTo(self)

--[[
hero_head_10001.png
hero_head_10002.png
hero_head_10003.png
hero_head_10004.png
hero_head_10005.png
hero_head_10006.png]]


    ------------1 号是孙悟空 2号留魔王 3?
    local closeBtn = cc.ui.UIPushButton.new({
        normal = "ui/public/public_button_normal.png",
        pressed = "ui/public/public_button_pressed.png",
    })
    :pos(rect.origin.x+rect.size.width,rect.origin.y+rect.size.height)
    :onButtonRelease(function(event)
        CommUtil.playSound("music/close.mp3")
        if self:getParent().displayBtn then
            self:getParent():displayBtn()
        end
        self:removeSelf()
    end)
    :addTo(self,3)
    
    
    local buyBtn = cc.ui.UIPushButton.new({
        normal = "ui/mall/mall_button_buy_normal.png",
        pressed = "ui/mall/mall_button_buy_pressed.png",
    })
    :pos(rect.origin.x+rect.size.width/2,rect.origin.y+15)
    :onButtonRelease(function(event)

        
    end)
    :addTo(self,3)

end

return GiftPanel2