
local scheduler = require("framework.scheduler")
local MaskBlankNode = class("MaskBlankNode",function() 
    local node = display.newNode()
    node:setTouchEnabled(true)
    node:addTouchEventListener(function(event, x, y)
        return true
    end)
     node:registerScriptHandler(function(event)
        if event == "enter" then
            node:onEnter()
        elseif event == "exit" then
            node:onExit()
        end
    end)
    return node
end)


function MaskBlankNode:ctor()
     self.sprite = CommUtil.addBlankLayer(self) 
end

function MaskBlankNode:exit()
     self:removeFromParentAndCleanup(true)
end



return MaskBlankNode