local scheduler =  require(cc.PACKAGE_NAME .. ".scheduler")
local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local UnlinePayPanelEx = class("UnlinePayPanelEx", function()
        local node = require("app.views.MaskNode_black").new()
        return node
end)

function UnlinePayPanelEx:cal(payCode2)
     object_res="福袋";object_money="4";
    if (payCode2=="TOOL1") then
        
        object_res="福袋";object_money="4";
        
        elseif (payCode2=="TOOL2") then
        
        object_res="经验石";object_money="2";
        
        elseif (payCode2=="TOOL3") then
        
        object_res="富经验石";object_money="6";
        
        elseif (payCode2=="TOOL4") then
        
        object_res="完美经验石";object_money="10";
        
        elseif (payCode2=="TOOL5") then
        
        object_res="圣唐僧";object_money="4";
        
        elseif (payCode2=="TOOL6") then
        
        object_res="技能令牌包";object_money="4";
        
        elseif (payCode2=="TOOL7") then
        
        object_res="英雄套餐";object_money="20";
        
        elseif (payCode2=="TOOL8") then
        
        object_res="孙悟空";object_money="10";  --yangdx modify  退出价格更低
        
        elseif (payCode2=="TOOL9") then
        
        object_res="牛魔王";object_money="10";  --yangdx modify  退出价格更低
        
        elseif (payCode2=="TOOL10") then
        
        object_res="红孩儿";object_money="10";   --yangdx modify  退出价格更低
        
        elseif (payCode2=="TOOL11") then
        
        object_res="铁扇公主";object_money="10";--yangdx modify  退出价格更低
        
        elseif (payCode2=="TOOL12") then
        
        object_res="新手礼包";object_money="10";
        
        elseif (payCode2=="TOOL13") then
        
        object_res="一键顶级";object_money="10";
        
        elseif (payCode2=="TOOL14") then
        
        object_res="原地复活";object_money="2";
        elseif (payCode2=="TOOL15") then
        object_res="龙之火";object_money="10";
        elseif (payCode2=="TOOL16") then
        object_res="勾魂鬼爪";object_money="10";
        elseif (payCode2=="TOOL17") then
        object_res="镇妖塔";object_money="10";
        elseif (payCode2=="TOOL18") then
            object_res="小堆金币";object_money="0";
        elseif (payCode2=="TOOL19") then
            object_res="大堆金币";object_money="10";
        elseif (payCode2=="TOOL20") then
            object_res="超大堆金币";object_money="20"; 
    end
        
end

--
function UnlinePayPanelEx:pageClose()
    audio.resumeMusic()
    --[[
    if self.closeflag==0 then --强制 关闭礼包
    elseif  self.closeflag==1 then  --支付成功 关闭礼包
    elseif  self.closeflag==2 then  --支付失败 关闭礼包
    end
    --]]

    if self.payflag==1 then  --退出
       DEF_CANCLE_FLAG="3" 
    end 

    if display.getRunningScene().setMainSceneTouch then
        display.getRunningScene():setMainSceneTouch(true)
    end
    self:unschedule()
    self:removeSelf()
end


function UnlinePayPanelEx:buySuccess()
    local payCode2 = self.payCode2 
    --
    self.callback("success")

    if (payCode2=="TOOL8") then
                        CommUtil.insertHeroUnline(10003)
    elseif (payCode2=="TOOL9") then
                        CommUtil.insertHeroUnline(10004)
    elseif (payCode2=="TOOL10") then
                        CommUtil.insertHeroUnline(10005)
    elseif (payCode2=="TOOL11") then
                        CommUtil.insertHeroUnline(10006)
    elseif (payCode2=="TOOL7") then
                        CommUtil.insertAllHeroUnline()
    elseif (payCode2=="TOOL1") then
                        gPlayer:addCopper(10000)  --送10000水晶
    elseif (payCode2=="TOOL17") then
                        gPlayer:addCopper(1000)  --送10000水晶
    elseif (payCode2=="TOOL19") then
                        gPlayer:addCopper(50000)  --送10000水晶
    elseif (payCode2=="TOOL20") then
                        gPlayer:addCopper(100000)  --送10000水晶             
    end

    --yangdx add 
    if self.freeflag==1 then 
        gPlayer:setPayFree(100,true) --退出付费成功一次(免费的) 
    else 
        gPlayer:setPayFree(1,true)   --退出付费成功一次（付费）
    end 

    if (runningSceneName == "BattleScene") then
            CommUtil.addTipBuy(display.getRunningScene(), display.right-165, display.top-30)
            display.resume()
    end

    self.closeflag=1
    self:pageClose()
end

--payCode线下代码  payCode2 电信代码代码 payflag 礼包类型 0:标准 1：退出 2：抽奖 3：战斗
function UnlinePayPanelEx:ctor(payCode, payCode2, callback,payflag)  
    self.payflag=payflag
    self.mode=0
    self.freeflag=0  --免费标记。
    self.closeflag=0  --1:支付成功关闭 2:支付失败关闭 0：直接关闭
    self.count = 130  --yangdxtest  正式 self.count = 130
    self.callback = callback
    self.secondnode=nil
    self.payCode=payCode
    self:cal(payCode2)  
    self.payCode2 = payCode2
    self.logicHandler=nil
    self:setmode()

    -----------------------------------------------------------------------------------------------------
    local bg = display.newSprite("ui/pay/paybg.png", display.cx, display.cy):addTo(self)
    display.newSprite("ui/pay/" .. payCode .. ".png", display.cx, display.cy):addTo(self)

    local closebtn=cc.ui.UIPushButton.new({normal='ui/mall/close.png'})
    :pos(display.cx+192, display.cy+115):addTo(self)
    :onButtonRelease(function(event)
        self.callback("fail")  
        self.closeflag=0  
        self:pageClose()
    end)
    
 
    local commitpicpath={'ui/pay/buybtn.png','ui/pay/commitbtn.png','ui/pay/freebuybtn.png'}
    local commitbtnplace={{display.cx, display.cy-180+33},{display.cx*0.6,display.cy-180+33},{display.cx, display.cy-180+33}}
    local commitbtn=cc.ui.UIPushButton.new({normal=commitpicpath[self.mode+1]})
        :pos(commitbtnplace[self.mode+1][1],commitbtnplace[self.mode+1][2]):addTo(self)
        :onButtonRelease(function(event)    
          if  self.mode==1 then       
                if gPlayer.data.free_pay_count < 100  then  --没有免费购买过
                    self:CanclePay()
                else
                    self:CommitPay()
                end 
          elseif  self.mode==0 then 
              self:CommitPay()
          elseif  self.mode==2 then
              self:CommitPay()
          end  


        end)

     CommUtil.bubbleBtn2(commitbtn,129,64,1.1)

    if self.mode==1 then  --只有退出才有取消按钮
         local canclepicpath = 'ui/pay/canclebtn.png'
         local canclebtn=cc.ui.UIPushButton.new({normal=canclepicpath})
            :pos(display.cx*1.4, display.cy-180+33)
            :addTo(self)
            :onButtonRelease(function(event)
                if gPlayer.data.free_pay_count < 100  then 
                    self:CommitPay()
                else
                    self:CanclePay()
                end 
            end)
    end 

    

    local txt0 ="信息费" .. object_money .. "元"
     ---[[
    if (DEF_CONTROL_LEVEL==0 and self.mode==2 and self.payflag==3) then 
        txt0=" "
    end
    --]]

    local Text0 = require("app.ui.Text")
        Text0.new({
                text = txt0,
                align = ui.TEXT_ALIGN_CENTER,
                size =  self.mode==1 and 12 or 11,
                color = self.mode==1  and  ccc3(255,255,255) or ccc3(20,93,122),  -- 150,150,150
                x = self.mode==1 and display.cx*1.35  or display.cx*1.35 ,
                y = self.mode==1 and display.cy+125   or display.cy+127,  --30
                })
            :addTo(self)
    
    
   
       
    if  self.mode==1 then 

        local txt1 = "秒后免费领取, 放弃,购买请取消"
        if gPlayer.data.free_pay_count > 100  then --已经获得过免费机会
           txt1 = "秒后免费领取, 放弃购买,请取消" 
        end 
        local Text1 = require("app.ui.Text")
            Text1.new({
                    text = txt1,
                    align = ui.TEXT_ALIGN_CENTER,
                    size = 10,
                     color = ccc3(178, 178,150), --(178, 178,150)
                    x = display.cx+6,
                    y = display.cy-180+50,
                    })
                :addTo(self)

      local Text2 = ui.newTTFLabel({
                    text = string.format("%d",self.count),
                    font = "Arial",
                    size = 10,
                    color = ccc3(178, 178, 150), 
                    x = display.cx-80,
                    y = display.cy-180+50,
                })
                :addTo(self)

        local function autocount()
            self.count=self.count-1
            if (self.count<1) then 
                self.count=0 
            end 
            Text2:setString(string.format("%d",self.count))
            if self.count==0 then 
                self:unschedule()
            end
        end 

        self.logicHandler= scheduler.scheduleGlobal(autocount,1)

    end

end


function UnlinePayPanelEx:unschedule()
    if self.mode==1 and  not (self.logicHandler==nil) then      
        scheduler.unscheduleGlobal(self.logicHandler)
        self.logicHandler=nil
    end 

end 


function UnlinePayPanelEx:addsecondnode()
       self.secondnode = require("app.views.MaskNode_black").new():addTo(self)
       local secondbg = display.newSprite("ui/pay/paybg.png", display.cx, display.cy)
             :addTo(self.secondnode)
        secondbg:setScaleY(0.4)
        secondbg:setScaleX(0.7)

        local secondText = ui.newTTFLabel({
                text = "活动时间未到,确认放弃？",
                font = "Arial",
                size = 14,
                color = ccc3(0, 0, 0), 
                x = display.cx-80,
                y = display.cy+10,
            })
            :addTo(self.secondnode)

         local secondcanclepicpath = 'ui/pay/canclebtn.png'
         local secondcanclebtn=cc.ui.UIPushButton.new({normal=secondcanclepicpath})
               :pos(display.cx*1.2, display.cy-30)
               :scale(0.5)
               :addTo(self.secondnode)
               :onButtonRelease(function(event)
                   self.secondnode:removeSelf()
                   end)

         local secondcommitpicpath = 'ui/pay/commitbtn.png'                      
         local secondcommitbtn=cc.ui.UIPushButton.new({normal=secondcommitpicpath})
               :pos(display.cx*0.8, display.cy-30)
               :scale(0.5)
               :addTo(self.secondnode)
               :onButtonRelease(function(event)
                   --self.secondnode:removeSelf()
                   self:CommitPay()
                   end)
end


function UnlinePayPanelEx:addthirdnode()
       self.thirdnode = require("app.views.MaskNode_black").new():addTo(self)
       local secondbg = display.newSprite("ui/pay/paybg.png", display.cx, display.cy)
             :addTo(self.thirdnode)
        secondbg:setScaleY(0.4)
        secondbg:setScaleX(0.7)

        local secondText = ui.newTTFLabel({
                text = "应用关闭中,请等待...",
                font = "Arial",
                size = 14,
                color = ccc3(0, 0, 0), 
                x = display.cx-80,
                y = display.cy+10,
            })
            :addTo(self.thirdnode)     
end


function UnlinePayPanelEx:CommitPay()  --确认付费
    local payCode=self.payCode  --真正用的计费点
    if self.payflag==1 then 
        self:addthirdnode()
    end 

    local  function  xiYouCall( call_result )
        local jtable =  json.decode(call_result)
        if type(jtable) == "table" then
            if jtable.result == "success" then
                CommUtil.sendDataToServ({req_type="pay", money=jtable.price })
                --print("yangdx CommitPay 前后计费成功，后台支付道具开始 ")
                self:buySuccess()
            else
                --print("yangdx CommitPay 前后计费失败，后台失败处理开始 ")
                self.callback('fail')
                self.closeflag=2
                self:pageClose()
            end
        end                   
    end

    if  (device.platform == 'android') then
                audio.pauseMusic()
                local javaClassName = "org.cocos2dx.lib.Function"
                local javaMethodName = "xiYouPayMM"
                local paycodemode=string.format("%d",self.payflag)
                local javaParams = {-98,payCode, 111,paycodemode, xiYouCall}  --yangdx 特殊情况  --所有的单个英雄都用10元计费点
                local javaMethodSig = "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;I)V"
                local ok, ret = luaj.callStaticMethod(javaClassName, javaMethodName, javaParams, javaMethodSig)
                if not ok then
                    --print("yangdx CommitPay xiYouPayMM 计费后台传前台失败 ")
                    self.callback('fail')
                    audio.resumeMusic()
                else 
                    --print("yangdx CommitPay xiYouPayMM 计费后台传前台成功 ")
                end
    else
        self:buySuccess()
    end

    --self:removeSelf()
end

function  UnlinePayPanelEx:CanclePay() --取消付费
    if  (device.platform == 'android') then
        audio.pauseMusic()
        if(self.count==0) then
            self.freeflag=1
            self:buySuccess()
        else 
          self:addsecondnode()  --弹出二次确认界面
        end 
    else --yangdxtest  正式需注销（非平台)
          -- if (self.count==0) then 
          --    self.freeflag=1
          --    self:buySuccess()
          -- else 
          --    self:addsecondnode()
          -- end 
    end 
end 

function  UnlinePayPanelEx:setmode()  --对界面类型进行处理  payflag 0:标准 1：退出 2：抽奖 3：战斗
    if self.payflag==1  then 
        self.mode=1  --确认+关闭+取消  
        return 
    end 
    if self.payflag==2  then  --先默认使用模式1
        self.mode=2   --领取+关闭
        return 
    end

    if self.payflag==3  then  --先默认使用模式1
       self.mode=2   --领取+关闭
       if ( DEF_CONTROL_LEVEL >0  and gPlayer.data.pass_id < 60003 ) then 
          self.mode=0   --标准模式
       end 

    end  
end 


return UnlinePayPanelEx