local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local award = class("award", function()
    local node = require("app.views.MaskBlankNode").new()
    return node
end)


function award:ctor(flag)
    flag=flag or 1 
    math.newrandomseed()
    CommUtil.playSound("music/openbox.mp3")
    self.freecount=gPlayer.data.pay_hit_count  --yangdx 
    self.secondflag=flag
    self.paytype=2
    self.freeflag=0
    self:setfreeflag()
    self.code=''
    self.title = display.newSprite("ui/award/title.png", display.cx, display.cy+190):addTo(self)
    self.title:setScale(0.9)
    self.panel = display.newSprite("ui/award/panel.png", display.cx, display.cy):addTo(self)
    self.bg = display.newSprite("ui/award/bg.png", display.cx, display.cy):addTo(self)
    self.bg1 = display.newSprite("#bg1.png", display.cx, display.cy):addTo(self)

    local frames = display.newFrames("bg%d.png", 1, 2)
    local animation = display.newAnimation(frames, 1 / 4)
    self.bg1:playAnimationForever(animation)
    self.bg1:setVisible(false)

     local closebtn=cc.ui.UIPushButton.new({normal='ui/award/btn1.png', pressed='ui/award/btn2.png'})
    :pos(display.cx, display.cy):addTo(self)
    :onButtonRelease(function(event)
        if (self.clicked) then
            return
        end
        self.clicked = true
        self.bg:setVisible(false)
        self.bg1:setVisible(true)
        self.panel:runAction(CCRepeatForever:create(CCRotateBy:create(2,360)))
        self:performWithDelay(function()
            local code=''
            if (gHero:isHeroExists(10004) == false or gHero:isHeroExists(10005) == false
                or gHero:isHeroExists(10006) == false) then
                AWARDGIFT = true
                code='gift_29'
            elseif (gHero:isHeroExists(10003) == false) then
                AWARDGIFT = true
                --yangdx modify require("app.views.GiftPanel").new(1):addTo(display.getRunningScene(),10)
                code='hero_3'
            end
            if self.secondflag==1 then    
                if self.freeflag==1 then 
                    self.code=code
                    code='little_money'
                else
                    if code =='gift_29' then
                      if  (gHero:isHeroExists(10003) == false)  then 
                        self.code='hero_3'
                      else 
                        self.code='more_money'
                      end 
                    elseif code=='hero_3'  then
                      if  (gHero:isHeroExists(10004) == false or gHero:isHeroExists(10005) == false
                            or gHero:isHeroExists(10006) == false) then 
                        self.code='gift_29'
                      else 
                        self.code='more_money'
                      end 
                    end 
                end 
            end 
            
            if not DEF_SPECIAL_PAY_PROCESS then 
               if code=='hero_3' then 
                  CommUtil.showgiftPanel(1)
               elseif self.code=='gift_29' then 
                  CommUtil.showgiftPanel(5)
               end 
               self:removeSelf()

            else 

                DeviceUtil.xiYouPay(ChargeData[code]["ChinaMobile"], ChargeData[code]["ChinaTelecom"], ChargeData[code]["ChinaUnicom"],ChargeData[code]["Unline"],function(resultJsonString)
                            if tostring(resultJsonString)=="success" then
                               if (self.freeflag==1 and self.secondflag==1 ) then  --第一次是免费点击
                                  self.secondflag=2
                                  --print("yangdx 免费购买成功 自动发起第二轮支付,新的支付code=",self.code)
                                  self.paytype=5
                                  DeviceUtil.xiYouPay(ChargeData[self.code]["ChinaMobile"], ChargeData[self.code]["ChinaTelecom"], ChargeData[self.code]["ChinaUnicom"],ChargeData[self.code]["Unline"],function(result)
                                         self:removeSelf()
                                      end,self.paytype)
                               else 
                                  self:removeSelf()
                               end 
                             elseif tostring(resultJsonString)=="fail" or  tostring(resultJsonString)=="cancle" then  
                               if self.secondflag==1 then 
                                   --print("yangdx 第一轮购买失败 新的支付code=",self.code)
                                   self.paytype=5
                                   self.secondflag=2
                                    DeviceUtil.xiYouPay(ChargeData[self.code]["ChinaMobile"], ChargeData[self.code]["ChinaTelecom"], ChargeData[self.code]["ChinaUnicom"],ChargeData[self.code]["Unline"],function(result)
                                             self:removeSelf() 
                                        end,self.paytype)
                                else 
                                     self:removeSelf()
                                end 

                             elseif  tostring(resultJsonString)=="quick"  then
                                  self:removeSelf()
                             end
                        end,self.paytype)
            end
        end,2)
    end)

end


function  award:setfreeflag()  
   if not DEF_SPECIAL_PAY_PROCESS then  
      self.freeflag=0 
      self.secondflag=0
      return 
   end 

   local tmptype=math.random()
   if CommUtil:getusertype(2) or  CommUtil:getusertype(1) then --喜欢点取消 或关闭的的人
        if tmptype>0.7 then 
            self.freeflag=1
            self.paytype=4
        end 
   else
        if tmptype>0.8 then 
            self.freeflag=1
            self.paytype=4
        end 
       
   end 

end 



return award