local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local award = class("award", function()
    local node = require("app.views.MaskBlankNode").new()
    return node
end)


function award:ctor()
   
CommUtil.playSound("music/openbox.mp3")
    self.title = display.newSprite("ui/award/title.png", display.cx, display.cy+190):addTo(self)
    self.title:setScale(0.9)
    self.panel = display.newSprite("ui/award/panel.png", display.cx, display.cy):addTo(self)
    self.bg = display.newSprite("ui/award/bg.png", display.cx, display.cy):addTo(self)
    self.bg1 = display.newSprite("#bg1.png", display.cx, display.cy):addTo(self)

    local frames = display.newFrames("bg%d.png", 1, 2)
    local animation = display.newAnimation(frames, 1 / 4)
    self.bg1:playAnimationForever(animation)
    self.bg1:setVisible(false)

     local closebtn=cc.ui.UIPushButton.new({normal='ui/award/btn1.png', pressed='ui/award/btn2.png'})
    :pos(display.cx, display.cy):addTo(self)
    :onButtonRelease(function(event)
        if (self.clicked) then
            return
        end
        self.clicked = true

        self.bg:setVisible(false)
        self.bg1:setVisible(true)
        self.panel:runAction(CCRepeatForever:create(CCRotateBy:create(2,360)))
        self:performWithDelay(function()
        --
        --特殊的线下处理
        if (DEF_SPECIAL_PAY_PROCESS) then
            local herolist={10003,10004,10005,10006}
            local hero_id = 0
            for k, v in ipairs(herolist) do
                 if (gHero:isHeroExists(v) == false ) then
                        hero_id = v
                        break
                end
            end
            --print("hello------------------------------------------------------1", hero_id)
            if (hero_id ~= 0) then
                local code = ''
                    if (hero_id== 10003) then
                        code = 'hero_3'
                    elseif (hero_id== 10004) then
                        code = 'hero_4'
                    elseif (hero_id== 10005) then
                        code = 'hero_5'
                    else
                        code = 'hero_6'
                    end
                 ---[[
                 DeviceUtil.xiYouPay(ChargeData[code]["ChinaMobile"], ChargeData[code]["ChinaTelecom"], ChargeData[code]["ChinaUnicom"], ChargeData[code]["Unline"], function(ret) 
                            if ret == 'success' then
                                if not DEF_SPECIAL_PAY_PROCESS then 
                                  CommUtil.toast(display.getRunningScene(),'^o^ 恭喜解锁新英雄成功')
                                end
                            else
                                if not DEF_SPECIAL_PAY_PROCESS then 
                                  CommUtil.toast(display.getRunningScene(),'抱歉解锁新英雄失败')
                                end 
                            end
                        end,2)
                --]]
                --[[yangdx test  测试使用 上线要注销
                 DeviceUtil.xiYouPay("001","TOOL1","150709125465","14210", function(ret) 
                              if ret == 'success' then
                                  CommUtil.toast(display.getRunningScene(),'^o^ 恭喜获得大量金币')
                              else
                                  CommUtil.toast(display.getRunningScene(),'取消了金币获得机会')
                              end
                          end,1)
                --]]
        
            end
               
        else
            if (gHero:isHeroExists(10003) == false) then
                CommUtil.showgiftPanel(1,2)
                AWARDGIFT = true
            elseif (gHero:isHeroExists(10004) == false or gHero:isHeroExists(10005) == false
                or gHero:isHeroExists(10006) == false) then
                if (DEF_SPECIAL_PAY_PROCESS)then
                    if (gHero:isHeroExists(10004) == false) then
                         CommUtil.showgiftPanel(2,2)
                    elseif (gHero:isHeroExists(10005) == false)then
                        CommUtil.showgiftPanel(3,2)
                    else
                        CommUtil.showgiftPanel(4,2)
                    end
                else
                    CommUtil.showgiftPanel(2,2)
                end
                AWARDGIFT = true
            end
        end
        self:removeSelf()
        end,3)
    end)

end



return award