--
-- Author: hejiangcheng
-- Date: 2014-12-04 16:32:17
--
local ingotView = class("ingotView",function()
	local node = display.newNode()
	-- node:setTouchEnabled(true)
	-- node:addTouchEventListener(function(event, x, y)
	--     return true
	-- end)
	node:registerScriptHandler(function(event)
	    if event == "enter" then
	        node:onEnter()
	    elseif event == "exit" then
	        node:onExit()
	    end
	end)
	return node
end)

function ingotView:ctor()
	self.canClick = false
	-- self:makeBaseNode('ingot'):pos(display.left + 50, display.top - 30):addTo(self)
	self:makeBaseNode('copper'):pos(display.left + 50, display.top - 30):addTo(self)
	self:makeBaseNode('star'):pos(display.left + 200, display.top - 30):addTo(self)

	--生成的按钮
	self.rightx,self.righty = display.right-50, display.bottom+40
	self.button = {}
	self.buttonDetail ={

		
		{normal="ui/home/home_icon_system.png",pressed="ui/home/home_icon_system.png",
		func = function() 
			if NETTYPE == 'ChinaTelecom' then
				require("app.views.secondMenu.setting.TeSetting").new():addTo(display.getRunningScene(),10)
			else
				require("app.views.secondMenu.setting.Setting").new():addTo(display.getRunningScene(),10)
			end
			-- require("app.views.secondMenu.backpack.Backpack").new():addTo(display.getRunningScene(),10)
		end
		},
		{normal="ui/home/home_icon_tower.png",pressed="ui/home/home_icon_tower.png",
		func = function()
			--if gPlayer.data.star_cnt:get() >= 100 then
				require("app.views.ClimbTowerPreview").new():addTo(display.getRunningScene(),5000)
			--else
			--	CommUtil.toast(display.getRunningScene(), '收集100个星星即可解锁！')
			--end
		end
		},
		{normal="ui/home/home_icon_mall.png",pressed="ui/home/home_icon_mall.png",
		func = function() 
			 require("app.views.secondMenu.mall.NonNetworkMall").new():addTo(display.getRunningScene(),10)
		end
		},
		{normal="ui/home/home_icon_hero.png",pressed="ui/home/home_icon_hero.png",
		func = function() 
		    display.getRunningScene().ingoViewHeroTouched=true --yangdx
		   --print("yangdx  主程英雄按钮被点击 ingoViewHeroTouched =",self:getParent().ingoViewHeroTouched)
			DEF_SHOW_HERO = 3
			require("app.views.secondMenu.hero.heroNode").new():center():addTo(display.getRunningScene(), 10)
		end
		},
		
	}

	self:makeAllButton()
	--
	self:schedule(handler(self,self.updateJifen),2)
end
function ingotView:updateJifen()
	if (self.ingotNum) then
		print("update ingotNum")
		local node = self.ingotNum:getParent()
		self.ingotNum:removeSelf()
		self.ingotNum = self:makeNum('jifen'):addTo(node,1)
	end
	--self:showGift()
	self.canClick =true  --yangdx add 
	self:showGift()      --yangdx add 

end

function ingotView:makeBaseNode(nodeType)
	local node = display.newNode()
	local base = display.newSprite("ui/home/home_bar_figure.png",60,-15):addTo(node)
	if nodeType=='jifen' then
		display.newSprite("ui/home/jingbi.png"):addTo(node)
		self.ingotNum = self:makeNum(nodeType):addTo(node,1)
		base:addTouchEventListener(function(event,x,y)
			print("get jifen copper ...")
			DeviceUtil.showJiFen()
		end)
	elseif nodeType=='star' then
		display.newSprite("ui/home/home_icon_stars.png"):addTo(node)
		self.starNum = self:makeNum(nodeType):addTo(node,1)
	elseif nodeType=='copper' then
		display.newSprite("ui/home/home_icon_copper.png"):addTo(node)
		base:addTouchEventListener(function(event,x,y) 
			base:stopAllActions()
			base:scale(1)
			local action = CCScaleBy:create(0.1, 0.95, 0.95)
			base:runAction(CCSequence:createWithTwoActions(action, action:reverse()))
			if self.canClick ~= true then return end
			self.canClick = false
			
		
require("app.views.secondMenu.mall.NonNetworkMall").new():addTo(display.getRunningScene(),10)
			    --end,
			  --  }):center():addTo(self,100)
		end)
		base:setTouchEnabled(true)

		self.copperNum = self:makeNum(nodeType):addTo(node,1)		
	end

	return node
end

function ingotView:makeNum(nodeType)
	local num=0
	if nodeType=='jifen' then
		num = gPlayer.data.ingot_cnt:get()
	elseif nodeType=='star' then
		num = math.floor(gPlayer.data.star_cnt:get())
	elseif nodeType=='copper' then
		num = gPlayer.data.copper_cnt:get()
	end

	local node=CommUtil.makeNum(num)
	return node:scale(0.5):pos(75-node:getCascadeBoundingBox().size.width/2,-15)
end

--更新显示
function ingotView:refresh()


	local node = self.starNum:getParent()
	self.starNum:removeSelf()
	self.starNum = self:makeNum('star'):addTo(node,1)

	node = self.copperNum:getParent()
	self.copperNum:removeSelf()
	self.copperNum = self:makeNum('copper'):addTo(node,1)

	if gHero:isHeroExists(10003) and gHero:isHeroExists(10004) and (not tolua.isnull(self.giftNode)) then
		self.giftNode:removeSelf()
		self.giftNode=nil
	end
end

--按钮集合  对按钮的操作

function ingotView:makeAllButton()
	self:clickItem()
	for i,v in pairs(self.buttonDetail) do
		--[[local x,y=0,0
		if i==1 then
			x,y=display.right-50-85, display.bottom+40
		elseif i==2 then
			x,y=display.left+50, display.bottom+40
		elseif i==3 then
			x,y=display.right-50, display.top-40
		elseif i==4 then
			x,y=display.right-50, display.bottom+40
		end]]

		self.button[i]=cc.ui.UIPushButton.new({
		    	normal = v.normal,
		    	pressed = v.pressed,
		    })
		    :pos(self.rightx,self.righty+i*85):addTo(self)
		    :onButtonClicked(function(event)
		    	
		    	CommUtil.guideStep(111)
		    	event.target:stopAllActions()
		    	event.target:scale(1)
		    	local action = CCScaleBy:create(0.1, 0.9)
		    	event.target:runAction(CCSequence:createWithTwoActions(action, action:reverse()))
	        	if not self.canClick then return end
	            v.func()
		    end)
	   if (i == 4) then --英雄
	   		CommUtil.setBtnGuide(self.button[i], GUIDE_BTN_HERO_BUTTON)
			GUIDE_BTN_HERO_BUTTON[0].x = GUIDE_BTN_HERO_BUTTON[0].x - 37
			GUIDE_BTN_HERO_BUTTON[0].y = GUIDE_BTN_HERO_BUTTON[0].y - 37
	   end
	end

	self.giftNode = display.newNode():addTo(self)
	self:showGift()
end

function ingotView:showGift()

	if (self.giftNode.freezeCircle) then
		self.giftNode.freezeCircle:removeSelf()
		self.giftNode.freezeCircle = nil
		self.giftPanel:removeSelf()
		self.giftPanel = nil
	end
	if not gHero:isHeroExists(10003) then --孙悟空不存在 新手礼包
		CommUtil.addSun(self.giftNode, display.left+60, display.top-130)
		self.giftPanel=cc.ui.UIPushButton.new({normal='ui/fighting/frighting_icon_gift.png'})
		:pos(display.left+60, display.top-130):addTo(self.giftNode)
		:onButtonRelease(function(event)
			 
        	if self.canClick~=true then return end
        	if display.getRunningScene().setMainSceneTouch then
        		display.getRunningScene():setMainSceneTouch(false)
        	end
        	--[[yangdxtest  为了测试  正式要修改成CommUtil.showgiftPanel(1) ]]
            CommUtil.showgiftPanel(1)

		end)

		CommUtil.bubbleBtn(self.giftPanel, 73, 74)
	else
    ----其它英雄任意一个不存在 至尊礼包
	if not gHero:isHeroExists(10004) 
		or not gHero:isHeroExists(10005) 
		or not gHero:isHeroExists(10006) then
		CommUtil.addSun(self.giftNode, display.left+60, display.top-130)
		self.giftPanel=cc.ui.UIPushButton.new({normal='ui/fighting/frighting_icon_gift2.png'})
		:pos(display.left+60, display.top-130):addTo(self.giftNode)
		:onButtonRelease(function(event)
			 
        	if self.canClick~=true then return end
        	if display.getRunningScene().setMainSceneTouch then
        		display.getRunningScene():setMainSceneTouch(false)
        	end

        	CommUtil.showgiftPanel(5)  --yangdx add 
            --[[yangdx modify 
        	if (gHero:isHeroExists(10004) == false) then
                     CommUtil.showgiftPanel(2)
            elseif (gHero:isHeroExists(10005) == false)then
                CommUtil.showgiftPanel(3)
            else
                CommUtil.showgiftPanel(4)
            end
            --]]

		end)

		CommUtil.bubbleBtn(self.giftPanel, 73, 74)
	end
	end

	local showoffer = false
	 for i = 1, 4 do
        local id = 10002+ i
     	if (not gHero:isHeroExists(id)) then
     		showoffer  = true
     	end
     end

     if (not DEF_SHOW_ADVER_PROCESS) then
     	showoffer = false
     end
     if (showoffer) then
	    cc.ui.UIPushButton.new({normal='ui/offer/frighting_icon_gift3.png'})
		:pos(display.left+60, display.bottom+100):addTo(self.giftNode)
		:onButtonRelease(function(event)
			 
        	if self.canClick~=true then return end
        	if display.getRunningScene().setMainSceneTouch then
        		display.getRunningScene():setMainSceneTouch(false)
        	end
            require("app.views.offerPanel").new():addTo(self,10)
		end)
	end
	
end


function ingotView:displayBtn()
	if display.getRunningScene().setMainSceneTouch then
		display.getRunningScene():setMainSceneTouch(true)
	end
	self:showGift()
end

--下拉简单
function ingotView:clickItem()
	self.down =cc.ui.UIPushButton.new({
	    normal = "ui/home/home_arrow_down.png"
	    })
	    :pos(self.rightx,self.righty):addTo(self):hide():rotation(180)
	    :onButtonRelease(function(event)
	    	if not self.canClick then return end
            self:setClickEnabled(false)
            event.target:hide()
            self.up:show()
            for i,v in pairs(self.button) do
            	v:show()
            	local action = CCMoveTo:create(0.3, ccp(self.rightx,self.righty + i*85))
            	transition.execute(v, action, {
	            		easing = "bounceOut",
    	        		onComplete = function()
    	        			if i == #self.button then
    	        				for _,m in pairs(self.button) do m:setButtonEnabled(true) end
    	        				self:setClickEnabled(true)
    	        			end
    	        		end
            		})

            end
	    end)

	self.up =cc.ui.UIPushButton.new({
	    normal = "ui/home/home_arrow_up.png"
	    })
	    :pos(self.rightx,self.righty):addTo(self):rotation(180)
	    :onButtonRelease(function(event)
	    	if not self.canClick then return end
	        self:setClickEnabled(false)
	        event.target:hide()
	        self.down:show()
	        for i,v in pairs(self.button) do
	        	v:setButtonEnabled(false)
	        	local action = CCMoveTo:create(0.3, ccp(self.rightx,self.righty))
	        	transition.execute(v, action, {
		        		easing = "bounceOut",
		        		onComplete = function()
		        			v:hide()
		        			if i == #self.button then
		        				self:setClickEnabled(true)
		        			end
		        		end
	        		})

	        end
	    end)
end

function ingotView:setClickEnabled(b)
	self.canClick = b
end

function ingotView:onEnter()
end

function ingotView:onExit()
	CCTextureCache:sharedTextureCache():removeUnusedTextures()
end

return ingotView