local CommUtil = require("app.common.CommUtil")
local ColorTxt = import("app.ui.ColorText")


local offerPanel = class("offerPanel", function()
    if (AWARDGIFT) then
        AWARDGIFT = false
        local node = require("app.views.MaskBlankNode").new()
        return node
    else
        local node = require("app.views.MaskNode_black").new()
        return node
    end
end)

function offerPanel:spend(hero_id, number)
if (gPlayer.data.ingot_cnt:get() < number) then
   CommUtil.toastNode(display.getRunningScene(),"积分不足!",0)
    return
end
 local callback = function(result)
    if (result == "ok") then
        gPlayer.data.ingot_cnt:set( gPlayer.data.ingot_cnt:get()-number)
        gHero:insertHero(hero_id)
        showFour()
        CommUtil.toastNode(display.getRunningScene(),"获得英雄成功",0)
    else
          CommUtil.toastNode(display.getRunningScene(),"支付失败请重新打开页面购买.",0)
    end
    end
    DeviceUtil.spendMoney(callback) 
end


function offerPanel:ctor()
    CommUtil.playSound("music/openbox.mp3")
    local itemBox 
    if (not flag) then
        flag = 1
    end
    self.flag = flag
    
   display.newSprite("ui/fighting/frighting_base_1.png", display.cx, display.cy):addTo(self)
   self.bg = display.newSprite("ui/offer/offertip.png", display.cx, display.cy):addTo(self)
   local offerBtn=cc.ui.UIPushButton.new({normal='ui/offer/getbtn.png'})
    :pos(display.cx, display.cy-110):addTo(self)
    :onButtonRelease(function(event)
            DeviceUtil.showJiFen() 
    end)

   local closebtn=cc.ui.UIPushButton.new({normal='ui/mall/close.png'})
    :pos(display.cx+192, display.cy+115):addTo(self)
    :onButtonRelease(function(event)
        display.getRunningScene():setMainSceneTouch(true)
        self:removeSelf()
    end)
    self.showResult = false
    self:schedule(handler(self,self.logic),0.3)
   local callback= function(amount)
        self.showResult = true
    end
   DeviceUtil.getTotalJifen(callback)
end

function offerPanel:logic()
    if (self.showResult) then
        self.showResult = false
        self:show()
    end
end

function offerPanel:showFour()
    print("gPlayer.data.ingot_cnt:get()=", gPlayer.data.ingot_cnt:get())
    if (self.money) then
        self.money:removeSelf()
          
    end


    if (self.buy1) then  self.buy1:remo() end
    if (self.buy2) then  self.buy2:removeFromParentAndCleanup() end
    if (self.buy3) then  self.buy3:removeFromParentAndCleanup() end
    if (self.buy4) then  self.buy4:removeFromParentAndCleanup() end
     if (self.moneyLabel1) then  self.moneyLabel1:removeFromParentAndCleanup() end
    if (self.moneyLabel2) then  self.moneyLabel2:removeFromParentAndCleanup() end
    if (self.moneyLabel3) then  self.moneyLabel3:removeFromParentAndCleanup() end
    if (self.moneyLabel4) then  self.moneyLabel4:removeFromParentAndCleanup() end
    for i = 1, 4 do
        if (self.moneyLabelVV and self.moneyLabelVV[i]) then
        self.moneyLabelVV[i]:removeFromParentAndCleanup()
    end
    end
    --
    self.money = ColorTxt.new({
        text = "#7"..gPlayer.data.ingot_cnt:get(),
        size = 22,
        x = 340,
        y = 260
    })
    self.money:addTo(self.bg)
     local xx = -38
    local yy = 217-37
    local shiftx = 100

    self.heroCost = {300, 200, 120, 250} 
   
    local yyShift = 80
    if ( not gHero:isHeroExists(10003)) then
    self.buy1=  cc.ui.UIPushButton.new({normal='ui/offer/buybtn.png'})
        :pos(xx+(shiftx*1), yy - yyShift):addTo(self.bg)
        :onButtonRelease(function(event)
            self:spend(10003, self.heroCost[1])
        end)
    else
        self.moneyLabel1 = ColorTxt.new({
        text = "#7".."已拥有",
        size = 18,
        x = xx+(shiftx*1)-20,
        y = yy - yyShift

    })
       self.moneyLabel1:addTo(self.bg)
    end
    if (not gHero:isHeroExists(10004)) then
     self.buy2= cc.ui.UIPushButton.new({normal='ui/offer/buybtn.png'})
        :pos(xx+(shiftx*2), yy - yyShift):addTo(self.bg)
        :onButtonRelease(function(event)
             self:spend(10004, self.heroCost[2])
        end)
    else
         self.moneyLabel2 = ColorTxt.new({
        text = "#7".."已拥有",
        size = 18,
        x = xx+(shiftx*2)-20,
        y = yy - yyShift

    })
       self.moneyLabel2:addTo(self.bg)
    end
    if (not  gHero:isHeroExists(10005)) then
    self.buy3= cc.ui.UIPushButton.new({normal='ui/offer/buybtn.png'})
        :pos(xx+(shiftx*3), yy - yyShift):addTo(self.bg)
        :onButtonRelease(function(event)
             self:spend(10005, self.heroCost[3])
        end)
    else
        self.moneyLabel3= ColorTxt.new({
        text = "#7".."已拥有",
        size = 18,
        x = xx+(shiftx*3)-20,
        y = yy - yyShift

    })
       self.moneyLabel3:addTo(self.bg)
    end
    if (not gHero:isHeroExists(10006)) then
     self.buy4= cc.ui.UIPushButton.new({normal='ui/offer/buybtn.png'})
        :pos(xx+(shiftx*4), yy - yyShift):addTo(self.bg)
        :onButtonRelease(function(event)
             self:spend(10006, self.heroCost[4])
        end)
    else
         self.moneyLabel4 = ColorTxt.new({
        text = "#7".."已拥有",
        size = 18,
        x = xx+(shiftx*4)-20,
        y = yy - yyShift

    })
       self.moneyLabel4:addTo(self.bg)
    end
    self.moneyLabelVV={}
    for i = 1, 4 do
        local id = 10002+ i

        self.moneyLabelVV[i] = ColorTxt.new({
        text = "#7"..self.heroCost[i],
        size = 18,
        x = xx+(shiftx*i),
        y = yy - yyShift

    })
     if (not gHero:isHeroExists(id)) then
        self.moneyLabelVV[i]:addTo(self.bg)
    end
    end  

end


function offerPanel:show()
     local xx = -38
    local yy = 217-37
    local shiftx = 100

    print("mobi2us self.show22");
    for i = 1, 4 do
         display.newSprite("#hero_head_" .. i+10002 .. ".png", xx+(shiftx*i), yy):addTo(self.bg)
    end
    self:showFour()
    --
   
     
end

return offerPanel