--
-- Author: hejiangcheng
-- Date: 2014-12-09 10:36:42
--
local popStarPanel = class("popStarPanel",function(para)
    local layer = display.newLayer()
    layer:registerScriptHandler(function(event)
        if event == "enter" then
            layer:onEnter()
        elseif event == "exit" then
            layer:onExit()
        end
    end)

    return layer
end)

--[[
scene_id=601
pass_detail={{60001,1},{60002,2},{60003,3}}
]]

function popStarPanel:ctor(para)
	-- self.circle=display.newSprite("ui/checkpoint/grade_outside.png", 0, 0):addTo(self):scale(0.01)
	self.circle=display.newSprite("ui/public/fighting_ring_2.png", 0, 0):addTo(self):scale(0.01)


	self.canClick=false
	local easy_gray,normal_gray,hard_gray
	local btn1=display.newSprite("ui/checkpoint/grade_box_1.png"):pos(145/2, 158-17):addTo(self.circle)
	btn1:addTouchEventListener(function(event,x,y) 
		CommUtil.guideStep(11)
		local action = CCScaleBy:create(0.1, 0.9, 0.9)
		btn1:runAction(CCSequence:createWithTwoActions(action, action:reverse()))
		if not self.canClick then return end
		if para.pass_detail[1][1] > gPlayer.data.pass_id then CommUtil.toast(self,"未开启！");return; end
		self.canClick=false
		display.replaceScene(require("app.scenes.BattleScene").new(nil,{worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[1][1]}))
		-- require("app.views.OpenDoor").new({worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[1][1]}):addTo(display.getRunningScene(),7000)
		end)
	btn1:setTouchEnabled(true)
	if para.pass_detail[1][1] > gPlayer.data.pass_id then 
		easy_gray = true
		btn1:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray"))
	end

	--

	--
	local btn2=display.newSprite("ui/checkpoint/grade_box_1.png"):pos(145/2-70, 158/2-35):addTo(self.circle)
	btn2:addTouchEventListener(function(event,x,y) 
		local action = CCScaleBy:create(0.1, 0.9, 0.9)
		btn2:runAction(CCSequence:createWithTwoActions(action, action:reverse()))
		if not self.canClick then return end
		if para.pass_detail[2][1] > gPlayer.data.pass_id then CommUtil.toast(self,"未开启！");return; end
		self.canClick=false
		display.replaceScene(require("app.scenes.BattleScene").new(nil,{worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[2][1]}))
		-- require("app.views.OpenDoor").new({worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[2][1]}):addTo(display.getRunningScene(),7000)

		end)
	btn2:setTouchEnabled(true)

	if para.pass_detail[2][1] > gPlayer.data.pass_id then 
		normal_gray = true
		btn2:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray"))
	end

	--[[local btn3=display.newSprite("ui/checkpoint/grade_box_1.png"):pos(148/2+70, 158/2-35):addTo(self.circle)
	btn3:addTouchEventListener(function(event,x,y) 
		local action = CCScaleBy:create(0.1, 0.9, 0.9)
		btn3:runAction(CCSequence:createWithTwoActions(action, action:reverse()))
		if not self.canClick then return end
		if para.pass_detail[3][1] > gPlayer.data.pass_id then CommUtil.toast(self,"未开启！");return; end
		self.canClick=false
		display.replaceScene(require("app.scenes.BattleScene").new(nil,{worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[3][1]}))
		-- require("app.views.OpenDoor").new({worldId=para.map_id,sceneId=para.scene_id,passId=para.pass_detail[3][1]}):addTo(display.getRunningScene(),7000)
		end)
	btn3:setTouchEnabled(true)
	if para.pass_detail[3][1] > gPlayer.data.pass_id then 
		hard_gray = true
		btn3:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray"))
	end]]

	local easy = display.newSprite("ui/checkpoint/grade_easy_word.png", 145/2, 158-27):addTo(self.circle)
	if para.pass_detail[1][1] <= gPlayer.data.pass_id then self:addStar(para.pass_detail[1][2]):pos(21,32):addTo(easy) end
	local normal = display.newSprite("ui/checkpoint/grade_ordinary_word.png", 148/2-70, 158/2-48):addTo(self.circle)
	if para.pass_detail[2][1] <= gPlayer.data.pass_id then self:addStar(para.pass_detail[2][2]):pos(18,32):addTo(normal) end
	--[[local hard = display.newSprite("ui/checkpoint/grade_hard_word.png", 148/2+82-10, 158/2-48):addTo(self.circle)
	if para.pass_detail[3][1] <= gPlayer.data.pass_id then self:addStar(para.pass_detail[3][2]):pos(18,32):addTo(hard) end]]

	if easy_gray then easy:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray")) end
	if normal_gray then normal:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray")) end
	--if hard_gray then hard:setShaderProgram(CCShaderCache:sharedShaderCache():programForKey("ShaderPositionTextureGray")) end

	transition.scaleTo(self.circle, {time=0.15,scale=1.1,onComplete=function() self.canClick=true end})
end

function popStarPanel:addStar(num)
	local star
	if num==0 then
		star = display.newSprite("ui/public/public_flag_gray.png")
	elseif num==1 then
		star = display.newSprite("ui/public/public_flag_normal.png")
	elseif num==0.5 then
		star = display.newSprite("ui/public/public_flag_gray.png")

	    local half_star = CCProgressTimer:create(CCSprite:create('ui/public/public_flag_normal.png'))
	    half_star:setType(kCCProgressTimerTypeBar)
	    half_star:setMidpoint(CCPointMake(0, 0))
	    half_star:setBarChangeRate(CCPointMake(1, 0)) --todo可设置进度条起始位置
	    half_star:setPosition(CCPointMake(19/2, 19/2))
	    -- half_star:runAction(CCRepeatForever:create(to1))
	    half_star:runAction(CCProgressTo:create(0.1, 50))
		star:addChild(half_star)
	end
	return star
end

function popStarPanel:getNodeRect()
	if self.canClick~=true then return end
	local rect = self.circle:getCascadeBoundingBox()
	return rect.size.width,rect.size.height
end

function popStarPanel:onExit()
	if display.getRunningScene().setMainSceneTouch then
		display.getRunningScene():setMainSceneTouch(true)
	end
	CCTextureCache:sharedTextureCache():removeUnusedTextures()
end
return popStarPanel