local scheduler = require("framework.scheduler")
local MaskNode = import("..MaskNode")
local BaseMenu = class("BaseMenu",MaskNode)

function BaseMenu:ctor(flag, other)
    self.self_page = self
    require("app.common.FingerLayer").new():addTo(self,60000)
    BaseMenu.super.ctor(self)
    --
     SCROLL_CAN_TOUCH = false
     if (other) then
        self.bg = display.newSprite("ui/public/public_base_map_b.png",display.cx,display.cy+15+45)
    else
        self.bg = display.newSprite("ui/public/public_base_map2_b.png",display.cx,display.cy+15+45)
    end
    self:addChild(self.bg)
    local btn_close=function()
        CommUtil.guideStep(56)
        self:removeFromParentAndCleanup(true)
        GUIDE_CLOSE_SECOND_ACTION_FLAG = false
    end
    self.closeBtn = cc.ui.UIPushButton.new({
            normal = "ui/public/public_button_close_normal.png",
            pressed = "ui/public/public_button_close_pressed.png",
        })
     :pos(display.cx+360, display.top-35)
     :addTo(self)
     :onButtonRelease(function(event)
            if self.can_scroll_beauty ~= nil and not self.can_scroll_beauty then return end --妖姬界面能否退出判断
            btn_close()
        end)
    

    local btn =cc.ui.UIPushButton.new({
            normal = "ui/public/public_button_close_normal.png",
            pressed = "ui/public/public_button_close_pressed.png",
        })
     :pos(display.cx+360, display.top-35)
     :addTo(self)
     :onButtonRelease(function(event)
        end)
     btn:setVisible(false)
    ----------------------------------------
    CommUtil.transPage(self)
    GUIDE_CLOSE_SECOND_ACTION = btn_close
    if (flag == false) then
        self:setPositionY(Drop_Bottorm_Height)
        CommUtil.setBtnGuide(btn, GUIDE_SECOND_CLOSE_BTN)
        return
    end
    self:setPositionY(display.top)
    CommUtil.dropLayer(self, btn)
end

--[[
功能：设置关闭按钮的Z坐标，某些情况下关闭按钮被遮挡时调用，以正常显示
]]
function BaseMenu:setCloseBtnZOrder( zorder )
    assert(type(zorder) == 'number','error zorder must be number!')
    self.closeBtn:setZOrder(zorder)
end

function BaseMenu:setTitle(pngPath)
    self.title = display.newSprite(pngPath,display.cx,display.top-13)
    self:addChild(self.title)
end

function BaseMenu:freeImage()
    BaseMenu.super.freeImage(self)
end
function BaseMenu:loadImage()
    BaseMenu.super.loadImage(self)
end

function BaseMenu:onEnter()

     
end

function BaseMenu:onExit()
    SCROLL_CAN_TOUCH = true
    gPlayer.data.clicking_main_button =  false
end
return BaseMenu