
local BaseMenu = class("BaseMenu",function() 
    return import("app.views.MaskNode").new()
end)

function BaseMenu:ctor()

    
     self.bg = display.newSprite("ui/public/public_base map3.png",display.cx,display.cy)
    self:addChild(self.bg)
    

    cc.ui.UIPushButton.new({
            normal = "ui/public/public_button_close_normal.png",
            pressed = "ui/public/public_button_close_pressed.png",
        })
     :pos(DEF_SEC_WINDOW_X, DEF_SEC_WINDOW_Y)
     :addTo(self)
     :onButtonRelease(function(event)
            self:removeFromParentAndCleanup(true)
        end)
      SCROLL_CAN_TOUCH = false

end

function BaseMenu:setTitle(pngPath)
    self.title = display.newSprite(pngPath,display.cx,display.cy-13)
    self:addChild(self.title)

end

function BaseMenu:setTitleTxt(txt)
     import("app.ui.Text").new({text = txt, 
                size = 20,
                 align =  ui.TEXT_ALIGN_CENTER,
                color = display.COLOR_BLACK,
                outlineColor = display.COLOR_WHITE})
            :pos(display.cx, display.cy+170-13+3)
            :addTo(self)
end

function BaseMenu:onEnter()

end

function BaseMenu:onExit()
    SCROLL_CAN_TOUCH = true

end
return BaseMenu