local messageview = require("app.ui.MessageView")
local Exit = class("Exit",messageview)


function Exit:ctor(rect,data)
    local ax = {
                 number = 3 ,
                 bgpath = 'res/ui/public/public_base_map_b.png',
                 scale = 0.7,
                   --titel = 'res/ui/bag_detail_btn_normal.png' ,                 -- 图片路径   
                   --fun = self:Test() 
                 exitplace = { ex = display.cx/5 + (35*(display.cx/427))+120, ey = display.cy/5 + 95 }
               }

    self.exit_node_stl  =  Exit.super.ctor(self,ax)                      -- 接受模板的node   
   
    self.MusicStatus = CommUtil.getMusicStatus()

    self:Button()

end

function Exit:Button()
  
   self.imag = display.newSprite("ui/result/fighting_lose.png"):pos(display.cx/5 - (display.cx)/480*215 ,display.cy/5 -20)
                                                              :scale(0.76)
                                                              :addTo(self.exit_node_stl)
   self.imag:setFlipX(true)

    local name = ui.newTTFLabelWithOutline( {
                text= "悟空",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10-55,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 +2,                               --离最大高度的 距离
                size=28,                                            --字体的大小
                color = ccc3(254,255,13),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
                
                }):addTo(self.exit_node_stl,20) :rotation(-10)


    local iname = ui.newTTFLabelWithOutline( {
                text= "你走了！唔唔…",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10+50,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 +20,                               --离最大高度的 距离
                size=21,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
                dimensions = cc.size(200,80),
                }):addTo(self.exit_node_stl,20) :rotation(-10)
                  -- :setOutlineColor( ccc3(15,16,76))

    local mname = ui.newTTFLabelWithOutline( {
                text= "为师如何应对那些",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*35,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 -50,                                --离最大高度的 距离
                size=21,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
                dimensions = cc.size(240,80),
                }):addTo(self.exit_node_stl,20):rotation(0) 
                  -- :setOutlineColor( ccc3(15,16,76))

   local aname = ui.newTTFLabelWithOutline( {
                text= "妖怪？",                            --text的内容
                x   = display.cx/5 - (display.cx)/480+100,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 -50,                                --离最大高度的 距离
                size=28,                                            --字体的大小
                color = ccc3(254,255,13),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
         
                }):addTo(self.exit_node_stl,20):rotation(0) 



   self.buttonMusic = cc.ui.UIPushButton.new({
                normal =   "ui/public/fighting_button_continue_normal.png",
                pressed =  "ui/public/fighting_button_continue_pressed.png",

                })
                :scale(1)
                :pos(display.cx/5 - (display.cx)/480*-35 ,display.cy/5 - 150)
                
                :addTo(self.exit_node_stl )
                :onButtonRelease(function(event)
                
                   Exit.super.Movie(self, 0.15, 0.2 , 255 , true);
                   showingExitWindows = false
                 end)
              
                
       


   self.buttonExit = cc.ui.UIPushButton.new({
                normal =   "ui/public/fighting_button_leave_normal.png",
                pressed =  "ui/public/fighting_button_leave_pressed.png",

                })
                :scale(1)
                :pos(display.cx/5 - (display.cx)/480*200 ,display.cy/5 -150)
                :addTo(self.exit_node_stl )
                :onButtonRelease(function(event)
                    if device.platform == 'android' then
                        local javaClassName = "org.cocos2dx.lib.Function"
                        local javaMethodName = "ExitApp"
                        local javaParams = {}
                        local javaMethodSig = "()V"
                        local ok, ret = luaj.callStaticMethod(javaClassName,javaMethodName,javaParams,javaMethodSig)
                        if not ok then
                            print('call java exit err = ',ret)
                            app.exit() 
                        end
                    else
                         app.exit()
                    end
                 end)
end


return Exit
