local messageview = require("app.ui.MessageView")
local Setting = class("Setting",messageview)


function Setting:ctor(rect,data)
    CommUtil.playSound("music/openbox.mp3")
    local ax = {
                 number = 3 ,
                 bgpath = 'res/ui/public/public_base_map_b.png',
                 scale  = 0.6,
                   --titel = 'res/ui/bag_detail_btn_normal.png' ,                 -- 图片路径   
                   --fun = self:Test() 
                 exitplace = { ex = display.cx/5 + (35*(display.cx/427))+85, ey = display.cy/5 + 68 }
               }

    self.setting_node_stl     =  Setting.super.ctor(self,ax)                      -- 接受模板的node   
   
    self.MusicStatus = CommUtil.getMusicStatus()

    self:Button()
   if self.MusicStatus == "1" then
                  
      self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_music_normal.png")
   else
      
      self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_button_music_pressed.png")
   end   
    
end

function Setting:Button()

    --[[local iname = ui.newTTFLabelWithOutline( {
                text= "西游大战僵尸",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10-100,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 +20,                               --离最大高度的 距离
                size=23,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
               -- outlineColor =  ccc3(15,16,76),
                }):addTo(self.setting_node_stl,20)
                  -- :setOutlineColor( ccc3(15,16,76))
                 -- iname:outlineColor(cc.c4b(0,0,0,255), 1); enableOutline(ccc3(15,16,76))

    local iname = ui.newTTFLabelWithOutline( {
                text= "版本编号: "..APP_VERSION,                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10-93,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 -10 ,                               --离最大高度的 距离
                size=23,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
                }):addTo(self.setting_node_stl,20) 
                 -- :setOutlineColor( ccc3(15,16,76))

    local iname = ui.newTTFLabelWithOutline( {
                text= "应用类型: 策略塔防",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10-69,                             -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 -40,                               --离最大高度的 距离
                size=23,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
                }):addTo(self.setting_node_stl,20) 
                 -- :setOutlineColor( ccc3(15,16,76))]]

   --[[ local iname = ui.newTTFLabelWithOutline( {
                text= "客服Q群 : 007007007007",                            --text的内容
                x   = display.cx/5 - (display.cx)/480*10-36,                              -- 屏幕的宽度的几分之一为中心
                y   = display.cy/5 -60,                               --离最大高度的 距离
                size=23,                                            --字体的大小
                color = ccc3(255,255,255),                          --字体的颜色
                align = ui.TEXT_VALIGN_CENTER,                      --文字的对齐方式
            
                }):addTo(self.setting_node_stl,20) 
                  :setOutlineColor( ccc3(15,16,76))]]

   self.buttonMusic = cc.ui.UIPushButton.new({
                normal =   "ui/setting/setting_music_normal.png",
                pressed =  "ui/setting/setting_button_music_pressed.png",

                })
                :scale(1)
                :pos(0 ,display.cy/5 - 135+75)
                :addTo(self.setting_node_stl )
                :onButtonRelease(function(event)

                    
                       --self.buttonHero:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_button_music_pressed.png")
                     if self.MusicStatus == "1" then

                        audio.stopMusic() 
                        self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_button_music_pressed.png")
                        CommUtil.setMusicStatus("0")
                        self.MusicStatus = "0"
                    
                     else  
                        audio.playMusic("music/city2.mp3")
                        self.buttonMusic:setButtonImage(cc.ui.UIPushButton.NORMAL,  "res/ui/setting/setting_music_normal.png") 
                        CommUtil.setMusicStatus("1")
                         self.MusicStatus = "1"
                     end
                   
                 end)
                    
       


   self.buttonExit = cc.ui.UIPushButton.new({
                normal =   "res/ui/setting/setting_button_out_normal.png",
                pressed =  "res/ui/setting/setting_button_out_pressed.png",

                })
                :scale(1)
                :pos(0 ,display.cy/5 - 135)
                :addTo(self.setting_node_stl )
                :onButtonRelease(function(event)
                    require("app.views.secondMenu.exit.Exit").new():addTo(display.getRunningScene(),10)
                 end)

    cc.ui.UIPushButton.new({
        normal =   "res/ui/setting/setting_about_normal.png",
        pressed =  "res/ui/setting/setting_about_normal.png",

     })
     :pos(0 ,display.cy/5+20)
     :addTo(self.setting_node_stl )
     :onButtonRelease(function(event)
         event.target:setButtonEnabled(false)
         self:performWithDelay(function() event.target:setButtonEnabled(true) end, 1)
         require("app.views.secondMenu.setting.aboutOther").new():addTo(display.getRunningScene(),10)
      end)
end


return Setting
